#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0xb68c86e9, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x89f6167f, "_gpl");
SYMBOL_CRC(af_alg_release, 0xfcdd1228, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x4e1d4d41, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x290134cb, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x919a9253, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xa9ea7909, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0x790da6e7, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0xae4fc7cf, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x6a859c17, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0xe21c2e75, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0xaa7b355b, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0xff76e560, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0x8848740c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x57bc19d2, "down_write" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xce807a25, "up_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xf97fc5bd, "sk_alloc" },
	{ 0x7209bddf, "sock_init_data" },
	{ 0x798e0114, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5fa16574, "sock_kmalloc" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xcc07be6c, "extract_iter_to_sg" },
	{ 0xb4310676, "proto_register" },
	{ 0x8d9bca86, "sock_register" },
	{ 0x78c39bfb, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0x53b954a2, "up_read" },
	{ 0x45d0eb03, "try_module_get" },
	{ 0x9e0d977f, "lock_sock_nested" },
	{ 0x66e46d82, "release_sock" },
	{ 0x592e4424, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x318b0cc8, "sk_free" },
	{ 0x45f815d5, "security_sock_graft" },
	{ 0x63f3d094, "security_sk_clone" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4e696921, "sock_wake_async" },
	{ 0xb5563ae2, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xbf4564e, "__folio_put" },
	{ 0xf5c2b84, "__put_devmap_managed_folio_refs" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xe424612c, "_copy_from_iter" },
	{ 0xc8203e50, "alloc_pages_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x299ba33c, "iov_iter_revert" },
	{ 0x46a3748c, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0x96c5b0aa, "key_put" },
	{ 0x24024be5, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xfb950b64, "sock_no_connect" },
	{ 0x67e0f28, "sock_no_socketpair" },
	{ 0x2e916216, "sock_no_getname" },
	{ 0x7967e82e, "sock_no_ioctl" },
	{ 0x7f85b8c8, "sock_no_listen" },
	{ 0x2c7d8450, "sock_no_shutdown" },
	{ 0x7c31a3bc, "sock_no_sendmsg" },
	{ 0xbfd6bea6, "sock_no_recvmsg" },
	{ 0x2479c8f4, "sock_no_mmap" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");
