#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0xd8b7148b, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0x33d7d2a0, "");
SYMBOL_CRC(rtrs_clt_open, 0x13716b45, "");
SYMBOL_CRC(rtrs_clt_close, 0x93b11af8, "");
SYMBOL_CRC(rtrs_clt_request, 0x31ed6c1d, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x3ffab801, "");
SYMBOL_CRC(rtrs_clt_query, 0xbb062e93, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96b29254, "strncasecmp" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x7d4ef146, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5846f7ea, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb5478e4c, "put_device" },
	{ 0xd0d3b279, "rtrs_rdma_dev_pd_deinit" },
	{ 0xa916b694, "strnlen" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0x34c8a29b, "rdma_resolve_route" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc1100cbf, "rtrs_iu_free" },
	{ 0x58faec32, "ib_map_mr_sg" },
	{ 0x41e9a95b, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x17844415, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x95b1bfe5, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf5c42f2d, "kobj_sysfs_ops" },
	{ 0x5e491b27, "rtrs_cq_qp_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0xcde6aaa5, "iov_iter_kvec" },
	{ 0x204495bd, "rtrs_iu_post_recv" },
	{ 0x864b9414, "kobject_init_and_add" },
	{ 0x3074584e, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x72bffc3d, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd4280866, "sysfs_remove_file_self" },
	{ 0x2e39c3c1, "bpf_trace_run1" },
	{ 0x7d645d83, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5f6fa85c, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc918a8f1, "rdma_connect_locked" },
	{ 0xfeef63d3, "rdma_set_reuseaddr" },
	{ 0x9b024fb9, "kobject_create_and_add" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xd8558451, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xcdafaff, "ib_dma_virt_map_sg" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc2780af1, "kobject_del" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4347684, "rdma_destroy_id" },
	{ 0x8e947a49, "__dma_sync_single_for_device" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfbf7419f, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7feb857c, "kobject_uevent" },
	{ 0xe424612c, "_copy_from_iter" },
	{ 0x9a4e578e, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf7d6b76e, "dma_unmap_sg_attrs" },
	{ 0x5d1e64a7, "rtrs_cq_qp_create" },
	{ 0x2ead64bb, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0x8bfc0fca, "rtrs_init_hb" },
	{ 0x198a99ba, "rdma_consumer_reject_data" },
	{ 0x8958f339, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xfb21452f, "rtrs_send_hb_ack" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x2a5b6b24, "rtrs_iu_alloc" },
	{ 0xf5e17072, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x6ca75a1a, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xcf461b6e, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x75adc7cd, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe3ca18f6, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xc5c7903e, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4136eabd, "rdma_resolve_addr" },
	{ 0xb3519bbe, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x713e9994, "rtrs_post_recv_empty" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xe2d69ef7, "ib_dereg_mr_user" },
	{ 0x6ffb5087, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x823cc4e8, "rtrs_iu_post_rdma_write_imm" },
	{ 0x210473f7, "rtrs_iu_post_send" },
	{ 0xe2964344, "__wake_up" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6bb711f3, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4fd89c3f, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "62026CC17925DB963E80A4B");
