#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0xd7333b9f, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0x73c20ec7, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0xeea3a3d3, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xe26ffe76, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x897d20c1, "_gpl");
SYMBOL_CRC(m_can_class_register, 0x390d053f, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x8992e8db, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0xaf72cf12, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0x9783e96d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x373b0d5, "dql_reset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb2174ab3, "unregister_candev" },
	{ 0xe58a5d74, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0xa491514d, "devm_clk_get" },
	{ 0x4f0c7fa3, "__pm_runtime_resume" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0xe611ca18, "netif_tx_wake_queue" },
	{ 0xdfb85cd, "netif_schedule_queue" },
	{ 0x1d7b6d45, "__pm_runtime_idle" },
	{ 0x45441864, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x56c757ee, "can_put_echo_skb" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x338e80e9, "hrtimer_try_to_cancel" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0xe2adbebb, "can_dropped_invalid_skb" },
	{ 0x7a0db11e, "softnet_data" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xd2ba07ff, "netdev_printk" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0xe60c8d9e, "netdev_warn" },
	{ 0xd8ac193c, "phy_power_on" },
	{ 0xbb1df987, "open_candev" },
	{ 0x16c12657, "napi_enable" },
	{ 0xb26dab11, "phy_power_off" },
	{ 0xcced4577, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf36a93b8, "napi_disable" },
	{ 0xf9808280, "close_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x876b2f94, "pinctrl_pm_select_default_state" },
	{ 0x65cadccc, "netif_device_attach" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xb4e68947, "can_rx_offload_add_manual" },
	{ 0xfccb48d1, "register_candev" },
	{ 0xcf1498a3, "netif_napi_add_weight" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0xd9b9b0db, "alloc_can_err_skb" },
	{ 0xa30aca16, "can_rx_offload_queue_timestamp" },
	{ 0x434f01e0, "netif_receive_skb" },
	{ 0xec0d943f, "__dynamic_netdev_dbg" },
	{ 0x40c5090, "pinctrl_pm_select_sleep_state" },
	{ 0x3950fbe8, "netif_device_detach" },
	{ 0x1aae49eb, "can_bus_off" },
	{ 0xb3ce8559, "alloc_canfd_skb" },
	{ 0x3f938810, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xd15d144b, "napi_complete_done" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0x83ef7b57, "napi_schedule_prep" },
	{ 0x11b2ce8a, "can_rx_offload_threaded_irq_finish" },
	{ 0xf5a299bf, "__napi_schedule" },
	{ 0xf07464e4, "hrtimer_forward" },
	{ 0x66c47203, "ethtool_op_get_ts_info" },
	{ 0xd5b9822c, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x162b3315, "_dev_err" },
	{ 0x9ded3fcb, "__dev_fwnode" },
	{ 0x847fadb5, "fwnode_property_read_u32_array" },
	{ 0x28b7649d, "alloc_candev_mqs" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0x3ffd9088, "free_candev" },
	{ 0x415f0054, "netdev_err" },
	{ 0xb6f67e86, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0x9559325c, "can_get_echo_skb" },
	{ 0xba5984f0, "can_free_echo_skb" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "6F20D448C05E7838CD5DFBA");
