#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xe419bc99, "iowrite32be" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0x4b30dbf0, "phy_ethtool_get_link_ksettings" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x8c8b8f5a, "devm_alloc_etherdev_mqs" },
	{ 0x162b3315, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0x67ba4be4, "register_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x72bffc3d, "sysfs_create_group" },
	{ 0x46d6a43, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe611ca18, "netif_tx_wake_queue" },
	{ 0x2e4e32fc, "phy_start" },
	{ 0x8539e389, "_dev_warn" },
	{ 0x9bb4e317, "ioread32be" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa689e14, "phy_print_status" },
	{ 0x64062c21, "netif_rx" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0xc4df4d1b, "devm_mdiobus_alloc_size" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35e5c6db, "__platform_driver_register" },
	{ 0xd8558451, "sysfs_remove_group" },
	{ 0xc2399eb4, "mdiobus_unregister" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x8ef34dc1, "phy_ethtool_nway_reset" },
	{ 0x65c7cee4, "__mdiobus_register" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc5b80125, "dev_err_probe" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0xd060e470, "phy_do_ioctl_running" },
	{ 0xd44e53b0, "phy_disconnect" },
	{ 0x66c47203, "ethtool_op_get_ts_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x2fc45e0f, "devm_platform_ioremap_resource" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x302b608d, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x30eb2156, "platform_driver_unregister" },
	{ 0x273b0273, "consume_skb" },
	{ 0x1795a9a7, "platform_get_irq" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb6d34050, "unregister_netdev" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0x8b1ee362, "phy_connect" },
	{ 0xa70924ee, "phy_ethtool_set_link_ksettings" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x3f4d9622, "eth_validate_addr" },
	{ 0xe91b16cb, "dev_kfree_skb_irq_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0x415f0054, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x957f1faa, "dev_driver_string" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0xec122677, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio_devres");

MODULE_ALIAS("of:N*T*Cxlnx,xps-ll-temac-1.01.b");
MODULE_ALIAS("of:N*T*Cxlnx,xps-ll-temac-1.01.bC*");
MODULE_ALIAS("of:N*T*Cxlnx,xps-ll-temac-2.00.a");
MODULE_ALIAS("of:N*T*Cxlnx,xps-ll-temac-2.00.aC*");
MODULE_ALIAS("of:N*T*Cxlnx,xps-ll-temac-2.02.a");
MODULE_ALIAS("of:N*T*Cxlnx,xps-ll-temac-2.02.aC*");
MODULE_ALIAS("of:N*T*Cxlnx,xps-ll-temac-2.03.a");
MODULE_ALIAS("of:N*T*Cxlnx,xps-ll-temac-2.03.aC*");

MODULE_INFO(srcversion, "2DACFD4A4E21146E5EA1F31");
