#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3e94e5fd, "usb_deregister" },
	{ 0xf32a0980, "cdc_ncm_select_altsetting" },
	{ 0x42f6cb38, "cdc_ncm_bind_common" },
	{ 0xfee836fd, "usb_cdc_wdm_register" },
	{ 0x85bd5bd2, "usb_set_interface" },
	{ 0xace63f3d, "usb_match_id" },
	{ 0x72852818, "skb_pull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x5c654def, "cdc_ncm_fill_tx_frame" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0x415f0054, "netdev_err" },
	{ 0xa29e5f0f, "cdc_ncm_rx_verify_nth16" },
	{ 0xca29545b, "cdc_ncm_rx_verify_ndp16" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5d8c0907, "usbnet_skb_return" },
	{ 0xec0d943f, "__dynamic_netdev_dbg" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe7f733f8, "ipv6_stub" },
	{ 0x4c7c99b1, "__vlan_find_dev_deep_rcu" },
	{ 0x84a5c869, "in6_dev_finish_destroy" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xfb8324eb, "usbnet_probe" },
	{ 0xcdec4f07, "usbnet_disconnect" },
	{ 0xdf356801, "usbnet_open" },
	{ 0xd4c75b26, "usbnet_stop" },
	{ 0xae373db6, "usbnet_start_xmit" },
	{ 0xb2980ba9, "eth_mac_addr" },
	{ 0x3f4d9622, "eth_validate_addr" },
	{ 0xf49ad26e, "cdc_ncm_change_mtu" },
	{ 0xb86dab89, "usbnet_tx_timeout" },
	{ 0x2be37aaa, "dev_get_tstats64" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x107d5d4f, "usb_autopm_get_interface" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0xbfa5eff, "usb_autopm_put_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41e96af, "cdc_ncm_unbind" },
	{ 0xc5039ed2, "usb_register_driver" },
	{ 0x420ab7c8, "usbnet_resume" },
	{ 0xc30cd015, "usbnet_suspend" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ncm,cdc-wdm,usbnet");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v03F0pA31Dd*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1041d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1061d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1071d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v1BC7p1081d*dc*dsc*dp*ic02isc0Eip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Eip00in*");

MODULE_INFO(srcversion, "D8D15E5373E73E02B6078F3");
