#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x3950fbe8, "netif_device_detach" },
	{ 0x302b608d, "skb_tstamp_tx" },
	{ 0xc96563e9, "usb_alloc_urb" },
	{ 0x96fdda6d, "__alloc_skb" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0x99d47376, "__netif_napi_del" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xb6d34050, "unregister_netdev" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xd738ca1b, "phy_unregister_fixup_for_uid" },
	{ 0xd44e53b0, "phy_disconnect" },
	{ 0x807766ea, "usb_scuttle_anchored_urbs" },
	{ 0x3750adc0, "free_netdev" },
	{ 0xe07b3315, "usb_put_dev" },
	{ 0xf8254a1a, "fixed_phy_unregister" },
	{ 0x4d7f6564, "usb_autopm_put_interface_async" },
	{ 0xcf06c2cf, "skb_unlink" },
	{ 0xf8c5c291, "skb_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x89d46f5c, "usb_get_from_anchor" },
	{ 0x2e4e32fc, "phy_start" },
	{ 0x16c12657, "napi_enable" },
	{ 0x72852818, "skb_pull" },
	{ 0xea7b34ee, "napi_alloc_skb" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfab53876, "netif_tx_lock" },
	{ 0xd0a76138, "netif_tx_unlock" },
	{ 0x70e8ced2, "usb_autopm_get_interface_async" },
	{ 0xd15d144b, "napi_complete_done" },
	{ 0xe611ca18, "netif_tx_wake_queue" },
	{ 0xdddff322, "usb_anchor_urb" },
	{ 0x96d94193, "usb_get_dev" },
	{ 0x9b1852fa, "alloc_etherdev_mqs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x90277312, "netif_set_tso_max_size" },
	{ 0xcf1498a3, "netif_napi_add_weight" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb72ee16e, "handle_simple_irq" },
	{ 0xfeeac088, "irq_domain_create_simple" },
	{ 0x5ed76f19, "irq_create_mapping_affinity" },
	{ 0xb5a01264, "mdiobus_alloc_size" },
	{ 0x65c7cee4, "__mdiobus_register" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xb6164871, "phy_find_first" },
	{ 0x54e851bb, "phy_connect_direct" },
	{ 0x6c27df85, "phy_remove_link_mode" },
	{ 0x61384369, "phy_support_eee" },
	{ 0xab4c0d0, "__genphy_config_aneg" },
	{ 0x67ba4be4, "register_netdev" },
	{ 0x5fc6bb71, "pm_runtime_set_autosuspend_delay" },
	{ 0x820e3c59, "phy_register_fixup_for_uid" },
	{ 0x268aba5e, "fixed_phy_register" },
	{ 0x162b3315, "_dev_err" },
	{ 0x65cadccc, "netif_device_attach" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xcd63e015, "netif_carrier_off" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x528dae5b, "usb_clear_halt" },
	{ 0x3f4d9622, "eth_validate_addr" },
	{ 0xd060e470, "phy_do_ioctl_running" },
	{ 0x8ef34dc1, "phy_ethtool_nway_reset" },
	{ 0x66c47203, "ethtool_op_get_ts_info" },
	{ 0x16890f88, "param_ops_int" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc5039ed2, "usb_register_driver" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x10741b3a, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe60c8d9e, "netdev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x415f0054, "netdev_err" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec0d943f, "__dynamic_netdev_dbg" },
	{ 0x4d817faf, "usb_get_urb" },
	{ 0x34de825f, "usb_unlink_urb" },
	{ 0xb422809, "usb_free_urb" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xedc46a0f, "skb_dequeue" },
	{ 0xf48aeb26, "skb_queue_tail" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0x107d5d4f, "usb_autopm_get_interface" },
	{ 0xbfa5eff, "usb_autopm_put_interface" },
	{ 0x9cc9308b, "phy_ethtool_ksettings_set" },
	{ 0x630fa795, "mdiobus_read" },
	{ 0x9ecf712b, "mdiobus_write" },
	{ 0x45a41d51, "phy_ethtool_ksettings_get" },
	{ 0xc0dee957, "phy_ethtool_set_eee" },
	{ 0xb1aff1cc, "phy_ethtool_get_eee" },
	{ 0xe7df210e, "device_set_wakeup_enable" },
	{ 0xb14ddf2d, "phy_ethtool_set_wol" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf36a93b8, "napi_disable" },
	{ 0xe9f5adc3, "phy_stop" },
	{ 0x5b2d1404, "usb_kill_urb" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2c5ae894, "netdev_info" },
	{ 0xec122677, "eth_type_trans" },
	{ 0xeff14d03, "napi_gro_receive" },
	{ 0x282d2b4c, "irq_set_chip_and_handler_name" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0xa689e14, "phy_print_status" },
	{ 0x78c48fc5, "phy_read_mmd" },
	{ 0x683ae6e0, "phy_write_mmd" },
	{ 0x3e94e5fd, "usb_deregister" },
	{ 0xf5f90de6, "skb_copy_bits" },
	{ 0x5a76205a, "__pskb_pull_tail" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xc2399eb4, "mdiobus_unregister" },
	{ 0xed73d861, "mdiobus_free" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x1dc1c691, "irq_domain_remove" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xab0e9d82, "genphy_read_status" },
	{ 0x83ef7b57, "napi_schedule_prep" },
	{ 0xf5a299bf, "__napi_schedule" },
	{ 0x22108307, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfb578fc5, "memset" },
	{ 0xdc98f4a3, "usb_submit_urb" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,libphy,fixed_phy");

MODULE_ALIAS("usb:v0424p7800d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7850d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7801d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07C9p0012d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "BD7C8B065714563FA8A22E7");
