#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ath6kl_printk, "", "");
KSYMTAB_FUNC(ath6kl_info, "", "");
KSYMTAB_FUNC(ath6kl_err, "", "");
KSYMTAB_FUNC(ath6kl_warn, "", "");
KSYMTAB_FUNC(ath6kl_read_tgt_stats, "", "");
KSYMTAB_FUNC(ath6kl_hif_rw_comp_handler, "", "");
KSYMTAB_FUNC(ath6kl_hif_intr_bh_handler, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_suspend, "", "");
KSYMTAB_FUNC(ath6kl_cfg80211_resume, "", "");
KSYMTAB_FUNC(ath6kl_stop_txrx, "", "");
KSYMTAB_FUNC(ath6kl_core_tx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_rx_complete, "", "");
KSYMTAB_FUNC(ath6kl_core_init, "", "");
KSYMTAB_FUNC(ath6kl_core_create, "", "");
KSYMTAB_FUNC(ath6kl_core_cleanup, "", "");
KSYMTAB_FUNC(ath6kl_core_destroy, "", "");

SYMBOL_CRC(ath6kl_printk, 0xb881b1a9, "");
SYMBOL_CRC(ath6kl_info, 0x3502feef, "");
SYMBOL_CRC(ath6kl_err, 0xb9a689dd, "");
SYMBOL_CRC(ath6kl_warn, 0x1354043d, "");
SYMBOL_CRC(ath6kl_read_tgt_stats, 0x54894efa, "");
SYMBOL_CRC(ath6kl_hif_rw_comp_handler, 0x91cfb84a, "");
SYMBOL_CRC(ath6kl_hif_intr_bh_handler, 0x2fe1a777, "");
SYMBOL_CRC(ath6kl_cfg80211_suspend, 0x2dfeb236, "");
SYMBOL_CRC(ath6kl_cfg80211_resume, 0xc49489c2, "");
SYMBOL_CRC(ath6kl_stop_txrx, 0xcf63972a, "");
SYMBOL_CRC(ath6kl_core_tx_complete, 0x59b62605, "");
SYMBOL_CRC(ath6kl_core_rx_complete, 0x265f84fc, "");
SYMBOL_CRC(ath6kl_core_init, 0xf73183c7, "");
SYMBOL_CRC(ath6kl_core_create, 0x57b8b951, "");
SYMBOL_CRC(ath6kl_core_cleanup, 0xaadf4a8a, "");
SYMBOL_CRC(ath6kl_core_destroy, 0xe94ec707, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0xb9227fec, "cfg80211_put_bss" },
	{ 0xe5b65d, "cfg80211_roamed" },
	{ 0x40db127a, "cfg80211_ch_switch_notify" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x96700d2f, "skb_copy_expand" },
	{ 0xf48aeb26, "skb_queue_tail" },
	{ 0x655ff64c, "ieee80211_get_channel_khz" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x8638e365, "cfg80211_get_drvinfo" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x24198567, "cfg80211_ibss_joined" },
	{ 0x72852818, "skb_pull" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x7ad91a07, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x9bc2de4e, "cfg80211_del_sta_sinfo" },
	{ 0x82f127ca, "wiphy_unregister" },
	{ 0x3750adc0, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x46d6a43, "ethtool_op_get_link" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe611ca18, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5f414f41, "cfg80211_pmksa_candidate_notify" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x64062c21, "netif_rx" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0x9bb26380, "skb_trim" },
	{ 0x40d43d85, "cfg80211_check_station_change" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe2380021, "cfg80211_unregister_wdev" },
	{ 0x999e8297, "vfree" },
	{ 0xec7aae2, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcd63e015, "netif_carrier_off" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4f44c68d, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa72ea22b, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x6e9ee8e7, "cfg80211_conn_failed" },
	{ 0x6d91993e, "cfg80211_inform_bss_data" },
	{ 0x13e5b410, "cfg80211_connect_done" },
	{ 0xd34c3c08, "__cfg80211_get_bss" },
	{ 0x343a3481, "wiphy_free" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x93f19de, "cfg80211_sched_scan_results" },
	{ 0x53146046, "cfg80211_cqm_txe_notify" },
	{ 0x9317ac06, "cfg80211_mgmt_tx_status_ext" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfdb8b194, "param_ops_uint" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x968b82fb, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x32a6da29, "cfg80211_sched_scan_stopped" },
	{ 0x273b0273, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3249a8bd, "cfg80211_remain_on_channel_expired" },
	{ 0xedc46a0f, "skb_dequeue" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7dcdb58, "cfg80211_register_netdevice" },
	{ 0x697a555b, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0xcf2a6966, "up" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcb4eb143, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xa8437d1d, "cfg80211_new_sta" },
	{ 0xb787a578, "netdev_set_default_ethtool_ops" },
	{ 0xa88d6e4, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc4facc40, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58bf9e63, "pskb_expand_head" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0xec122677, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2f131dff, "alloc_netdev_mqs" },
	{ 0x48b9e4a2, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x974917b2, "cfg80211_ready_on_channel" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc3ad08d1, "wiphy_register" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "72FB4C58FCDF1FE81609892");
