#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0xdf80c544, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x5eaa3c31, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0xef9cfa51, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0x34189c69, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x5e0637b7, "_gpl");
SYMBOL_CRC(lbs_resume, 0x102f7d00, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x5ed6e4aa, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0x48caeb2f, "_gpl");
SYMBOL_CRC(lbs_start_card, 0xd95ac924, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x33fa1811, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0xe28da781, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0xb4e09027, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0xe832fb86, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x2feb99f7, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x54fa5dc2, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0xf3016dd9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x162b3315, "_dev_err" },
	{ 0x24198567, "cfg80211_ibss_joined" },
	{ 0xa26bb634, "request_firmware_nowait" },
	{ 0xfac2a799, "simple_open" },
	{ 0x72852818, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7ad91a07, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0xf482c176, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x67ba4be4, "register_netdev" },
	{ 0x82f127ca, "wiphy_unregister" },
	{ 0x3750adc0, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4f87fa5d, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe611ca18, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x64062c21, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x36cabeda, "netdev_alert" },
	{ 0x5a29b651, "kthread_create_on_node" },
	{ 0xb69634d1, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcd63e015, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xa72ea22b, "netif_carrier_on" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6d91993e, "cfg80211_inform_bss_data" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x16890f88, "param_ops_int" },
	{ 0xdb171020, "debugfs_create_dir" },
	{ 0xa02320b, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x13e5b410, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xd34c3c08, "__cfg80211_get_bss" },
	{ 0x343a3481, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x6c8bf5ab, "ieee80211_get_num_supported_channels" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x2c5ae894, "netdev_info" },
	{ 0x711db27d, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x968b82fb, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x273b0273, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xb6d34050, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x697a555b, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0xcb4eb143, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x3f4d9622, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe91b16cb, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa88d6e4, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xc4facc40, "ether_setup" },
	{ 0x415f0054, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x58bf9e63, "pskb_expand_head" },
	{ 0xba873db3, "wake_up_process" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0xec122677, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2f131dff, "alloc_netdev_mqs" },
	{ 0x48b9e4a2, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xc3ad08d1, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xb9227fec, "cfg80211_put_bss" },
	{ 0x3950fbe8, "netif_device_detach" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x65cadccc, "netif_device_attach" },
	{ 0x655ff64c, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x4c3f7377, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "A3596BD07EF50ECA056B278");
