#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x47fa00d9, "ieee80211_sta_eosp" },
	{ 0xe843073e, "ieee80211_get_hdrlen_from_skb" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbc926448, "kthread_park" },
	{ 0xfe107dce, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd74aa7cf, "mt76_dma_cleanup" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7c5bb757, "mt76_alloc_device" },
	{ 0xc3fd6610, "mt76_wcid_init" },
	{ 0xf64e65f8, "mt76_tx_status_check" },
	{ 0xba873db3, "wake_up_process" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0x957bd674, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd15d144b, "napi_complete_done" },
	{ 0x666393e5, "ieee80211_sta_set_buffered" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5493c08f, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc64d1b46, "mt76_tx" },
	{ 0xf5a299bf, "__napi_schedule" },
	{ 0xe6bfdc3, "mt76_csa_finish" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c1083a3, "mt76_wcid_key_setup" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0x91d71ef3, "mt76_free_device" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x1bce5a93, "mt76_rx" },
	{ 0x90253017, "kthread_unpark" },
	{ 0x516b0a3e, "wiphy_to_ieee80211_hw" },
	{ 0x1cb4878a, "mt76_init_queue" },
	{ 0xeb484c95, "debugfs_attr_read" },
	{ 0x4a5c7918, "pcim_iomap_regions" },
	{ 0x160f2d71, "mt76_tx_status_skb_done" },
	{ 0xc03dc765, "ieee80211_queue_delayed_work" },
	{ 0x2a4d6636, "devm_kmemdup" },
	{ 0x22944a40, "mt76_eeprom_init" },
	{ 0x162b3315, "_dev_err" },
	{ 0x69b03ef5, "debugfs_create_bool" },
	{ 0x72852818, "skb_pull" },
	{ 0xad367a35, "mt76_register_device" },
	{ 0x3ddcbff0, "simple_attr_release" },
	{ 0x8275b053, "mt76_set_tim" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0x2e7fdb4e, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x72dff620, "mt76_set_channel" },
	{ 0x16c12657, "napi_enable" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0xd507b5ae, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x80e624df, "mt76_mmio_init" },
	{ 0xc89bcf27, "ieee80211_wake_queues" },
	{ 0xf7944de0, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8c38c301, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x8da67db1, "mt76_unregister_device" },
	{ 0x1d7a9526, "mt76_set_irq_mask" },
	{ 0x509b9c65, "mt76_get_survey" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x12f56314, "ieee80211_emulate_add_chanctx" },
	{ 0x72b45a84, "__mt76_mcu_send_firmware" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e4634e2, "debugfs_create_u32" },
	{ 0xebfb256a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x1e8a47bf, "__SCK__tp_func_mac_txdone" },
	{ 0x4199d0b5, "mt76_sta_state" },
	{ 0x60d526e2, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35e5c6db, "__platform_driver_register" },
	{ 0xe88f147d, "__tracepoint_dev_irq" },
	{ 0x63f1d80a, "seq_read" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xb69634d1, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xc6fbe409, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x85de5916, "mt76_insert_ccmp_hdr" },
	{ 0x51d25bb3, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4333164d, "mt76_sw_scan_complete" },
	{ 0x7fb02fb0, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x642cad8e, "seq_write" },
	{ 0xe73e0191, "____mt76_poll_msec" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x916eb1ed, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x63083ee4, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc4cd064, "mt76_wcid_cleanup" },
	{ 0x26da8228, "single_release" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0xa7feba51, "mt76_sw_scan" },
	{ 0xacfb8f50, "mt76_queues_read" },
	{ 0x36df7bc6, "mt76_sta_pre_rcu_remove" },
	{ 0xf127f9ad, "mt76_register_debugfs_fops" },
	{ 0xee92b7be, "pcim_iomap_table" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x83ef7b57, "napi_schedule_prep" },
	{ 0xf36a93b8, "napi_disable" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0xca7ecfcf, "__mt76_poll" },
	{ 0x8a2ad181, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xabaa0e2e, "debugfs_create_u8" },
	{ 0x36bd243f, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x6d43dc0a, "pcim_enable_device" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x40847e6f, "mt76_dma_attach" },
	{ 0xda5a9864, "ieee80211_emulate_remove_chanctx" },
	{ 0x2cab8605, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x35c772e6, "ieee80211_sta_register_airtime" },
	{ 0x9b471b18, "mt76_init_sar_power" },
	{ 0x2fc45e0f, "devm_platform_ioremap_resource" },
	{ 0x54b0ea, "mt76_dma_rx_poll" },
	{ 0xc30b76ed, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x498252d5, "simple_attr_open" },
	{ 0x5c0c50c1, "devm_request_threaded_irq" },
	{ 0x5eee46b8, "debugfs_attr_write" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x30eb2156, "platform_driver_unregister" },
	{ 0x273b0273, "consume_skb" },
	{ 0x1795a9a7, "platform_get_irq" },
	{ 0xcf1498a3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xefbba815, "mt76_tx_status_skb_get" },
	{ 0x17818535, "mt76_tx_status_lock" },
	{ 0x1f62ca01, "ieee80211_free_hw" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6881dfdd, "mt76_release_buffered_frames" },
	{ 0x697a555b, "request_firmware" },
	{ 0x326ff87d, "mt76_get_txpower" },
	{ 0x58444026, "mt76_csa_check" },
	{ 0x1fcf28fe, "mt76_tx_status_skb_add" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0xc978252d, "__tracepoint_mac_txdone" },
	{ 0x3c3be51a, "mt76_tx_check_agg_ssn" },
	{ 0x4a68997d, "mt76_get_rate" },
	{ 0x77a768d, "mt76_wake_tx_queue" },
	{ 0x56f0c57d, "ieee80211_tx_status_ext" },
	{ 0x7373b5b5, "mt76_stop_tx_queues" },
	{ 0xecf8faea, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x4eed4dd5, "__mt76_tx_complete_skb" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0x5c4a0362, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,mt76");

MODULE_ALIAS("pci:v000014C3d00007603sv*sd*bc*sc*i*");
MODULE_ALIAS("of:N*T*Cmediatek,mt7628-wmac");
MODULE_ALIAS("of:N*T*Cmediatek,mt7628-wmacC*");

MODULE_INFO(srcversion, "90E07A29D228C2696C0546A");
