#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_radio_led_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x45db5d56, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x15001b2f, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x49a66034, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x9f1116f2, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0xf9e36a78, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0xd3faed26, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x4e826ce9, "_gpl");
SYMBOL_CRC(mt7921_mcu_radio_led_ctrl, 0x4fece0cc, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x90fc03ba, "_gpl");
SYMBOL_CRC(__mt7921_start, 0xda81f953, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x1165b487, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0x54fadaec, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x05f52b08, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x3996daa5, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x018ea466, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0xa4704052, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x35784bbb, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xa456cbc3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0xfe107dce, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58bf9e63, "pskb_expand_head" },
	{ 0xc3fd6610, "mt76_wcid_init" },
	{ 0xba873db3, "wake_up_process" },
	{ 0xef54cf47, "mt76_connac_free_pending_tx_skbs" },
	{ 0xc770116f, "mt792x_sta_statistics" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0x39db9918, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d76e4c, "mt792x_conf_tx" },
	{ 0x55af3cd7, "cfg80211_reg_check_beaconing" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5493c08f, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x888ce76c, "mt792x_get_et_sset_count" },
	{ 0x4396ebf3, "mt76_connac_mcu_set_mac_enable" },
	{ 0xfe207416, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0xda080bd6, "mt792x_init_acpi_sar_power" },
	{ 0xf590ffbf, "mt792x_set_wakeup" },
	{ 0x1c1083a3, "mt76_wcid_key_setup" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0xf48aeb26, "skb_queue_tail" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x1bce5a93, "mt76_rx" },
	{ 0x1a98abaf, "mt792x_load_firmware" },
	{ 0x72839aed, "mt76_connac_mcu_sched_scan_req" },
	{ 0xc22582c, "mt792x_get_et_stats" },
	{ 0x4f0507f, "mt76_connac2_txwi_free" },
	{ 0x51a49b6b, "__tracepoint_lp_event" },
	{ 0xe864b84, "mt76_connac_mcu_uni_add_bss" },
	{ 0x22a87cbc, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x516b0a3e, "wiphy_to_ieee80211_hw" },
	{ 0xeb484c95, "debugfs_attr_read" },
	{ 0x568b20a, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc03dc765, "ieee80211_queue_delayed_work" },
	{ 0x2a4d6636, "devm_kmemdup" },
	{ 0x162b3315, "_dev_err" },
	{ 0x72852818, "skb_pull" },
	{ 0xad367a35, "mt76_register_device" },
	{ 0xb942d65f, "mt792x_get_stats" },
	{ 0x11b50b30, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x3ddcbff0, "simple_attr_release" },
	{ 0x891b7cd8, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe33446db, "mt76_find_power_limits_node" },
	{ 0xdf0e2e2c, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x72dff620, "mt76_set_channel" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0xc89bcf27, "ieee80211_wake_queues" },
	{ 0xf7944de0, "mt76_mcu_send_and_get_msg" },
	{ 0x5e7903b4, "ieee80211_beacon_get_template" },
	{ 0xae8c6902, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8c38c301, "mt76_eeprom_override" },
	{ 0x73afb6fc, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xabeb4880, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x509b9c65, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x6fe5dcfb, "devm_hwmon_device_register_with_groups" },
	{ 0xb57bd207, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1909c9a4, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5a76205a, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xb51d2436, "mt792x_tx" },
	{ 0x1d752a41, "mt792x_get_et_strings" },
	{ 0x4199d0b5, "mt76_sta_state" },
	{ 0x2a1a89e1, "ieee80211_ready_on_channel" },
	{ 0x60d526e2, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x1eee15a4, "devm_kasprintf" },
	{ 0x55b085bd, "mt792x_remove_interface" },
	{ 0x63f1d80a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xdacbdcc9, "mt792x_queues_read" },
	{ 0x15dad697, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xb69634d1, "debugfs_create_file" },
	{ 0xeb3e1f24, "mt792x_queues_acq" },
	{ 0x695ff874, "ieee80211_sched_scan_results" },
	{ 0xb2140ff, "ieee80211_scan_completed" },
	{ 0xc6fbe409, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x85de5916, "mt76_insert_ccmp_hdr" },
	{ 0x3ad16969, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xdc9bd39e, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xd63157c, "mt792x_tx_stats_show" },
	{ 0x915718c, "mt792x_acpi_get_mtcl_conf" },
	{ 0x7fb02fb0, "mt76_rx_aggr_start" },
	{ 0xeeb20ab2, "__SCK__tp_func_lp_event" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc682a9d, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0xc69c04ae, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x971bf09a, "mt792x_mac_init_band" },
	{ 0x6b536c1, "mt76_skb_adjust_pad" },
	{ 0x8a9d278d, "ieee80211_cqm_rssi_notify" },
	{ 0x3be7ba98, "mt792x_init_wiphy" },
	{ 0x81ba2e43, "mt76_connac_sta_state_dp" },
	{ 0x4c85da29, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x26da8228, "single_release" },
	{ 0xacfb8f50, "mt76_queues_read" },
	{ 0x36df7bc6, "mt76_sta_pre_rcu_remove" },
	{ 0xf127f9ad, "mt76_register_debugfs_fops" },
	{ 0x5142cd43, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x8a91468a, "mt76_connac2_mac_write_txwi" },
	{ 0xa0e31eb4, "__mt76_set_tx_blocked" },
	{ 0xcae91343, "mt76_connac_mcu_sta_ba" },
	{ 0x3e0b4b2d, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xc9c9d4dd, "ieee80211_queue_work" },
	{ 0x17352d38, "mt792x_mac_reset_counters" },
	{ 0x74a8461d, "napi_consume_skb" },
	{ 0xca7ecfcf, "__mt76_poll" },
	{ 0x8a2ad181, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x36bd243f, "single_open" },
	{ 0x65eeef9f, "mt76_connac_mcu_add_key" },
	{ 0xff5dfe39, "mt792x_unassign_vif_chanctx" },
	{ 0x3cc41054, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0xf7a59440, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x38641a94, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xc9be583f, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x35c772e6, "ieee80211_sta_register_airtime" },
	{ 0x2760fcbc, "mt792x_init_wcid" },
	{ 0xf8c40358, "mt792x_init_acpi_sar" },
	{ 0x9b471b18, "mt76_init_sar_power" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x498252d5, "simple_attr_open" },
	{ 0x5c72313e, "ieee80211_iterate_interfaces" },
	{ 0x301b2e01, "mt792x_stop" },
	{ 0x5eee46b8, "debugfs_attr_write" },
	{ 0x660736c6, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x9aa72856, "mt76_connac_mcu_sched_scan_enable" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x273b0273, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xaf7092a3, "mt76_connac_mcu_uni_set_chctx" },
	{ 0xa3b0e4ab, "mt792x_tx_worker" },
	{ 0x5dfc6833, "mt792x_flush" },
	{ 0x570025c6, "mt792x_rx_get_wcid" },
	{ 0xedc46a0f, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0xb0a12530, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8886644e, "mt76_connac_mcu_set_channel_domain" },
	{ 0x4102ed31, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6881dfdd, "mt76_release_buffered_frames" },
	{ 0x697a555b, "request_firmware" },
	{ 0x326ff87d, "mt76_get_txpower" },
	{ 0x1fcf28fe, "mt76_tx_status_skb_add" },
	{ 0xd8bb6259, "mt76_connac_pm_wake" },
	{ 0x73ad192d, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0x52eccf4e, "mt76_connac_mcu_set_deep_sleep" },
	{ 0x77a768d, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2be404f1, "mt76_connac_mcu_chip_config" },
	{ 0xecf8faea, "mt76_get_antenna" },
	{ 0x4e1417f0, "mt792x_set_coverage_class" },
	{ 0x8fe96bbd, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x4eed4dd5, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0x6de8eb51, "mt76_set_stream_caps" },
	{ 0x934fdedf, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe843073e, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0x207d0e52, "mt76_connac_mcu_update_arp_filter" },
	{ 0x88b3c9ea, "mt76_connac2_tx_check_aggr" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mt792x-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "7B0C83E214A3C7D8A332126");
