#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl_usb_probe, "", "");
KSYMTAB_FUNC(rtl_usb_disconnect, "", "");
KSYMTAB_FUNC(rtl_usb_suspend, "", "");
KSYMTAB_FUNC(rtl_usb_resume, "", "");

SYMBOL_CRC(rtl_usb_probe, 0xd4223700, "");
SYMBOL_CRC(rtl_usb_disconnect, 0x5fc71a3b, "");
SYMBOL_CRC(rtl_usb_suspend, 0x04f87dcd, "");
SYMBOL_CRC(rtl_usb_resume, 0xdb285e38, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x6db3ba37, "rtl_update_beacon_work_callback" },
	{ 0x96d94193, "usb_get_dev" },
	{ 0xdc98f4a3, "usb_submit_urb" },
	{ 0xccf39d0a, "rtl_init_sw_leds" },
	{ 0xf48aeb26, "skb_queue_tail" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x162b3315, "_dev_err" },
	{ 0xbc190b1c, "usb_free_coherent" },
	{ 0x72852818, "skb_pull" },
	{ 0x53f98dfe, "rtl_init_rx_config" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0x2d32cdfc, "rtl_lps_change_work_callback" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x10741b3a, "usb_control_msg" },
	{ 0x24f12d10, "rtl_action_proc" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x718a2824, "rtl_init_core" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6e679553, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0xf898be9f, "usb_unanchor_urb" },
	{ 0x87310b85, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x89d46f5c, "usb_get_from_anchor" },
	{ 0x36d8eb1c, "rtl_deinit_core" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0xefbca4aa, "rtl_deinit_deferred_work" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xb985d95c, "ieee80211_rx_napi" },
	{ 0xc96563e9, "usb_alloc_urb" },
	{ 0xdddff322, "usb_anchor_urb" },
	{ 0xa168585d, "rtl_beacon_statistic" },
	{ 0xb422809, "usb_free_urb" },
	{ 0xf8c5c291, "skb_put" },
	{ 0xaba4b189, "usb_alloc_coherent" },
	{ 0xa6257a2f, "complete" },
	{ 0xedc46a0f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x1f62ca01, "ieee80211_free_hw" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xcbf97f2d, "ieee80211_register_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0x3db3562d, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb6636d0a, "rtl_ops" },
	{ 0xdb867a03, "ieee80211_tx_status_irqsafe" },
	{ 0xe07b3315, "usb_put_dev" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "usbcore,rtlwifi,mac80211");


MODULE_INFO(srcversion, "6871F6D194594EAC49BA2CF");
