#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(admin_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_io_timeout, "_gpl", "");
KSYMTAB_DATA(nvme_wq, "_gpl", "");
KSYMTAB_DATA(nvme_reset_wq, "_gpl", "");
KSYMTAB_DATA(nvme_delete_wq, "_gpl", "");
KSYMTAB_FUNC(nvme_try_sched_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_reset_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_delete_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_rq, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_batch_req, "_gpl", "");
KSYMTAB_FUNC(nvme_host_path_error, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_request, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_cancel_admin_tagset, "_gpl", "");
KSYMTAB_FUNC(nvme_change_ctrl_state, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_reset, "_gpl", "");
KSYMTAB_FUNC(nvme_put_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_init_request, "_gpl", "");
KSYMTAB_FUNC(nvme_fail_nonready_command, "_gpl", "");
KSYMTAB_FUNC(__nvme_check_ready, "_gpl", "");
KSYMTAB_FUNC(nvme_cleanup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_setup_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_execute_rq, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(__nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_submit_sync_cmd, "_gpl", "");
KSYMTAB_FUNC(nvme_command_effects, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_start, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_passthru_end, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_stop_keep_alive, "_gpl", "");
KSYMTAB_FUNC(nvme_set_features, "_gpl", "");
KSYMTAB_FUNC(nvme_get_features, "_gpl", "");
KSYMTAB_FUNC(nvme_set_queue_count, "_gpl", "");
KSYMTAB_FUNC(nvme_disable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_enable_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl_finish, "_gpl", "");
KSYMTAB_FUNC(nvme_find_get_ns, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_FUNC(nvme_remove_namespaces, "_gpl", "");
KSYMTAB_FUNC(nvme_complete_async_event, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_admin_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_alloc_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_remove_io_tag_set, "_gpl", "");
KSYMTAB_FUNC(nvme_stop_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_start_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_uninit_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_add_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_mark_namespaces_dead, "_gpl", "");
KSYMTAB_FUNC(nvme_unfreeze, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze_timeout, "_gpl", "");
KSYMTAB_FUNC(nvme_wait_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_start_freeze, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_quiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_unquiesce_admin_queue, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_io_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_sync_queues, "_gpl", "");
KSYMTAB_FUNC(nvme_ctrl_from_file, "_gpl", "NVME_TARGET_PASSTHRU");
KSYMTAB_DATA(nvme_dev_attrs_group, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nvme_sq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nvme_sq, "_gpl", "");
KSYMTAB_FUNC(nvme_mpath_start_request, "_gpl", "");
KSYMTAB_FUNC(nvme_should_fail, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_negotiate, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_wait, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_init_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_stop, "_gpl", "");
KSYMTAB_FUNC(nvme_auth_free, "_gpl", "");

SYMBOL_CRC(admin_timeout, 0xd45434ee, "_gpl");
SYMBOL_CRC(nvme_io_timeout, 0x813cf212, "_gpl");
SYMBOL_CRC(nvme_wq, 0x64b62862, "_gpl");
SYMBOL_CRC(nvme_reset_wq, 0x49224181, "_gpl");
SYMBOL_CRC(nvme_delete_wq, 0xd58bbbcb, "_gpl");
SYMBOL_CRC(nvme_try_sched_reset, 0xd823ec30, "_gpl");
SYMBOL_CRC(nvme_reset_ctrl, 0xa07b4c7e, "_gpl");
SYMBOL_CRC(nvme_delete_ctrl, 0x2316c453, "_gpl");
SYMBOL_CRC(nvme_complete_rq, 0x9ad8b22b, "_gpl");
SYMBOL_CRC(nvme_complete_batch_req, 0x8581a7aa, "_gpl");
SYMBOL_CRC(nvme_host_path_error, 0xb616fc51, "_gpl");
SYMBOL_CRC(nvme_cancel_request, 0x8024d4d3, "_gpl");
SYMBOL_CRC(nvme_cancel_tagset, 0xfb449630, "_gpl");
SYMBOL_CRC(nvme_cancel_admin_tagset, 0x80af28e5, "_gpl");
SYMBOL_CRC(nvme_change_ctrl_state, 0x21d37c6e, "_gpl");
SYMBOL_CRC(nvme_wait_reset, 0x0126e490, "_gpl");
SYMBOL_CRC(nvme_put_ns, 0x581c4857, "_gpl");
SYMBOL_CRC(nvme_init_request, 0x302c838c, "_gpl");
SYMBOL_CRC(nvme_fail_nonready_command, 0x39f1e15e, "_gpl");
SYMBOL_CRC(__nvme_check_ready, 0x5f1b5073, "_gpl");
SYMBOL_CRC(nvme_cleanup_cmd, 0x04c7213d, "_gpl");
SYMBOL_CRC(nvme_setup_cmd, 0x1fc62558, "_gpl");
SYMBOL_CRC(nvme_execute_rq, 0x0f9cb9f9, "_gpl");
SYMBOL_CRC(__nvme_submit_sync_cmd, 0xef26c682, "_gpl");
SYMBOL_CRC(nvme_submit_sync_cmd, 0x385bd911, "_gpl");
SYMBOL_CRC(nvme_command_effects, 0x4378e68d, "_gpl");
SYMBOL_CRC(nvme_passthru_start, 0x7bc33d00, "_gpl");
SYMBOL_CRC(nvme_passthru_end, 0xc9e274d7, "_gpl");
SYMBOL_CRC(nvme_stop_keep_alive, 0xbc640589, "_gpl");
SYMBOL_CRC(nvme_set_features, 0xb7c25248, "_gpl");
SYMBOL_CRC(nvme_get_features, 0x977f5a87, "_gpl");
SYMBOL_CRC(nvme_set_queue_count, 0xb6f8f091, "_gpl");
SYMBOL_CRC(nvme_disable_ctrl, 0x1b4821e5, "_gpl");
SYMBOL_CRC(nvme_enable_ctrl, 0x281c612f, "_gpl");
SYMBOL_CRC(nvme_init_ctrl_finish, 0xcfd7e4c6, "_gpl");
SYMBOL_CRC(nvme_find_get_ns, 0x34686829, "_gpl");
SYMBOL_CRC(nvme_remove_namespaces, 0xfd87b480, "_gpl");
SYMBOL_CRC(nvme_complete_async_event, 0xbfa3ea79, "_gpl");
SYMBOL_CRC(nvme_alloc_admin_tag_set, 0x6cde2638, "_gpl");
SYMBOL_CRC(nvme_remove_admin_tag_set, 0xce051e2a, "_gpl");
SYMBOL_CRC(nvme_alloc_io_tag_set, 0xdf85e924, "_gpl");
SYMBOL_CRC(nvme_remove_io_tag_set, 0x9b70d8c4, "_gpl");
SYMBOL_CRC(nvme_stop_ctrl, 0x097a0547, "_gpl");
SYMBOL_CRC(nvme_start_ctrl, 0x5ea2fbfe, "_gpl");
SYMBOL_CRC(nvme_uninit_ctrl, 0x9dbd0dae, "_gpl");
SYMBOL_CRC(nvme_init_ctrl, 0x31fa67db, "_gpl");
SYMBOL_CRC(nvme_add_ctrl, 0xedcec925, "_gpl");
SYMBOL_CRC(nvme_mark_namespaces_dead, 0xad216583, "_gpl");
SYMBOL_CRC(nvme_unfreeze, 0xcf36d230, "_gpl");
SYMBOL_CRC(nvme_wait_freeze_timeout, 0x45a745f0, "_gpl");
SYMBOL_CRC(nvme_wait_freeze, 0xf5c175b4, "_gpl");
SYMBOL_CRC(nvme_start_freeze, 0x7777ae26, "_gpl");
SYMBOL_CRC(nvme_quiesce_io_queues, 0x22f95174, "_gpl");
SYMBOL_CRC(nvme_unquiesce_io_queues, 0x6d4667c6, "_gpl");
SYMBOL_CRC(nvme_quiesce_admin_queue, 0xda262d0f, "_gpl");
SYMBOL_CRC(nvme_unquiesce_admin_queue, 0xc36f3b13, "_gpl");
SYMBOL_CRC(nvme_sync_io_queues, 0x83000a21, "_gpl");
SYMBOL_CRC(nvme_sync_queues, 0xa40160f9, "_gpl");
SYMBOL_CRC(nvme_ctrl_from_file, 0x7942f204, "_gpl");
SYMBOL_CRC(nvme_dev_attrs_group, 0x8b9fd47d, "_gpl");
SYMBOL_CRC(__tracepoint_nvme_sq, 0x4fc1179d, "_gpl");
SYMBOL_CRC(__traceiter_nvme_sq, 0x93acee96, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nvme_sq, 0x8ef15709, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nvme_sq, 0x3bf2393a, "_gpl");
SYMBOL_CRC(nvme_mpath_start_request, 0xf84283cb, "_gpl");
SYMBOL_CRC(nvme_should_fail, 0xbb6a13d3, "_gpl");
SYMBOL_CRC(nvme_auth_negotiate, 0x8fdbbf67, "_gpl");
SYMBOL_CRC(nvme_auth_wait, 0xf75a6373, "_gpl");
SYMBOL_CRC(nvme_auth_init_ctrl, 0x4c80f10d, "_gpl");
SYMBOL_CRC(nvme_auth_stop, 0x9fe9bcee, "_gpl");
SYMBOL_CRC(nvme_auth_free, 0x27f7e5fc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x108ffb8e, "blk_mq_quiesce_tagset" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x44576dc0, "kobject_uevent_env" },
	{ 0xc60fe0c3, "bio_endio" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x468da19, "__SCK__tp_func_block_bio_remap" },
	{ 0x162b3315, "_dev_err" },
	{ 0xd553c39, "blk_revalidate_disk_zones" },
	{ 0x69b03ef5, "debugfs_create_bool" },
	{ 0x8bb050fc, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x95b1bfe5, "device_add" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0xe5c567f8, "blk_rq_map_user_io" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x13cb3612, "sysfs_remove_link" },
	{ 0x5ee14df4, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xda9d67e3, "hwmon_device_register_with_info" },
	{ 0x7139e468, "set_capacity" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc29e8939, "submit_bio_noacct" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x30b3d370, "blk_sync_queue" },
	{ 0xcce5f419, "bdev_start_io_acct" },
	{ 0xf482c176, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x4f3fb3f8, "__SCK__tp_func_block_bio_complete" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1624b6c7, "blk_mq_alloc_request_hctx" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xca87b5d9, "__io_uring_cmd_do_in_task" },
	{ 0xe95a2644, "blk_mq_alloc_request" },
	{ 0xffb7c514, "ida_free" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1271e4b2, "crypto_shash_update" },
	{ 0x3074584e, "class_unregister" },
	{ 0xba23be07, "blk_mq_free_tag_set" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xd6fdb33c, "del_gendisk" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0x51641162, "opal_unlock_from_suspend" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x22e5d1de, "nvme_auth_augmented_challenge" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x60b66a68, "blk_set_stacking_limits" },
	{ 0xd53b0e86, "blk_mq_freeze_queue_wait_timeout" },
	{ 0x39be30fe, "blk_put_queue" },
	{ 0x2e39c3c1, "bpf_trace_run1" },
	{ 0x7d645d83, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x815fda83, "sed_ioctl" },
	{ 0xfb578fc5, "memset" },
	{ 0x8539e389, "_dev_warn" },
	{ 0xae2d0837, "__kmalloc_cache_node_noprof" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x54b74b50, "blk_mq_wait_quiesce_done" },
	{ 0x1049d92f, "param_ops_charp" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x87896525, "debugfs_create_x16" },
	{ 0xff2e8f8b, "io_uring_cmd_done" },
	{ 0xf8220dae, "blk_rq_unmap_user" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xcbfb33e4, "init_opal_dev" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x28da7fd0, "nvme_auth_generate_key" },
	{ 0x745a981, "xa_erase" },
	{ 0x521a4fa5, "bpf_trace_run3" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0xcde77bcc, "free_opal_dev" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x2225ee56, "blk_mq_complete_request" },
	{ 0xa539db03, "blk_mq_freeze_queue" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0xdc0ec96, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2213aa1f, "mempool_create_node_noprof" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xa9405293, "blk_mq_destroy_queue" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0xa1125777, "blk_freeze_queue_start" },
	{ 0xca631f0d, "dev_pm_qos_hide_latency_tolerance" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xb784216f, "disk_live" },
	{ 0x9034a696, "mempool_destroy" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3bed5c68, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x74835543, "__tracepoint_block_bio_complete" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x78dcc810, "hwmon_device_unregister" },
	{ 0x930670a9, "__tracepoint_block_bio_remap" },
	{ 0xdcf8f948, "blk_mq_unfreeze_queue" },
	{ 0xc8203e50, "alloc_pages_noprof" },
	{ 0xc078fe65, "blk_mq_tagset_busy_iter" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x83ab2417, "queue_limits_commit_update" },
	{ 0xe619db91, "blkdev_compat_ptr_ioctl" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x7ba04e5f, "blk_rq_map_user_iov" },
	{ 0x2ea1a6fb, "setup_fault_attr" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x17d83f49, "blk_mark_disk_dead" },
	{ 0x754d539c, "strlen" },
	{ 0x83f75464, "io_uring_cmd_import_fixed" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xde651b91, "crypto_alloc_shash" },
	{ 0x9a525a78, "blk_mq_freeze_queue_wait" },
	{ 0xdb171020, "debugfs_create_dir" },
	{ 0xfae75b0b, "nvme_auth_gen_privkey" },
	{ 0x3fd40e13, "fault_create_debugfs_attr" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc7011c71, "blk_mq_requeue_request" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf5e17072, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xa53fc1f1, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x46a94fd1, "bdev_end_io_acct" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x4e144a54, "__SCT__tp_func_block_bio_complete" },
	{ 0x796dcb48, "blk_steal_bios" },
	{ 0x9d06e1b9, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xd107abd1, "set_capacity_and_notify" },
	{ 0xd92ba71c, "bio_associate_blkg" },
	{ 0x273aff5c, "__SCT__tp_func_block_bio_remap" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x304c8f45, "set_disk_ro" },
	{ 0xb263834b, "__blk_alloc_disk" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x45d0eb03, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd1039464, "bio_integrity_map_user" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xcfc910f, "device_remove_file_self" },
	{ 0xfdb8b194, "param_ops_uint" },
	{ 0xc02637d8, "param_ops_ulong" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe3ca18f6, "dev_set_name" },
	{ 0x5ad0bae1, "bio_split_to_limits" },
	{ 0xfe13a601, "trace_seq_printf" },
	{ 0x8c131c00, "dev_pm_qos_expose_latency_tolerance" },
	{ 0x5f4d33, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x734fa9da, "blk_mq_tagset_wait_completed_request" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x47be3b22, "cdev_device_del" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xbda5e7d7, "queue_limits_stack_bdev" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0xf9edc603, "nvme_auth_transform_key" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xfcb219d6, "should_fail" },
	{ 0xb3519bbe, "device_initialize" },
	{ 0x7c6c55b8, "blk_mq_unquiesce_queue" },
	{ 0x9d1b0c82, "blk_mq_quiesce_queue" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xa62f0ee1, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xa8694ecd, "kblockd_schedule_work" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe2e27858, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x4fa94a45, "disk_uevent" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x3d09a82f, "param_ops_byte" },
	{ 0xb53d3a2a, "kmem_cache_create" },
	{ 0x8695c3f8, "get_device" },
	{ 0x1a16d712, "blk_mq_end_request" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb998317e, "__blk_mq_alloc_disk" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x9493fc86, "node_states" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4b47b4f5, "blk_mq_delay_kick_requeue_list" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8dea2b7b, "blk_mq_alloc_tag_set" },
	{ 0x399a0227, "blk_rq_is_poll" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5566284a, "trace_seq_putc" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x2f1433af, "put_disk" },
	{ 0x7db3681c, "crypto_alloc_kpp" },
	{ 0x62d03cec, "cdev_device_add" },
	{ 0xe18b1544, "dev_pm_qos_update_user_latency_tolerance" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8fe50355, "nvme_auth_free_key" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x54977902, "blk_execute_rq" },
	{ 0xb5478e4c, "put_device" },
	{ 0x27912dd0, "blk_mq_unquiesce_tagset" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x32a4ac0b, "blk_mq_free_request" },
	{ 0x618911fc, "numa_node" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0x46a3748c, "__free_pages" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0x9a1347ca, "blk_rq_map_kern" },
	{ 0xc6cbbc89, "capable" },
	{ 0x592e4424, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x740bcf42, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd0a78bd2, "nvme_auth_gen_pubkey" },
	{ 0xdc65ee70, "compat_ptr_ioctl" },
	{ 0x7f239278, "blk_rq_poll" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "nvme-auth");


MODULE_INFO(srcversion, "B7945CD14920A8A621E0F3F");
