#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_conn_queue_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_queue_recv, "_gpl", "");
KSYMTAB_FUNC(iscsi_update_cmdsn, "_gpl", "");
KSYMTAB_FUNC(iscsi_prep_data_out_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_scsi_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_send_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_task, "_gpl", "");
KSYMTAB_FUNC(__iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_complete_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_verify_itt, "_gpl", "");
KSYMTAB_FUNC(iscsi_itt_to_ctask, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_failure, "_gpl", "");
KSYMTAB_FUNC(iscsi_requeue_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_queuecommand, "_gpl", "");
KSYMTAB_FUNC(iscsi_target_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_queue, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_tx, "_gpl", "");
KSYMTAB_FUNC(iscsi_suspend_rx, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_cmd_timed_out, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_unbind, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_abort, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_device_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_recovery_timedout, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_session_reset, "_gpl", "");
KSYMTAB_FUNC(iscsi_eh_recover_target, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_pool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_max_scsi_cmds, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_add, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_remove, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_start, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_stop, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_bind, "_gpl", "");
KSYMTAB_FUNC(iscsi_switch_str_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_set_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_addr_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_get_param, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_set_param, "_gpl", "");

SYMBOL_CRC(iscsi_conn_queue_xmit, 0x27804d23, "_gpl");
SYMBOL_CRC(iscsi_conn_queue_recv, 0x47ab0996, "_gpl");
SYMBOL_CRC(iscsi_update_cmdsn, 0x88e4569e, "_gpl");
SYMBOL_CRC(iscsi_prep_data_out_pdu, 0x03e28f9a, "_gpl");
SYMBOL_CRC(iscsi_get_task, 0xacd1fd44, "_gpl");
SYMBOL_CRC(__iscsi_put_task, 0x20d83cab, "_gpl");
SYMBOL_CRC(iscsi_put_task, 0xb97b6279, "_gpl");
SYMBOL_CRC(iscsi_complete_scsi_task, 0xb93d0d7d, "_gpl");
SYMBOL_CRC(iscsi_conn_send_pdu, 0xbb429e1b, "_gpl");
SYMBOL_CRC(iscsi_itt_to_task, 0x8d749b1e, "_gpl");
SYMBOL_CRC(__iscsi_complete_pdu, 0x5904faa2, "_gpl");
SYMBOL_CRC(iscsi_complete_pdu, 0x39e40d00, "_gpl");
SYMBOL_CRC(iscsi_verify_itt, 0xe65e05c5, "_gpl");
SYMBOL_CRC(iscsi_itt_to_ctask, 0xd6fccc3d, "_gpl");
SYMBOL_CRC(iscsi_session_failure, 0x455042a7, "_gpl");
SYMBOL_CRC(iscsi_conn_failure, 0x9f149fa3, "_gpl");
SYMBOL_CRC(iscsi_requeue_task, 0xc4e3ea1d, "_gpl");
SYMBOL_CRC(iscsi_queuecommand, 0x7804bb11, "_gpl");
SYMBOL_CRC(iscsi_target_alloc, 0x870eb529, "_gpl");
SYMBOL_CRC(iscsi_suspend_queue, 0x92928be4, "_gpl");
SYMBOL_CRC(iscsi_suspend_tx, 0x53c16a91, "_gpl");
SYMBOL_CRC(iscsi_suspend_rx, 0x110ee6c7, "_gpl");
SYMBOL_CRC(iscsi_eh_cmd_timed_out, 0x5e488b89, "_gpl");
SYMBOL_CRC(iscsi_conn_unbind, 0x110a9d1d, "_gpl");
SYMBOL_CRC(iscsi_eh_abort, 0xf197e33d, "_gpl");
SYMBOL_CRC(iscsi_eh_device_reset, 0x3d1cf97a, "_gpl");
SYMBOL_CRC(iscsi_session_recovery_timedout, 0x0305ef85, "_gpl");
SYMBOL_CRC(iscsi_eh_session_reset, 0x405a0abd, "_gpl");
SYMBOL_CRC(iscsi_eh_recover_target, 0x21ac6b89, "_gpl");
SYMBOL_CRC(iscsi_pool_init, 0x3bef2f73, "_gpl");
SYMBOL_CRC(iscsi_pool_free, 0x8d303b1b, "_gpl");
SYMBOL_CRC(iscsi_host_get_max_scsi_cmds, 0x0598c15b, "_gpl");
SYMBOL_CRC(iscsi_host_add, 0xe7088a7f, "_gpl");
SYMBOL_CRC(iscsi_host_alloc, 0x78657e02, "_gpl");
SYMBOL_CRC(iscsi_host_remove, 0xe15d3b4a, "_gpl");
SYMBOL_CRC(iscsi_host_free, 0xa7ce1575, "_gpl");
SYMBOL_CRC(iscsi_session_setup, 0x82a1db86, "_gpl");
SYMBOL_CRC(iscsi_session_remove, 0x6f41ae3f, "_gpl");
SYMBOL_CRC(iscsi_session_free, 0xabca5753, "_gpl");
SYMBOL_CRC(iscsi_session_teardown, 0x8be337e1, "_gpl");
SYMBOL_CRC(iscsi_conn_setup, 0xbec28f48, "_gpl");
SYMBOL_CRC(iscsi_conn_teardown, 0x1b9f4471, "_gpl");
SYMBOL_CRC(iscsi_conn_start, 0xbfe65276, "_gpl");
SYMBOL_CRC(iscsi_conn_stop, 0x09fad2d0, "_gpl");
SYMBOL_CRC(iscsi_conn_bind, 0xca088270, "_gpl");
SYMBOL_CRC(iscsi_switch_str_param, 0x12b2ad06, "_gpl");
SYMBOL_CRC(iscsi_set_param, 0x5cdc6657, "_gpl");
SYMBOL_CRC(iscsi_session_get_param, 0x9439aab2, "_gpl");
SYMBOL_CRC(iscsi_conn_get_addr_param, 0xeab9cbd5, "_gpl");
SYMBOL_CRC(iscsi_conn_get_param, 0x689fa992, "_gpl");
SYMBOL_CRC(iscsi_host_get_param, 0xdfd43561, "_gpl");
SYMBOL_CRC(iscsi_host_set_param, 0x4af504af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9779f1d8, "_dev_printk" },
	{ 0x3d76ac6d, "iscsi_dbg_trace" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xc88381d4, "scsi_done" },
	{ 0xe2964344, "__wake_up" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37a0cba, "kfree" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x92997ed8, "_printk" },
	{ 0xbfc8815c, "scsi_add_host_with_dma" },
	{ 0x1114aafd, "scsi_host_alloc" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x666769a7, "scsi_host_put" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x57566b7a, "scsi_host_get" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xce58e98a, "iscsi_remove_session" },
	{ 0x9ba097a1, "iscsi_alloc_conn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x36188b2d, "iscsi_add_conn" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x48a98b9c, "iscsi_put_conn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8a412fc8, "iscsi_unblock_session" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xc49499a8, "__tracepoint_iscsi_dbg_eh" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf7e749fb, "__SCT__tp_func_iscsi_dbg_eh" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2912cf6, "iscsi_conn_error_event" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0x657c058, "__tracepoint_iscsi_dbg_conn" },
	{ 0x15dc8bab, "__SCT__tp_func_iscsi_dbg_conn" },
	{ 0x396f645d, "__tracepoint_iscsi_dbg_session" },
	{ 0x52575134, "__SCT__tp_func_iscsi_dbg_session" },
	{ 0x7cfbc595, "iscsi_recv_pdu" },
	{ 0xbcea991f, "iscsi_host_for_each_session" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0x8e5ab104, "scsi_remove_host" },
	{ 0xa8a895df, "iscsi_force_destroy_session" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x1000e51, "schedule" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xdfc28241, "flush_signals" },
	{ 0x24d273d1, "add_timer" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc90ee505, "scsi_build_sense" },
	{ 0x818416e1, "scsi_set_sense_information" },
	{ 0xa686ea9, "iscsi_free_session" },
	{ 0x592e4424, "module_put" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x51daaa1b, "iscsi_session_chkready" },
	{ 0xf7370f56, "system_state" },
	{ 0x19a08761, "iscsi_alloc_session" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x45d0eb03, "try_module_get" },
	{ 0x15a0424a, "iscsi_add_session" },
	{ 0x2dec90c6, "iscsi_remove_conn" },
	{ 0x176bb35d, "iscsi_get_conn" },
	{ 0x9e817fb3, "iscsi_block_session" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x16890f88, "param_ops_int" },
	{ 0x8126260c, "__SCK__tp_func_iscsi_dbg_eh" },
	{ 0xb20d92f9, "__SCK__tp_func_iscsi_dbg_session" },
	{ 0x97e2521a, "__SCK__tp_func_iscsi_dbg_conn" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,scsi_mod,scsi_common");


MODULE_INFO(srcversion, "D2C8AD88B4623AE89808360");
