#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(u128_div, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_get_stddev, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_update, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_mean, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_variance, "_gpl", "");
KSYMTAB_FUNC(mean_and_variance_weighted_get_stddev, "_gpl", "");
KSYMTAB_FUNC(six_trylock_ip, "_gpl", "");
KSYMTAB_FUNC(six_relock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_ip_waiter, "_gpl", "");
KSYMTAB_FUNC(six_unlock_ip, "_gpl", "");
KSYMTAB_FUNC(six_lock_downgrade, "_gpl", "");
KSYMTAB_FUNC(six_lock_tryupgrade, "_gpl", "");
KSYMTAB_FUNC(six_trylock_convert, "_gpl", "");
KSYMTAB_FUNC(six_lock_increment, "_gpl", "");
KSYMTAB_FUNC(six_lock_wakeup_all, "_gpl", "");
KSYMTAB_FUNC(six_lock_counts, "_gpl", "");
KSYMTAB_FUNC(six_lock_readers_add, "_gpl", "");
KSYMTAB_FUNC(six_lock_exit, "_gpl", "");
KSYMTAB_FUNC(__six_lock_init, "_gpl", "");
KSYMTAB_FUNC(bch2_run_thread_with_stdout, "_gpl", "");

SYMBOL_CRC(u128_div, 0x04ee0c04, "_gpl");
SYMBOL_CRC(mean_and_variance_get_mean, 0x375cbd1b, "_gpl");
SYMBOL_CRC(mean_and_variance_get_variance, 0xebc0f0d5, "_gpl");
SYMBOL_CRC(mean_and_variance_get_stddev, 0xb9817da6, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_update, 0xb91715f2, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_mean, 0xb3fd2cf8, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_variance, 0x3c42b603, "_gpl");
SYMBOL_CRC(mean_and_variance_weighted_get_stddev, 0xc436648c, "_gpl");
SYMBOL_CRC(six_trylock_ip, 0x75ed2ba8, "_gpl");
SYMBOL_CRC(six_relock_ip, 0xfbe27b79, "_gpl");
SYMBOL_CRC(six_lock_ip_waiter, 0x1c3a50e3, "_gpl");
SYMBOL_CRC(six_unlock_ip, 0xecde145d, "_gpl");
SYMBOL_CRC(six_lock_downgrade, 0xc8a45408, "_gpl");
SYMBOL_CRC(six_lock_tryupgrade, 0xf9b482fc, "_gpl");
SYMBOL_CRC(six_trylock_convert, 0xa93cd86e, "_gpl");
SYMBOL_CRC(six_lock_increment, 0x8f71d8be, "_gpl");
SYMBOL_CRC(six_lock_wakeup_all, 0x9185b575, "_gpl");
SYMBOL_CRC(six_lock_counts, 0x9bc46b77, "_gpl");
SYMBOL_CRC(six_lock_readers_add, 0xa4043222, "_gpl");
SYMBOL_CRC(six_lock_exit, 0x9b08d1f8, "_gpl");
SYMBOL_CRC(__six_lock_init, 0x5fab21e9, "_gpl");
SYMBOL_CRC(bch2_run_thread_with_stdout, 0xc25ccefb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf482c176, "debugfs_remove" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x5a921311, "strncmp" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xce5ac24f, "zlib_inflate_workspacesize" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0x5bdc5c5b, "ilookup5_nowait" },
	{ 0xb5a1816c, "bio_kmalloc" },
	{ 0x495af4e6, "from_kgid" },
	{ 0x3ae34aeb, "zstd_init_dctx" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x20866b3e, "folio_mkclean" },
	{ 0xf8788b4b, "crypto_shash_digest" },
	{ 0xddf86133, "LZ4_compress_HC" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xe32ab4d8, "xxh64_digest" },
	{ 0x89e40de1, "bdev_freeze" },
	{ 0xfae72c48, "blkdev_issue_zeroout" },
	{ 0x44a6f7e4, "file_remove_privs" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf1e046cc, "panic" },
	{ 0x3b068392, "vmap" },
	{ 0x88a64224, "sget" },
	{ 0xc82f99d2, "zero_fill_bio_iter" },
	{ 0x5313419d, "bio_add_page" },
	{ 0x1271e4b2, "crypto_shash_update" },
	{ 0x3074584e, "class_unregister" },
	{ 0x6f9df0b9, "__percpu_init_rwsem" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x3b69a6ad, "folio_wait_stable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xa3bd1edc, "__audit_inode_child" },
	{ 0xafcfd0c9, "d_obtain_alias" },
	{ 0x3ad57b13, "file_modified" },
	{ 0x4f87fa5d, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdc4251bf, "bio_check_pages_dirty" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x733b8c68, "freezing_slow_path" },
	{ 0x22efffd3, "folio_end_read" },
	{ 0x5b6c00e6, "xor_blocks" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe2741e38, "__folio_start_writeback" },
	{ 0xf2054bf9, "bio_set_pages_dirty" },
	{ 0x2e39c3c1, "bpf_trace_run1" },
	{ 0xfb68e0a7, "bpf_trace_run9" },
	{ 0x5f022c7f, "security_path_mkdir" },
	{ 0xe3c17af1, "__closure_wake_up" },
	{ 0xddc6c2c6, "folio_end_writeback" },
	{ 0x751afa7a, "sync_inodes_sb" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x2676cdbe, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2923b6e5, "bio_init" },
	{ 0x8b5bb20f, "__SCT__tp_func_contention_begin" },
	{ 0x6f4a59e4, "sort_r" },
	{ 0xfb578fc5, "memset" },
	{ 0x69459a72, "synchronize_srcu_expedited" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xbddbb707, "bio_alloc_clone" },
	{ 0x804a5b70, "raid6_call" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xa384a8c, "closure_sub" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xf51f2f7b, "generic_remap_file_range_prep" },
	{ 0xa84b15d, "zstd_init_cctx" },
	{ 0xe21f18ac, "__genradix_iter_peek" },
	{ 0x1c223db, "inode_owner_or_capable" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xa9c913e4, "__get_task_comm" },
	{ 0x8bb7add9, "bio_reset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb917e850, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x774e6405, "filemap_get_folios" },
	{ 0xc631580a, "console_unlock" },
	{ 0xb1c3320e, "make_kgid" },
	{ 0x1b260ca2, "mempool_kvmalloc" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x1b9b8ff2, "d_delete" },
	{ 0xca1c4610, "crypto_alloc_sync_skcipher" },
	{ 0x15b89b29, "__closure_sync_timeout" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x7c0e29ea, "truncate_setsize" },
	{ 0x34c7cdbc, "lookup_bdev" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x81628903, "nonseekable_open" },
	{ 0x16b8497b, "bio_free_pages" },
	{ 0x5a29b651, "kthread_create_on_node" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x94e06388, "pv_ops" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0x521a4fa5, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x33736a1d, "__genradix_ptr_alloc" },
	{ 0x8522d6bc, "strncpy_from_user" },
	{ 0x8c30bf67, "zstd_dctx_workspace_bound" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xb69634d1, "debugfs_create_file" },
	{ 0xa62be63, "super_setup_bdi" },
	{ 0xe2b1fd4c, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x23996158, "generic_read_dir" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xc2780af1, "kobject_del" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0xdc0ec96, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xc3ca9093, "bio_copy_data_iter" },
	{ 0xca431c05, "wake_bit_function" },
	{ 0x1c72786c, "bioset_init" },
	{ 0xc3cf7ce6, "init_user_ns" },
	{ 0x237f495b, "request_key_tag" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x8969aca8, "__register_chrdev" },
	{ 0xbf4564e, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x909391f5, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2f0036ef, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x213f6eb8, "deactivate_locked_super" },
	{ 0xd81b13cc, "touch_atime" },
	{ 0x536ab6d8, "filemap_read" },
	{ 0x781b85bf, "__percpu_down_read" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0x658ce1a8, "xxh64_reset" },
	{ 0x2a181b9b, "blk_status_to_str" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8a80815a, "posix_acl_update_mode" },
	{ 0x40a9c75e, "generic_file_open" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0xc8203e50, "alloc_pages_noprof" },
	{ 0xa79eea72, "__folio_lock" },
	{ 0x9e74a118, "filemap_dirty_folio" },
	{ 0x7320ed7d, "is_bad_inode" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x9c7c7db7, "rcuwait_wake_up" },
	{ 0xb3fac3c5, "file_bdev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0x109ae58f, "filemap_splice_read" },
	{ 0xab6159f6, "kthread_unuse_mm" },
	{ 0x77d1c18c, "done_path_create" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xbe6a8c96, "zstd_cctx_workspace_bound" },
	{ 0x74a2e4fd, "__seq_puts" },
	{ 0x1ceacf36, "key_type_user" },
	{ 0xa420d02e, "d_parent_ino" },
	{ 0x81188c30, "match_string" },
	{ 0x246ecc53, "filemap_write_and_wait_range" },
	{ 0xf2d95916, "mempool_init_noprof" },
	{ 0x9a88d05c, "__SCT__tp_func_contention_end" },
	{ 0x69d78074, "generic_file_llseek_size" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xf3b7117f, "closure_return_sync" },
	{ 0x3f0eabd2, "xxh64_update" },
	{ 0x299ba33c, "iov_iter_revert" },
	{ 0xc4558aa2, "generic_write_checks" },
	{ 0xd3381439, "inode_permission" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcee956f8, "filemap_fault" },
	{ 0xde651b91, "crypto_alloc_shash" },
	{ 0xdb171020, "debugfs_create_dir" },
	{ 0xa02320b, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xc294e9, "make_bad_inode" },
	{ 0xc6f833c1, "bio_alloc_bioset" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xdd0762df, "set_worker_desc" },
	{ 0xceab0311, "strchrnul" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xa550818d, "iov_iter_npages" },
	{ 0xf2628676, "zstd_compress_cctx" },
	{ 0x5c61b572, "submit_bio_wait" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf5e17072, "class_register" },
	{ 0x455ffbc2, "fault_in_iov_iter_readable" },
	{ 0x61e35ba4, "__tracepoint_contention_begin" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xa3551a41, "start_poll_synchronize_srcu" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x38e46431, "mempool_exit" },
	{ 0x3cded159, "fs_bio_set" },
	{ 0x9d06e1b9, "kmem_cache_destroy" },
	{ 0xb0b03c10, "bio_split" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x13584efe, "kset_create_and_add" },
	{ 0xaab4f9ff, "blkdev_issue_discard" },
	{ 0xcf461b6e, "kobject_put" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x42c29108, "crypto_skcipher_encrypt" },
	{ 0xe8fa1ddf, "__bio_release_pages" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xa1acc129, "generic_shutdown_super" },
	{ 0xd92ba71c, "bio_associate_blkg" },
	{ 0x56828a25, "percpu_free_rwsem" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x62c3fc07, "vfs_fsync_range" },
	{ 0xd51bcd01, "setattr_prepare" },
	{ 0xf812cff6, "memscan" },
	{ 0xf2252036, "filemap_migrate_folio" },
	{ 0xab342e14, "bdev_file_open_by_path" },
	{ 0xa3fc8fb1, "shrinker_alloc" },
	{ 0x967c48ad, "file_check_and_advance_wb_err" },
	{ 0x45d0eb03, "try_module_get" },
	{ 0x89cbb3d, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc91fdf58, "percpu_ref_is_zero" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0x928318bc, "d_instantiate" },
	{ 0xb09a70c2, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x59f0779a, "clear_inode" },
	{ 0x83deaada, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x90d5503d, "stack_trace_save_tsk" },
	{ 0x20978fb9, "idr_find" },
	{ 0x3d6831bc, "mempool_kvfree" },
	{ 0xfdb8b194, "param_ops_uint" },
	{ 0xed74b9f, "percpu_down_write" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6ddc92f8, "inode_init_always" },
	{ 0x2b63a4b2, "discard_new_inode" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x15474d50, "bio_copy_data" },
	{ 0x130c6c35, "sysfs_create_file_ns" },
	{ 0xe3ff2c41, "get_random_u64" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x15bed7a5, "LZ4_decompress_safe_partial" },
	{ 0x2eae9949, "__folio_batch_release" },
	{ 0x297b3b49, "folio_unlock" },
	{ 0xada184ce, "vmalloc_to_page" },
	{ 0xb0e602eb, "memmove" },
	{ 0xf117b39a, "inode_insert5" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0x78a3650d, "user_path_create" },
	{ 0xc0364007, "fault_in_writeable" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xd8139cb, "filemap_map_pages" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0x665e2513, "zstd_max_clevel" },
	{ 0x60d979ec, "user_path_locked_at" },
	{ 0x2ccb0ef1, "init_special_inode" },
	{ 0x646407b, "unregister_filesystem" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xbdcd23b3, "bpf_trace_run6" },
	{ 0xf4b82c2e, "iov_iter_single_seg_count" },
	{ 0xc5c7903e, "device_unregister" },
	{ 0x7a98f4b4, "copy_from_user_nofault" },
	{ 0x2bd8a8bb, "blk_fill_rwbs" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x55b535dd, "generic_error_remove_folio" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0x1803a6ed, "raid6_2data_recov" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0xe3cf83c7, "nop_posix_acl_access" },
	{ 0x8e347839, "nop_posix_acl_default" },
	{ 0x86d713c7, "d_make_root" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0xeafc141f, "__posix_acl_chmod" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1c76f5bb, "__put_task_struct" },
	{ 0xcf2a6966, "up" },
	{ 0x9016047c, "closure_wait" },
	{ 0x5ecfa4ed, "kobject_init" },
	{ 0x56fe1620, "sysctl_hung_task_timeout_secs" },
	{ 0x8572c37e, "fsnotify" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x46d9b62d, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x1c2cb617, "fd_install" },
	{ 0x1c014650, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0x600f9258, "fiemap_prep" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe42af791, "ihold" },
	{ 0x55326164, "page_get_link" },
	{ 0x85d82b2d, "inode_dio_wait" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x94fde222, "truncate_pagecache_range" },
	{ 0x94961283, "vunmap" },
	{ 0x37a0cba, "kfree" },
	{ 0x4ffbf6a, "invalidate_inode_pages2_range" },
	{ 0x69466ae3, "finish_open" },
	{ 0x745d50, "iput" },
	{ 0x8e5aacaa, "kset_unregister" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xd35a6d31, "mempool_kmalloc" },
	{ 0x648b77b6, "iter_file_splice_write" },
	{ 0xe2e27858, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xeaf3cb23, "crc64_be" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf9305d29, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0xd56e66ef, "crypto_skcipher_setkey" },
	{ 0x148653, "vsnprintf" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0xd4bde64, "filemap_alloc_folio_noprof" },
	{ 0x35a88f28, "zlib_inflateInit2" },
	{ 0x6d44a5ce, "register_filesystem" },
	{ 0xb53d3a2a, "kmem_cache_create" },
	{ 0x7c610776, "__tracepoint_contention_end" },
	{ 0x15690fa7, "bdev_thaw" },
	{ 0x251dfbe0, "sync_inode_metadata" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa897e3e7, "mempool_free" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x4a5161e8, "filemap_add_folio" },
	{ 0x8d8940dd, "path_put" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x30e8e3ee, "__closure_sync" },
	{ 0xe88471c, "kthread_use_mm" },
	{ 0x15a3a596, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xabcbc33f, "bio_iov_iter_get_pages" },
	{ 0x24808ced, "user_path_at" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x48b0b122, "d_prune_aliases" },
	{ 0xba873db3, "wake_up_process" },
	{ 0x884f3cb1, "shrinker_free" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0xb678366f, "int_sqrt" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0x6a037cf1, "mempool_kfree" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8d7d53c8, "errname" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x50343b54, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xe4b051cf, "raid6_datap_recov" },
	{ 0x692bdc0d, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0xd9b41a0e, "lock_two_nondirectories" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x68a31f2c, "mnt_want_write_file" },
	{ 0xf7704bd8, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xcdf0e655, "get_state_synchronize_srcu" },
	{ 0xdc8b4878, "make_kprojid" },
	{ 0x1073a324, "__genradix_iter_peek_prev" },
	{ 0xafc6c68e, "zstd_is_error" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x2dd5dd86, "__SCK__tp_func_contention_end" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x1359d067, "__SCK__tp_func_contention_begin" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6315c42c, "zstd_get_params" },
	{ 0x40d04664, "console_trylock" },
	{ 0xe8a72fbe, "make_kuid" },
	{ 0x505e65e6, "truncate_inode_pages_final" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xba6cd429, "fs_kobj" },
	{ 0xcb98eac9, "bio_add_folio" },
	{ 0x61d7a365, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xd7293ffc, "percpu_ref_reinit" },
	{ 0x79001a29, "shrinker_register" },
	{ 0x38f81ab4, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x46a3748c, "__free_pages" },
	{ 0x4963937c, "poll_state_synchronize_srcu" },
	{ 0x9f984513, "strrchr" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xdb9448dc, "blk_finish_plug" },
	{ 0x5316bdab, "capable_wrt_inode_uidgid" },
	{ 0xc6cbbc89, "capable" },
	{ 0x6edb6766, "submit_bio" },
	{ 0x3317598, "mnt_drop_write_file" },
	{ 0x592e4424, "module_put" },
	{ 0x59276d19, "__destroy_inode" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x740bcf42, "sysfs_create_link" },
	{ 0x9182d095, "copy_page_from_iter_atomic" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x5046c99b, "inode_init_once" },
	{ 0x8817e21d, "bioset_exit" },
	{ 0x41dd7d89, "file_write_and_wait_range" },
	{ 0x581f98da, "zlib_inflate" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xad9901ae, "bit_waitqueue" },
	{ 0x8e3e0f7d, "fault_in_readable" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xca1648d4, "zstd_decompress_dctx" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xfeb343d1, "mempool_alloc_noprof" },
	{ 0x96c5b0aa, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xbd5f79e, "bio_put" },
	{ 0x1765fa4f, "percpu_up_write" },
	{ 0xc60fe0c3, "bio_endio" },
	{ 0x89ced9b8, "balance_dirty_pages_ratelimited" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd23ec395, "posix_acl_create" },
	{ 0xab1963e0, "inode_nohighmem" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x4c40964b, "__bio_advance" },
	{ 0x57bc19d2, "down_write" },
	{ 0x1f25d9f4, "kobject_add" },
	{ 0x41482d8b, "strndup_user" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x5bdd6851, "thp_get_unmapped_area" },
	{ 0x13cb3612, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe46c889a, "set_cached_acl" },
	{ 0xc9a4b416, "copy_to_user_nofault" },
	{ 0xbe26abe9, "truncate_pagecache" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0xd3b5e58a, "d_mark_tmpfile" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x35961097, "unlock_two_nondirectories" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x815593d2, "device_create" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd9a162ba, "closure_put" },
	{ 0x722a1cb2, "page_symlink" },
	{ 0x6fcfe491, "bpf_trace_run5" },
	{ 0x445169a9, "bdev_fput" },
	{ 0x5bc92e85, "LZ4_compress_destSize" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xd23e2bba, "write_cache_pages" },
	{ 0xb20aaf61, "file_update_time" },
	{ 0xd19d9f8b, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x41db049f, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "lz4hc_compress,xor,raid6_pq,libcrc32c,lz4_compress");


MODULE_INFO(srcversion, "E3DD7889CF1A3F7AEE66B2D");
