#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(udp_sock_create4, "", "");
KSYMTAB_FUNC(setup_udp_tunnel_sock, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_push_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_drop_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_add_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_notify_del_rx_port, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_sock_release, "_gpl", "");
KSYMTAB_FUNC(udp_tun_rx_dst, "_gpl", "");
KSYMTAB_FUNC(udp_tunnel_dst_lookup, "_gpl", "");

SYMBOL_CRC(udp_sock_create4, 0x182bc4bf, "");
SYMBOL_CRC(setup_udp_tunnel_sock, 0x083c7633, "_gpl");
SYMBOL_CRC(udp_tunnel_push_rx_port, 0x6d42407d, "_gpl");
SYMBOL_CRC(udp_tunnel_drop_rx_port, 0xd7b4cc60, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_add_rx_port, 0x1768866d, "_gpl");
SYMBOL_CRC(udp_tunnel_notify_del_rx_port, 0x5831bbc5, "_gpl");
SYMBOL_CRC(udp_tunnel_xmit_skb, 0x4000c471, "_gpl");
SYMBOL_CRC(udp_tunnel_sock_release, 0xeee656b5, "_gpl");
SYMBOL_CRC(udp_tun_rx_dst, 0x9b7c2fe8, "_gpl");
SYMBOL_CRC(udp_tunnel_dst_lookup, 0x2dc7fee2, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe7f733f8, "ipv6_stub" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x99517682, "udp_encap_enable" },
	{ 0x34b23c5c, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xf56a2285, "iptunnel_xmit" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0x82df85e3, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9bb26380, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xec0d943f, "__dynamic_netdev_dbg" },
	{ 0x1e09209f, "dst_cache_get_ip4" },
	{ 0xc6a16d8, "sock_create_kern" },
	{ 0x2ef69a95, "call_netdevice_notifiers" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x71f42651, "metadata_dst_alloc" },
	{ 0x8d771523, "dst_release" },
	{ 0x51b07f8d, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xe0dce576, "sock_bindtoindex" },
	{ 0x349cba85, "strchr" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8086187c, "dst_cache_set_ip4" },
	{ 0x45ba531b, "kernel_bind" },
	{ 0x7b3289d, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xe60c8d9e, "netdev_warn" },
	{ 0x813350e6, "udp_tunnel_nic_ops" },
	{ 0xa79ec040, "ip_route_output_flow" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F9C0ECDBAD8C6137F60F327");
