#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ieee80211_emulate_add_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_remove_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_change_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_emulate_switch_vif_chanctx, "", "");
KSYMTAB_FUNC(ieee80211_restart_hw, "", "");
KSYMTAB_FUNC(ieee80211_alloc_hw_nm, "", "");
KSYMTAB_FUNC(ieee80211_register_hw, "", "");
KSYMTAB_FUNC(ieee80211_unregister_hw, "", "");
KSYMTAB_FUNC(ieee80211_free_hw, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_status_ext, "", "");
KSYMTAB_FUNC(ieee80211_tx_rate_update, "", "");
KSYMTAB_FUNC(ieee80211_report_low_ack, "", "");
KSYMTAB_FUNC(ieee80211_free_txskb, "", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_link_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta_by_ifaddr, "_gpl", "");
KSYMTAB_FUNC(ieee80211_find_sta, "", "");
KSYMTAB_FUNC(ieee80211_sta_block_awake, "", "");
KSYMTAB_FUNC(ieee80211_sta_eosp, "", "");
KSYMTAB_FUNC(ieee80211_send_eosp_nullfunc, "", "");
KSYMTAB_FUNC(ieee80211_sta_set_buffered, "", "");
KSYMTAB_FUNC(ieee80211_sta_register_airtime, "", "");
KSYMTAB_FUNC(ieee80211_sta_recalc_aggregates, "", "");
KSYMTAB_FUNC(ieee80211_scan_completed, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_results, "", "");
KSYMTAB_FUNC(ieee80211_sched_scan_stopped, "", "");
KSYMTAB_FUNC(ieee80211_ready_on_channel, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remain_on_channel_expired, "_gpl", "");
KSYMTAB_FUNC(ieee80211_request_smps, "_gpl", "");
KSYMTAB_FUNC(ieee80211_send_bar, "", "");
KSYMTAB_FUNC(ieee80211_refresh_tx_agg_session_timer, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_start_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_stop_tx_ba_cb_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_stop_rx_ba_session, "", "");
KSYMTAB_FUNC(ieee80211_manage_rx_ba_offl, "", "");
KSYMTAB_FUNC(ieee80211_rx_ba_timer_expired, "", "");
KSYMTAB_FUNC(ieee80211_update_mu_groups, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links, "_gpl", "");
KSYMTAB_FUNC(ieee80211_set_active_links_async, "_gpl", "");
KSYMTAB_FUNC(ieee80211_rate_control_register, "", "");
KSYMTAB_FUNC(ieee80211_rate_control_unregister, "", "");
KSYMTAB_FUNC(ieee80211_get_tx_rates, "", "");
KSYMTAB_FUNC(rate_control_set_rates, "", "");
KSYMTAB_FUNC(ieee80211_tkip_add_iv, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p1k_iv, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_rx_p1k, "", "");
KSYMTAB_FUNC(ieee80211_get_tkip_p2k, "", "");
KSYMTAB_FUNC(ieee80211_csa_finish, "", "");
KSYMTAB_FUNC(ieee80211_channel_switch_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_terminated, "", "");
KSYMTAB_FUNC(ieee80211_nan_func_match, "", "");
KSYMTAB_FUNC(ieee80211_color_change_finish, "_gpl", "");
KSYMTAB_FUNC(ieee80211_obss_color_collision_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_sta_ps_transition, "", "");
KSYMTAB_FUNC(ieee80211_sta_pspoll, "", "");
KSYMTAB_FUNC(ieee80211_sta_uapsd_trigger, "", "");
KSYMTAB_FUNC(ieee80211_mark_rx_ba_filtered_frames, "", "");
KSYMTAB_FUNC(ieee80211_rx_list, "", "");
KSYMTAB_FUNC(ieee80211_rx_napi, "", "");
KSYMTAB_FUNC(ieee80211_rx_irqsafe, "", "");
KSYMTAB_FUNC(ieee80211_tx_prepare_skb, "", "");
KSYMTAB_FUNC(ieee80211_tx_dequeue, "", "");
KSYMTAB_FUNC(ieee80211_next_txq, "", "");
KSYMTAB_FUNC(__ieee80211_schedule_txq, "", "");
KSYMTAB_FUNC(ieee80211_txq_airtime_check, "", "");
KSYMTAB_FUNC(ieee80211_txq_may_transmit, "", "");
KSYMTAB_FUNC(ieee80211_txq_schedule_start, "", "");
KSYMTAB_FUNC(ieee80211_beacon_update_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_set_cntdwn, "", "");
KSYMTAB_FUNC(ieee80211_beacon_cntdwn_is_complete, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_index, "", "");
KSYMTAB_FUNC(ieee80211_beacon_free_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_template_ema_list, "", "");
KSYMTAB_FUNC(ieee80211_beacon_get_tim, "", "");
KSYMTAB_FUNC(ieee80211_proberesp_get, "", "");
KSYMTAB_FUNC(ieee80211_get_fils_discovery_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_get_unsol_bcast_probe_resp_tmpl, "", "");
KSYMTAB_FUNC(ieee80211_pspoll_get, "", "");
KSYMTAB_FUNC(ieee80211_nullfunc_get, "", "");
KSYMTAB_FUNC(ieee80211_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_rts_get, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_get, "", "");
KSYMTAB_FUNC(ieee80211_get_buffered_bc, "", "");
KSYMTAB_FUNC(ieee80211_reserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_unreserve_tid, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys, "", "");
KSYMTAB_FUNC(ieee80211_iter_keys_rcu, "", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_notify, "_gpl", "");
KSYMTAB_FUNC(ieee80211_get_key_rx_seq, "", "");
KSYMTAB_FUNC(ieee80211_set_key_rx_seq, "_gpl", "");
KSYMTAB_FUNC(ieee80211_remove_key, "_gpl", "");
KSYMTAB_FUNC(ieee80211_gtk_rekey_add, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_mic_failure, "_gpl", "");
KSYMTAB_FUNC(ieee80211_key_replay, "_gpl", "");
KSYMTAB_FUNC(wiphy_to_ieee80211_hw, "", "");
KSYMTAB_FUNC(ieee80211_get_bssid, "", "");
KSYMTAB_FUNC(ieee80211_generic_frame_duration, "", "");
KSYMTAB_FUNC(ieee80211_rts_duration, "", "");
KSYMTAB_FUNC(ieee80211_ctstoself_duration, "", "");
KSYMTAB_FUNC(ieee80211_handle_wake_tx_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue, "", "");
KSYMTAB_FUNC(ieee80211_stop_queues, "", "");
KSYMTAB_FUNC(ieee80211_queue_stopped, "", "");
KSYMTAB_FUNC(ieee80211_wake_queues, "", "");
KSYMTAB_FUNC(ieee80211_iterate_interfaces, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_active_interfaces_mtx, "_gpl", "");
KSYMTAB_FUNC(ieee80211_iterate_stations_atomic, "_gpl", "");
KSYMTAB_FUNC(wdev_to_ieee80211_vif, "_gpl", "");
KSYMTAB_FUNC(ieee80211_vif_to_wdev, "_gpl", "");
KSYMTAB_FUNC(ieee80211_queue_work, "", "");
KSYMTAB_FUNC(ieee80211_queue_delayed_work, "", "");
KSYMTAB_FUNC(ieee80211_hw_restart_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_resume_disconnect, "_gpl", "");
KSYMTAB_FUNC(ieee80211_ave_rssi, "_gpl", "");
KSYMTAB_FUNC(ieee80211_radar_detected, "", "");
KSYMTAB_FUNC(ieee80211_update_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_parse_p2p_noa, "", "");
KSYMTAB_FUNC(ieee80211_txq_get_depth, "", "");
KSYMTAB_FUNC(ieee80211_iter_chan_contexts_atomic, "_gpl", "");
KSYMTAB_FUNC(ieee80211_chswitch_done, "", "");
KSYMTAB_FUNC(ieee80211_ap_probereq_get, "", "");
KSYMTAB_FUNC(ieee80211_beacon_loss, "", "");
KSYMTAB_FUNC(ieee80211_connection_loss, "", "");
KSYMTAB_FUNC(ieee80211_disconnect, "", "");
KSYMTAB_FUNC(ieee80211_send_teardown_neg_ttlm, "", "");
KSYMTAB_FUNC(ieee80211_cqm_rssi_notify, "", "");
KSYMTAB_FUNC(ieee80211_cqm_beacon_loss_notify, "", "");
KSYMTAB_FUNC(ieee80211_enable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_disable_rssi_reports, "", "");
KSYMTAB_FUNC(ieee80211_tdls_oper_request, "", "");
KSYMTAB_FUNC(ieee80211_calc_rx_airtime, "_gpl", "");
KSYMTAB_FUNC(ieee80211_calc_tx_airtime, "_gpl", "");
KSYMTAB_FUNC(__ieee80211_get_radio_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_assoc_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_tx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_get_rx_led_name, "", "");
KSYMTAB_FUNC(__ieee80211_create_tpt_led_trigger, "", "");
KSYMTAB_FUNC(ieee80211_report_wowlan_wakeup, "", "");

SYMBOL_CRC(ieee80211_emulate_add_chanctx, 0x12f56314, "");
SYMBOL_CRC(ieee80211_emulate_remove_chanctx, 0xda5a9864, "");
SYMBOL_CRC(ieee80211_emulate_change_chanctx, 0x5c4a0362, "");
SYMBOL_CRC(ieee80211_emulate_switch_vif_chanctx, 0xebfb256a, "");
SYMBOL_CRC(ieee80211_restart_hw, 0x90d58c81, "");
SYMBOL_CRC(ieee80211_alloc_hw_nm, 0x6e679553, "");
SYMBOL_CRC(ieee80211_register_hw, 0xcbf97f2d, "");
SYMBOL_CRC(ieee80211_unregister_hw, 0x87310b85, "");
SYMBOL_CRC(ieee80211_free_hw, 0x1f62ca01, "");
SYMBOL_CRC(ieee80211_tx_status_irqsafe, 0xdb867a03, "");
SYMBOL_CRC(ieee80211_tx_status_skb, 0x7e6a50b0, "");
SYMBOL_CRC(ieee80211_tx_status_ext, 0x56f0c57d, "");
SYMBOL_CRC(ieee80211_tx_rate_update, 0x8eeb9ba3, "");
SYMBOL_CRC(ieee80211_report_low_ack, 0xf043ab88, "");
SYMBOL_CRC(ieee80211_free_txskb, 0xac5dd92c, "");
SYMBOL_CRC(ieee80211_find_sta_by_link_addrs, 0x70938059, "_gpl");
SYMBOL_CRC(ieee80211_find_sta_by_ifaddr, 0xf1f1c9dc, "_gpl");
SYMBOL_CRC(ieee80211_find_sta, 0x41d7cafa, "");
SYMBOL_CRC(ieee80211_sta_block_awake, 0x07cc474c, "");
SYMBOL_CRC(ieee80211_sta_eosp, 0x47fa00d9, "");
SYMBOL_CRC(ieee80211_send_eosp_nullfunc, 0x30e42b7a, "");
SYMBOL_CRC(ieee80211_sta_set_buffered, 0x666393e5, "");
SYMBOL_CRC(ieee80211_sta_register_airtime, 0x35c772e6, "");
SYMBOL_CRC(ieee80211_sta_recalc_aggregates, 0x4da85961, "");
SYMBOL_CRC(ieee80211_scan_completed, 0x0b2140ff, "");
SYMBOL_CRC(ieee80211_sched_scan_results, 0x695ff874, "");
SYMBOL_CRC(ieee80211_sched_scan_stopped, 0x17442051, "");
SYMBOL_CRC(ieee80211_ready_on_channel, 0x2a1a89e1, "_gpl");
SYMBOL_CRC(ieee80211_remain_on_channel_expired, 0xdf0e2e2c, "_gpl");
SYMBOL_CRC(ieee80211_request_smps, 0x5abf40c4, "_gpl");
SYMBOL_CRC(ieee80211_send_bar, 0x7587801f, "");
SYMBOL_CRC(ieee80211_refresh_tx_agg_session_timer, 0xaab10754, "");
SYMBOL_CRC(ieee80211_start_tx_ba_session, 0x052d5148, "");
SYMBOL_CRC(ieee80211_start_tx_ba_cb_irqsafe, 0x9a9ce556, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_session, 0xb282212b, "");
SYMBOL_CRC(ieee80211_stop_tx_ba_cb_irqsafe, 0x0effe38b, "");
SYMBOL_CRC(ieee80211_stop_rx_ba_session, 0x8ec4ad30, "");
SYMBOL_CRC(ieee80211_manage_rx_ba_offl, 0xfb85869f, "");
SYMBOL_CRC(ieee80211_rx_ba_timer_expired, 0x86055008, "");
SYMBOL_CRC(ieee80211_update_mu_groups, 0x063842d3, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links, 0xe77617a1, "_gpl");
SYMBOL_CRC(ieee80211_set_active_links_async, 0xea1a6c6c, "_gpl");
SYMBOL_CRC(ieee80211_rate_control_register, 0x1261122d, "");
SYMBOL_CRC(ieee80211_rate_control_unregister, 0x2a24eddb, "");
SYMBOL_CRC(ieee80211_get_tx_rates, 0xf8f5e40b, "");
SYMBOL_CRC(rate_control_set_rates, 0x91ee9c9d, "");
SYMBOL_CRC(ieee80211_tkip_add_iv, 0x16ad7c5f, "_gpl");
SYMBOL_CRC(ieee80211_get_tkip_p1k_iv, 0x1cf75d45, "");
SYMBOL_CRC(ieee80211_get_tkip_rx_p1k, 0x391eda45, "");
SYMBOL_CRC(ieee80211_get_tkip_p2k, 0x8b97e4ac, "");
SYMBOL_CRC(ieee80211_csa_finish, 0x3e2de027, "");
SYMBOL_CRC(ieee80211_channel_switch_disconnect, 0x21392072, "");
SYMBOL_CRC(ieee80211_nan_func_terminated, 0x5623315f, "");
SYMBOL_CRC(ieee80211_nan_func_match, 0x0027ef3c, "");
SYMBOL_CRC(ieee80211_color_change_finish, 0xe828ffb8, "_gpl");
SYMBOL_CRC(ieee80211_obss_color_collision_notify, 0xbdb07e87, "_gpl");
SYMBOL_CRC(ieee80211_sta_ps_transition, 0x81e12b6f, "");
SYMBOL_CRC(ieee80211_sta_pspoll, 0x9a9ad9c7, "");
SYMBOL_CRC(ieee80211_sta_uapsd_trigger, 0x77dbacfb, "");
SYMBOL_CRC(ieee80211_mark_rx_ba_filtered_frames, 0xbf8af3a2, "");
SYMBOL_CRC(ieee80211_rx_list, 0x72d78d85, "");
SYMBOL_CRC(ieee80211_rx_napi, 0xb985d95c, "");
SYMBOL_CRC(ieee80211_rx_irqsafe, 0xec857dd3, "");
SYMBOL_CRC(ieee80211_tx_prepare_skb, 0xa9e31d9f, "");
SYMBOL_CRC(ieee80211_tx_dequeue, 0x7b23c42b, "");
SYMBOL_CRC(ieee80211_next_txq, 0xa3fdb2f6, "");
SYMBOL_CRC(__ieee80211_schedule_txq, 0x1bae29a7, "");
SYMBOL_CRC(ieee80211_txq_airtime_check, 0x7fe6fb8b, "");
SYMBOL_CRC(ieee80211_txq_may_transmit, 0x3e3041e0, "");
SYMBOL_CRC(ieee80211_txq_schedule_start, 0xd59790d0, "");
SYMBOL_CRC(ieee80211_beacon_update_cntdwn, 0xc143a28c, "");
SYMBOL_CRC(ieee80211_beacon_set_cntdwn, 0x6f9bc0dc, "");
SYMBOL_CRC(ieee80211_beacon_cntdwn_is_complete, 0x87634664, "");
SYMBOL_CRC(ieee80211_beacon_get_template, 0x5e7903b4, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_index, 0xc8b8741e, "");
SYMBOL_CRC(ieee80211_beacon_free_ema_list, 0xa2229643, "");
SYMBOL_CRC(ieee80211_beacon_get_template_ema_list, 0x2dffb85a, "");
SYMBOL_CRC(ieee80211_beacon_get_tim, 0x916eb1ed, "");
SYMBOL_CRC(ieee80211_proberesp_get, 0x4e60bb14, "");
SYMBOL_CRC(ieee80211_get_fils_discovery_tmpl, 0x632cad83, "");
SYMBOL_CRC(ieee80211_get_unsol_bcast_probe_resp_tmpl, 0x4355d12a, "");
SYMBOL_CRC(ieee80211_pspoll_get, 0x4088ba4c, "");
SYMBOL_CRC(ieee80211_nullfunc_get, 0xc96d9ad9, "");
SYMBOL_CRC(ieee80211_probereq_get, 0x0ff086fe, "");
SYMBOL_CRC(ieee80211_rts_get, 0x53b5cdcf, "");
SYMBOL_CRC(ieee80211_ctstoself_get, 0x199ce639, "");
SYMBOL_CRC(ieee80211_get_buffered_bc, 0x957bd674, "");
SYMBOL_CRC(ieee80211_reserve_tid, 0xbc65971b, "");
SYMBOL_CRC(ieee80211_unreserve_tid, 0x0a457573, "");
SYMBOL_CRC(ieee80211_iter_keys, 0x836bd8a7, "");
SYMBOL_CRC(ieee80211_iter_keys_rcu, 0x07385fb9, "");
SYMBOL_CRC(ieee80211_gtk_rekey_notify, 0xde44d5f2, "_gpl");
SYMBOL_CRC(ieee80211_get_key_rx_seq, 0xaeb9a917, "");
SYMBOL_CRC(ieee80211_set_key_rx_seq, 0x1dab0efe, "_gpl");
SYMBOL_CRC(ieee80211_remove_key, 0xea792270, "_gpl");
SYMBOL_CRC(ieee80211_gtk_rekey_add, 0x264ad967, "_gpl");
SYMBOL_CRC(ieee80211_key_mic_failure, 0xd004ea88, "_gpl");
SYMBOL_CRC(ieee80211_key_replay, 0x9e1c1431, "_gpl");
SYMBOL_CRC(wiphy_to_ieee80211_hw, 0x516b0a3e, "");
SYMBOL_CRC(ieee80211_get_bssid, 0x95febea6, "");
SYMBOL_CRC(ieee80211_generic_frame_duration, 0x6aa7e5ff, "");
SYMBOL_CRC(ieee80211_rts_duration, 0x7bc1f584, "");
SYMBOL_CRC(ieee80211_ctstoself_duration, 0xc4a09141, "");
SYMBOL_CRC(ieee80211_handle_wake_tx_queue, 0x09aeb25f, "");
SYMBOL_CRC(ieee80211_wake_queue, 0xc9fda2a0, "");
SYMBOL_CRC(ieee80211_stop_queue, 0x5fa55d92, "");
SYMBOL_CRC(ieee80211_stop_queues, 0x60d526e2, "");
SYMBOL_CRC(ieee80211_queue_stopped, 0xb1238765, "");
SYMBOL_CRC(ieee80211_wake_queues, 0xc89bcf27, "");
SYMBOL_CRC(ieee80211_iterate_interfaces, 0x5c72313e, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_atomic, 0xc6fbe409, "_gpl");
SYMBOL_CRC(ieee80211_iterate_active_interfaces_mtx, 0xcb9be3f7, "_gpl");
SYMBOL_CRC(ieee80211_iterate_stations_atomic, 0xc374e117, "_gpl");
SYMBOL_CRC(wdev_to_ieee80211_vif, 0x25e98c3e, "_gpl");
SYMBOL_CRC(ieee80211_vif_to_wdev, 0x9770df49, "_gpl");
SYMBOL_CRC(ieee80211_queue_work, 0xc9c9d4dd, "");
SYMBOL_CRC(ieee80211_queue_delayed_work, 0xc03dc765, "");
SYMBOL_CRC(ieee80211_hw_restart_disconnect, 0x74a44690, "_gpl");
SYMBOL_CRC(ieee80211_resume_disconnect, 0x62d0329d, "_gpl");
SYMBOL_CRC(ieee80211_ave_rssi, 0xe878b8a9, "_gpl");
SYMBOL_CRC(ieee80211_radar_detected, 0x167b1d96, "");
SYMBOL_CRC(ieee80211_update_p2p_noa, 0x19f37f0d, "");
SYMBOL_CRC(ieee80211_parse_p2p_noa, 0x991a0ca0, "");
SYMBOL_CRC(ieee80211_txq_get_depth, 0x6e9e60f2, "");
SYMBOL_CRC(ieee80211_iter_chan_contexts_atomic, 0x96a8e5f3, "_gpl");
SYMBOL_CRC(ieee80211_chswitch_done, 0xddf274df, "");
SYMBOL_CRC(ieee80211_ap_probereq_get, 0xe2fe60e6, "");
SYMBOL_CRC(ieee80211_beacon_loss, 0x30ab8cab, "");
SYMBOL_CRC(ieee80211_connection_loss, 0xa48c64cc, "");
SYMBOL_CRC(ieee80211_disconnect, 0x3cc41054, "");
SYMBOL_CRC(ieee80211_send_teardown_neg_ttlm, 0xfcbe208b, "");
SYMBOL_CRC(ieee80211_cqm_rssi_notify, 0x8a9d278d, "");
SYMBOL_CRC(ieee80211_cqm_beacon_loss_notify, 0xdd2f8c0f, "");
SYMBOL_CRC(ieee80211_enable_rssi_reports, 0xbcb37428, "");
SYMBOL_CRC(ieee80211_disable_rssi_reports, 0xb188fdf7, "");
SYMBOL_CRC(ieee80211_tdls_oper_request, 0x2cc3b9f0, "");
SYMBOL_CRC(ieee80211_calc_rx_airtime, 0x9d1ee0ee, "_gpl");
SYMBOL_CRC(ieee80211_calc_tx_airtime, 0x87450cdc, "_gpl");
SYMBOL_CRC(__ieee80211_get_radio_led_name, 0x074aac49, "");
SYMBOL_CRC(__ieee80211_get_assoc_led_name, 0x41435267, "");
SYMBOL_CRC(__ieee80211_get_tx_led_name, 0xcf3fc1d7, "");
SYMBOL_CRC(__ieee80211_get_rx_led_name, 0x034d5076, "");
SYMBOL_CRC(__ieee80211_create_tpt_led_trigger, 0x6ca5bd2a, "");
SYMBOL_CRC(ieee80211_report_wowlan_wakeup, 0xb1f8c3c1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe0467871, "cfg80211_cqm_pktloss_notify" },
	{ 0xbfaaac41, "cfg80211_any_usable_channels" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x77e7b33b, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x8fa02936, "cfg80211_free_nan_func" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0xf40bc2f5, "ieee80211_operating_class_to_band" },
	{ 0x41db049f, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9bc2de4e, "cfg80211_del_sta_sinfo" },
	{ 0x434f01e0, "netif_receive_skb" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0xf8788b4b, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x97f69564, "skb_ensure_writable" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x82f127ca, "wiphy_unregister" },
	{ 0x3750adc0, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1271e4b2, "crypto_shash_update" },
	{ 0x8fdc63d, "wiphy_work_queue" },
	{ 0x1e98b441, "led_trigger_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x43afadee, "ieee80211_radiotap_iterator_init" },
	{ 0xf77066d7, "cfg80211_notify_new_peer_candidate" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7974195e, "ieee80211_data_to_8023_exthdr" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x46d6a43, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2e39c3c1, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xfe24a942, "cfg80211_schedule_channels_check" },
	{ 0x2c19c3c0, "nl80211_chan_width_to_mhz" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x6555b3b4, "kernel_param_unlock" },
	{ 0x203fcb88, "wiphy_work_cancel" },
	{ 0xfb578fc5, "memset" },
	{ 0x8539e389, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x85de3f6f, "wiphy_delayed_work_timer" },
	{ 0x6a17038, "cfg80211_chandef_usable" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x70407843, "wiphy_delayed_work_cancel" },
	{ 0xc903240c, "ieee80211_strip_8023_mesh_hdr" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x10aa55df, "kfree_skb_list_reason" },
	{ 0x56dcbb7, "cfg80211_cqm_beacon_loss_notify" },
	{ 0x1049d92f, "param_ops_charp" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb917e850, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xbd955104, "cfg80211_rx_control_port" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x91f68ea1, "__hw_addr_sync" },
	{ 0x5a76205a, "__pskb_pull_tail" },
	{ 0x64062c21, "netif_rx" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0x1bb59029, "ieee80211_s1g_channel_width" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9bb26380, "skb_trim" },
	{ 0xdc8745ab, "cfg80211_ch_switch_started_notify" },
	{ 0x40d43d85, "cfg80211_check_station_change" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7fcd0949, "cfg80211_sched_scan_stopped_locked" },
	{ 0x94e06388, "pv_ops" },
	{ 0x521a4fa5, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x1d40b6f3, "idr_for_each" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xe2380021, "cfg80211_unregister_wdev" },
	{ 0x3ccb56ef, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x5a402a26, "cfg80211_probe_status" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xb5efecc8, "freq_reg_info" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0xf1059ace, "cfg80211_stop_iface" },
	{ 0x7acb86ed, "ieee80211_radiotap_iterator_next" },
	{ 0xec7aae2, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x50d09d47, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xd6c87a05, "cfg80211_defragment_element" },
	{ 0xcf6a9187, "wiphy_delayed_work_flush" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcd63e015, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdc278c1, "led_trigger_register" },
	{ 0x4f44c68d, "skb_copy" },
	{ 0xa22ce76b, "cfg80211_assoc_failure" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xd6842c0d, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa72ea22b, "netif_carrier_on" },
	{ 0x23026b4b, "cfg80211_chandef_create" },
	{ 0x3d276564, "cfg80211_report_wowlan_wakeup" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xd56d55f3, "ieee80211_get_mesh_hdrlen" },
	{ 0xa3f12f69, "__crypto_xor" },
	{ 0x11298a3b, "cfg80211_send_layer2_update" },
	{ 0xb7e9393e, "acpi_amd_wbrf_add_remove" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf5596d89, "cfg80211_get_p2p_attr" },
	{ 0x5a84adf5, "cfg80211_get_iftype_ext_capa" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x7478a325, "led_trigger_event" },
	{ 0xd3213c29, "cfg80211_shutdown_all_interfaces" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0xd30a7eb6, "cfg80211_report_obss_beacon_khz" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0x16890f88, "param_ops_int" },
	{ 0x9779f1d8, "_dev_printk" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xde651b91, "crypto_alloc_shash" },
	{ 0x275269b3, "ieee80211_ie_split_ric" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2c518c78, "led_trigger_blink" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x53382dce, "cfg80211_radio_chandef_valid" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x52cf7e1f, "__skb_gso_segment" },
	{ 0x68810fc2, "cfg80211_unlink_bss" },
	{ 0xd34c3c08, "__cfg80211_get_bss" },
	{ 0x343a3481, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x45158d71, "acpi_amd_wbrf_supported_producer" },
	{ 0x7a1815e3, "cfg80211_cqm_rssi_notify" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x2c5ae894, "netdev_info" },
	{ 0x9d06e1b9, "kmem_cache_destroy" },
	{ 0x56e26150, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xea22fab1, "cfg80211_auth_timeout" },
	{ 0xa2ddb947, "cfg80211_rx_unprot_mlme_mgmt" },
	{ 0x5fd3634e, "crypto_alloc_skcipher" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x42c29108, "crypto_skcipher_encrypt" },
	{ 0x918243cb, "cfg80211_inform_bss_frame_data" },
	{ 0x93f19de, "cfg80211_sched_scan_results" },
	{ 0x3c86019a, "cfg80211_sinfo_alloc_tid_stats" },
	{ 0x213922b, "skb_complete_wifi_ack" },
	{ 0xf28cf0ae, "__hw_addr_init" },
	{ 0x9317ac06, "cfg80211_mgmt_tx_status_ext" },
	{ 0xc659cb4c, "cfg80211_rx_assoc_resp" },
	{ 0x1537915a, "cfg80211_rx_unexpected_4addr_frame" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x83deaada, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xf5f90de6, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x117aca91, "cfg80211_merge_profile" },
	{ 0xb2980ba9, "eth_mac_addr" },
	{ 0xf8c5c291, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x90576ce7, "cfg80211_links_removed" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe4810b83, "cfg80211_chandef_dfs_required" },
	{ 0x968b82fb, "cfg80211_scan_done" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3d1a0c79, "cfg80211_assoc_comeback" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x273b0273, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x2db25c80, "regulatory_pre_cac_allowed" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa7c66b90, "skb_clone_sk" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0xcd26235d, "wiphy_work_flush" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xfb9e29a6, "cfg80211_bss_color_notify" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x3249a8bd, "cfg80211_remain_on_channel_expired" },
	{ 0xbdcd23b3, "bpf_trace_run6" },
	{ 0x10e7447e, "cfg80211_cac_event" },
	{ 0xedc46a0f, "skb_dequeue" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0x7dcdb58, "cfg80211_register_netdevice" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0xfe832b1c, "led_trigger_blink_oneshot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xcc1a7c48, "cfg80211_is_element_inherited" },
	{ 0x3490a03, "ieee80211_amsdu_to_8023s" },
	{ 0xb71ed69f, "__hw_addr_unsync" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0x9f8396cc, "cfg80211_ref_bss" },
	{ 0x272d6876, "ieee80211_mandatory_rates" },
	{ 0xefab0596, "ieee80211_chandef_to_operating_class" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x4df02057, "crc32_be" },
	{ 0x345fa8cc, "ieee80211_operating_class_to_chandef" },
	{ 0x4c17e238, "dev_alloc_name" },
	{ 0x31244a2a, "___pskb_trim" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0x646c544c, "cfg80211_iter_rnr" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ec9ab2, "crypto_alloc_aead" },
	{ 0xe2e27858, "bpf_trace_run2" },
	{ 0x35ef254e, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xfff2de17, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xa8437d1d, "cfg80211_new_sta" },
	{ 0xd56e66ef, "crypto_skcipher_setkey" },
	{ 0xb53d3a2a, "kmem_cache_create" },
	{ 0xb787a578, "netdev_set_default_ethtool_ops" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc4facc40, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58bf9e63, "pskb_expand_head" },
	{ 0x724b6145, "skb_csum_hwoffload_help" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0xec122677, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2f131dff, "alloc_netdev_mqs" },
	{ 0x48b9e4a2, "wiphy_new_nm" },
	{ 0xabb497bb, "cfg80211_sta_opmode_change_notify" },
	{ 0x92997ed8, "_printk" },
	{ 0x974917b2, "cfg80211_ready_on_channel" },
	{ 0x55af3cd7, "cfg80211_reg_check_beaconing" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x20cb3b69, "skb_checksum_help" },
	{ 0x2ebfd9fe, "cfg80211_classify8021d" },
	{ 0xcf9eaf5f, "cfg80211_tx_mgmt_expired" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc5245749, "ieee80211_fragment_element" },
	{ 0xae79c0bd, "cfg80211_rx_mlme_mgmt" },
	{ 0xe853ecb1, "wiphy_delayed_work_queue" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3283c06f, "crypto_skcipher_decrypt" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xc3ad08d1, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x96fdda6d, "__alloc_skb" },
	{ 0xb9227fec, "cfg80211_put_bss" },
	{ 0xc2564722, "cfg80211_nan_func_terminated" },
	{ 0x40db127a, "cfg80211_ch_switch_notify" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xed96f250, "cfg80211_tx_mlme_mgmt" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0xeff14d03, "napi_gro_receive" },
	{ 0x437840d3, "cfg80211_gtk_rekey_notify" },
	{ 0x96700d2f, "skb_copy_expand" },
	{ 0xf48aeb26, "skb_queue_tail" },
	{ 0x655ff64c, "ieee80211_get_channel_khz" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x75ed807f, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6756e9af, "__cfg80211_radar_event" },
	{ 0x5b4287, "cfg80211_tdls_oper_request" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x990a7297, "cfg80211_control_port_tx_status" },
	{ 0x9ce5d166, "cfg80211_chandef_primary" },
	{ 0x8638e365, "cfg80211_get_drvinfo" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x13c58e52, "ieee80211_get_8023_tunnel_proto" },
	{ 0x47966117, "crypto_aead_setkey" },
	{ 0xc4abd5b3, "__skb_get_hash_net" },
	{ 0xea0e3860, "kernel_param_lock" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x5f5404e1, "cfg80211_rx_spurious_frame" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x24198567, "cfg80211_ibss_joined" },
	{ 0x6a9980b4, "cfg80211_nan_match" },
	{ 0x8bb050fc, "crypto_shash_setkey" },
	{ 0xf7be8ee8, "cfg80211_chandef_compatible" },
	{ 0x72852818, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a1d3cd6, "cfg80211_iter_combinations" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0xd7c1719f, "cfg80211_iftype_allowed" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x8971d711, "crypto_aead_encrypt" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x56918d7d, "ieee80211_is_valid_amsdu" },
	{ 0x6fcfe491, "bpf_trace_run5" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x7ad91a07, "cfg80211_michael_mic_failure" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,libarc4");


MODULE_INFO(srcversion, "1D0765B1987736E565B86CC");
