#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_exp_find_port, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0x621d4be0, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0x1facee05, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0x3778106a, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x023d1367, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0x2173d3f2, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x62f0ae5b, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x84b7a7fa, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0x681b0b51, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0xb9b67a44, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0x5523aa75, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xaab122fc, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0xf4acb923, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xc2ee387f, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x60c02946, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0xe5881605, "");
SYMBOL_CRC(nf_nat_follow_master, 0x75ea3961, "");
SYMBOL_CRC(nf_nat_exp_find_port, 0x805f7688, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0x2cc89d41, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x9cae9eaf, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0xdc1b2ada, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xb2c2b39a, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0xdbdc7a1b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58bf9e63, "pskb_expand_head" },
	{ 0xa3b39e11, "register_pernet_subsys" },
	{ 0x3a4af38, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xb871b947, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc72bda84, "ipv6_skip_exthdr" },
	{ 0xee568e31, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x592e4424, "module_put" },
	{ 0x9b107be3, "ipv6_dev_get_saddr" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x59c1882, "nf_ct_expect_related_report" },
	{ 0x8a05419e, "ip_route_me_harder" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf00a70f4, "nf_hook_entries_delete_raw" },
	{ 0x97f69564, "skb_ensure_writable" },
	{ 0x865f4362, "nf_unregister_net_hooks" },
	{ 0x5bf6bf7b, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x1c22026, "unregister_pernet_subsys" },
	{ 0xdf55261d, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb18f8de8, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7357e4de, "nf_ip_checksum" },
	{ 0xe59f6dec, "register_btf_kfunc_id_set" },
	{ 0xbdd8a50b, "nf_ct_iterate_destroy" },
	{ 0xe4262c6, "__siphash_unaligned" },
	{ 0xdf12f393, "inet_proto_csum_replace16" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x17c52793, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfe360a5e, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x39efd181, "inet_proto_csum_replace4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8d771523, "dst_release" },
	{ 0x1156b050, "nf_ct_l4proto_find" },
	{ 0x1781aa73, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0xa49f557f, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x86f8eafd, "nf_ct_ext_add" },
	{ 0x416765c0, "__do_once_done" },
	{ 0x55ec97b3, "nf_conntrack_find_get" },
	{ 0x45d0eb03, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x6571b9e3, "nf_ip6_checksum" },
	{ 0xf5f90de6, "skb_copy_bits" },
	{ 0x4d9a9ca7, "nf_hook_entries_insert_raw" },
	{ 0xf33c8bc7, "xfrm_lookup" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0xfd25428a, "nf_ct_seqadj_set" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfcd9558, "nf_ct_helper_expectfn_unregister" },
	{ 0xe0402b5e, "__xfrm_decode_session" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x329dff59, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x488bd04e, "ip6_route_me_harder" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c");


MODULE_INFO(srcversion, "69AEA8FD4BF81C4F747F8EB");
