#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x92840e22, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0x46e21daf, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xf92e5f4d, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0xd5479f45, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x5fa8c425, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe31e0f2b, "inet_ctl_sock_create" },
	{ 0x5fbe8087, "inet_ioctl" },
	{ 0x783a4c9d, "reuseport_add_sock" },
	{ 0xda0bb0a8, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x65599f63, "sk_filter_trim_cap" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x33b083e, "fput" },
	{ 0xa8f21f36, "inet_accept" },
	{ 0x17844415, "init_net" },
	{ 0x8bb050fc, "crypto_shash_setkey" },
	{ 0x72852818, "skb_pull" },
	{ 0xb74d0f6f, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6a86205a, "ip6_mtu" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xde702ff5, "__SCK__tp_func_sk_data_ready" },
	{ 0x470483e1, "inet_add_protocol" },
	{ 0x4b092a48, "inet_shutdown" },
	{ 0x318b0cc8, "sk_free" },
	{ 0x4e696921, "sock_wake_async" },
	{ 0x65ec5c2d, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0x682f9b85, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x768321d4, "__ip_queue_xmit" },
	{ 0x41db049f, "kmem_cache_free" },
	{ 0xbc5b67fb, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0xb2070a7e, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9e0d977f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x70932110, "inet6_ioctl" },
	{ 0x2ce03a11, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf97fc5bd, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x1c22026, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xa8bdd588, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0x67e0f28, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xeee656b5, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb917e850, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x2479c8f4, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x5a76205a, "__pskb_pull_tail" },
	{ 0x83c7633, "setup_udp_tunnel_sock" },
	{ 0x7b592649, "udp_sock_create6" },
	{ 0x9bb26380, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x61287374, "sk_common_release" },
	{ 0x94e06388, "pv_ops" },
	{ 0x521a4fa5, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0xa391c49a, "inet6_getname" },
	{ 0x937011e8, "sock_i_ino" },
	{ 0x7386c501, "inet6_sock_destruct" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfad9a868, "ip6_xmit" },
	{ 0x34189193, "security_sctp_assoc_request" },
	{ 0xa4017591, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xbd58eef8, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0xc0f56612, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0xfe360a5e, "__skb_checksum" },
	{ 0x1926f53f, "reuseport_alloc" },
	{ 0x8f9d69a2, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0xc3458d8d, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x44d15e0e, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd22f6d83, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x642cad8e, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4000c471, "udp_tunnel_xmit_skb" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc682a9d, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x53693a46, "proc_create_net_single" },
	{ 0x4f44c68d, "skb_copy" },
	{ 0xd6842c0d, "skb_clone" },
	{ 0xa84cc450, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8d771523, "dst_release" },
	{ 0xe424612c, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x51b07f8d, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x11ee5d47, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x658a54f9, "sock_gettstamp" },
	{ 0xa9a10f4c, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xe1ebd6db, "_proc_mkdir" },
	{ 0xe7563543, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc397d400, "send_sig" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xfa1746f0, "inet6_add_protocol" },
	{ 0xccbdbfa5, "from_kuid_munged" },
	{ 0x2af30c33, "ip_setsockopt" },
	{ 0xcd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x2e0420e9, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbfdba401, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0xd1294b48, "reuseport_detach_sock" },
	{ 0x8aefcd32, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x299ba33c, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xde651b91, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xb37446cf, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7209bddf, "sock_init_data" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x9d06e1b9, "kmem_cache_destroy" },
	{ 0x66e46d82, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x56e26150, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa2e2dd9a, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xd4d56c45, "sock_i_uid" },
	{ 0xb62e8b74, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x3c9faffe, "inet_addr_type_table" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xf5f90de6, "skb_copy_bits" },
	{ 0x47ce678c, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcb91efb9, "sock_wfree" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xbf1ef061, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xdf320890, "ip6_dst_hoplimit" },
	{ 0x273b0273, "consume_skb" },
	{ 0xfec762e, "inet6_add_offload" },
	{ 0x7ba3943f, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xda4eae4c, "inet6_bind" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7fc42b84, "l3mdev_fib_table_by_index" },
	{ 0x182bc4bf, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xedc46a0f, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xdc878400, "inet6_unregister_protosw" },
	{ 0x5be63c5b, "crc32c_csum_stub" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x42d86154, "skb_segment" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0xff9ec63e, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1580c327, "udp_tunnel6_xmit_skb" },
	{ 0xf56db5dc, "sock_common_getsockopt" },
	{ 0x2c8a4603, "inet_bind" },
	{ 0x68378330, "sock_create" },
	{ 0x91ce1361, "net_hotdata" },
	{ 0x936b970c, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x1c2cb617, "fd_install" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ecc8778, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x44f0ad9, "get_random_u16" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xfffb08f6, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x2dbb7673, "security_sctp_assoc_established" },
	{ 0x51b31da7, "__tracepoint_sk_data_ready" },
	{ 0xe2e27858, "bpf_trace_run2" },
	{ 0xf48d3a86, "sock_common_setsockopt" },
	{ 0x42f36fb8, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xa79ec040, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xb53d3a2a, "kmem_cache_create" },
	{ 0xe807bf7f, "__sk_mem_schedule" },
	{ 0x63675d6a, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x11f6b5fe, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc7362589, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x116faea5, "sk_error_report" },
	{ 0xa3b39e11, "register_pernet_subsys" },
	{ 0x2101eb4b, "put_cmsg" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0xa8ccf812, "register_net_sysctl_sz" },
	{ 0x9db87b26, "inet_sock_destruct" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0x5fa16574, "sock_kmalloc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x967e6c8c, "inet_sk_get_local_port_range" },
	{ 0x2865558b, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x61154620, "inet_getname" },
	{ 0x78c39bfb, "proto_unregister" },
	{ 0xa94eaf34, "security_sctp_sk_clone" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0xb0932b68, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x96fdda6d, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xc93b7946, "inet_release" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb4310676, "proto_register" },
	{ 0x96700d2f, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0xbb9c3abf, "inet6_compat_ioctl" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,libcrc32c");


MODULE_INFO(srcversion, "B64BE73B512388F63516F69");
