#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0x373dc1ce, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0x898cf49a, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0xd1f788a8, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0xae54cb0d, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0xbbd65ef9, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0x4c03135d, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x2cb8ddfd, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0x0c642b29, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xe34e1c07, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x0be02b63, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x4a4a0c83, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x0c64e633, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x8812feed, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xc16fd8e9, "crypto_unregister_template" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x6cfc6648, "crypto_register_template" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x5a3dedbb, "crypto_grab_aead" },
	{ 0x554b5e78, "crypto_grab_shash" },
	{ 0xa9c3fa6f, "shash_no_setkey" },
	{ 0xfa17b85b, "ahash_register_instance" },
	{ 0xa052750d, "crypto_grab_skcipher" },
	{ 0xdfd4cbc0, "skcipher_register_instance" },
	{ 0x86cf6f11, "aead_register_instance" },
	{ 0x3283c06f, "crypto_skcipher_decrypt" },
	{ 0x42c29108, "crypto_skcipher_encrypt" },
	{ 0x87de4fd9, "shash_ahash_digest" },
	{ 0x2bfc6edd, "shash_ahash_finup" },
	{ 0xdc0ec96, "crypto_shash_final" },
	{ 0xa2b34df0, "shash_ahash_update" },
	{ 0xfdb8b194, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x5fd3634e, "crypto_alloc_skcipher" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xcbcf36fa, "crypto_alloc_ahash" },
	{ 0xe7ec9ab2, "crypto_alloc_aead" },
	{ 0xd56e66ef, "crypto_skcipher_setkey" },
	{ 0x3158e3c8, "crypto_spawn_tfm2" },
	{ 0xd2837ac1, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x8bb050fc, "crypto_shash_setkey" },
	{ 0x3a159eeb, "crypto_shash_import" },
	{ 0x46805796, "crypto_shash_export" },
	{ 0xd3cc9637, "crypto_clone_shash" },
	{ 0x35ef254e, "crypto_aead_setauthsize" },
	{ 0x47966117, "crypto_aead_setkey" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x8049c2df, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6327577, "crypto_enqueue_request" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "C6EC7CF175001F17908D20C");
