#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xedc46a0f, "skb_dequeue" },
	{ 0x37a0cba, "kfree" },
	{ 0xec0d943f, "__dynamic_netdev_dbg" },
	{ 0xdb83dfcc, "call_switchdev_notifiers" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf48aeb26, "skb_queue_tail" },
	{ 0xb181a390, "spi_get_device_id" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x777b4a27, "device_property_present" },
	{ 0xe2d5b324, "devm_gpiod_get_optional" },
	{ 0xa390c73a, "spi_bus_lock" },
	{ 0x4293a79e, "gpiod_set_value" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x13d163e5, "spi_bus_unlock" },
	{ 0xc4df4d1b, "devm_mdiobus_alloc_size" },
	{ 0x629ebd27, "__devm_mdiobus_register" },
	{ 0x8c8b8f5a, "devm_alloc_etherdev_mqs" },
	{ 0x73b3fd3c, "device_get_ethdev_address" },
	{ 0xcd63e015, "netif_carrier_off" },
	{ 0xa732f1a5, "get_phy_device" },
	{ 0x8b1ee362, "phy_connect" },
	{ 0x6b6a560c, "__devm_add_action" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x5c0c50c1, "devm_request_threaded_irq" },
	{ 0xda974766, "devm_register_netdev" },
	{ 0x415f0054, "netdev_err" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe611ca18, "netif_tx_wake_queue" },
	{ 0x8539e389, "_dev_warn" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0xfa240bda, "eth_prepare_mac_addr_change" },
	{ 0x2e4e32fc, "phy_start" },
	{ 0x46d6a43, "ethtool_op_get_link" },
	{ 0x4b30dbf0, "phy_ethtool_get_link_ksettings" },
	{ 0xa70924ee, "phy_ethtool_set_link_ksettings" },
	{ 0x3f4d9622, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd44e53b0, "phy_disconnect" },
	{ 0xa689e14, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7357d203, "phy_do_ioctl" },
	{ 0x4a4ee7ca, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0xf18d9499, "__spi_register_driver" },
	{ 0x3bee7502, "driver_unregister" },
	{ 0x1cfdda93, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x162b3315, "_dev_err" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x72852818, "skb_pull" },
	{ 0xec122677, "eth_type_trans" },
	{ 0x64062c21, "netif_rx" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe9f5adc3, "phy_stop" },
	{ 0x273b0273, "consume_skb" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mdio_devres,libphy,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "C80129D28CCEE24F38E54F6");
