#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1000e51, "schedule" },
	{ 0x20cb3b69, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf5a299bf, "__napi_schedule" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xc72bda84, "ipv6_skip_exthdr" },
	{ 0x9e9c1859, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0x96fdda6d, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0xeff14d03, "napi_gro_receive" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd938126f, "devm_bitmap_zalloc" },
	{ 0xc2c5802, "work_busy" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x4ae0f61a, "devm_kfree" },
	{ 0x162b3315, "_dev_err" },
	{ 0x17844415, "init_net" },
	{ 0x7a0db11e, "softnet_data" },
	{ 0xfac2a799, "simple_open" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6751f222, "netif_set_real_num_tx_queues" },
	{ 0x8ec9aec2, "devlink_fmsg_u8_pair_put" },
	{ 0x42e471ff, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd50d2ca, "dma_alloc_attrs" },
	{ 0xf482c176, "debugfs_remove" },
	{ 0x16c12657, "napi_enable" },
	{ 0x67ba4be4, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x3750adc0, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x46d6a43, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe611ca18, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x8539e389, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2b8bc34c, "dma_set_coherent_mask" },
	{ 0x1eee15a4, "devm_kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb69634d1, "debugfs_create_file" },
	{ 0x492ca35, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa4f93400, "pci_release_regions" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcd63e015, "netif_carrier_off" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x969268a4, "devlink_priv" },
	{ 0xa121df8e, "__hw_addr_sync_dev" },
	{ 0x4130930b, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xa72ea22b, "netif_carrier_on" },
	{ 0xe640f896, "pci_disable_msix" },
	{ 0x7f3ba77, "pci_disable_device" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc5b80125, "dev_err_probe" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x83ef7b57, "napi_schedule_prep" },
	{ 0xf36a93b8, "napi_disable" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0xdb171020, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2d675293, "pci_enable_sriov" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x2c5ae894, "netdev_info" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x9b1852fa, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6794c073, "__skb_pad" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xee722768, "devlink_unregister" },
	{ 0xfe61531c, "dma_pool_create" },
	{ 0xfdb8b194, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xfa5bf3b4, "pci_enable_device" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xcf1498a3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x6a0e530d, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0xb6d34050, "unregister_netdev" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3be4ef7f, "dma_unmap_page_attrs" },
	{ 0xc36894ce, "devlink_health_reporter_create" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0xedc03953, "iounmap" },
	{ 0x5826eed3, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x868cc764, "devlink_alloc_ns" },
	{ 0x7ba2f32f, "devlink_register" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x8091888b, "devlink_free" },
	{ 0x3f4d9622, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xe60c8d9e, "netdev_warn" },
	{ 0x3d09a82f, "param_ops_byte" },
	{ 0x99d47376, "__netif_napi_del" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0x57d03103, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa68e39c2, "__pskb_copy_fclone" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x415f0054, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58bf9e63, "pskb_expand_head" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x957f1faa, "dev_driver_string" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0xec122677, "eth_type_trans" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0xd15d144b, "napi_complete_done" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xa668984e, "priv_to_devlink" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000019E5d00001822sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d00000200sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d00000205sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d00000210sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019E5d0000375Esv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "AE9082B7EAA37995F06FC01");
