#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(at803x_debug_reg_read, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_mask, "_gpl", "");
KSYMTAB_FUNC(at803x_debug_reg_write, "_gpl", "");
KSYMTAB_FUNC(at803x_set_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_get_wol, "_gpl", "");
KSYMTAB_FUNC(at803x_ack_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_config_intr, "_gpl", "");
KSYMTAB_FUNC(at803x_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(at803x_read_specific_status, "_gpl", "");
KSYMTAB_FUNC(at803x_config_mdix, "_gpl", "");
KSYMTAB_FUNC(at803x_prepare_config_aneg, "_gpl", "");
KSYMTAB_FUNC(at803x_read_status, "_gpl", "");
KSYMTAB_FUNC(at803x_get_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_set_tunable, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_fault_length, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_start, "_gpl", "");
KSYMTAB_FUNC(at803x_cdt_wait_for_completion, "_gpl", "");
KSYMTAB_FUNC(qca808x_cable_test_get_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_enable, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_hw_control_status, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_brightness_set, "_gpl", "");
KSYMTAB_FUNC(qca808x_led_reg_blink_set, "_gpl", "");

SYMBOL_CRC(at803x_debug_reg_read, 0x894f0b8c, "_gpl");
SYMBOL_CRC(at803x_debug_reg_mask, 0xa9c92272, "_gpl");
SYMBOL_CRC(at803x_debug_reg_write, 0xfcbedd01, "_gpl");
SYMBOL_CRC(at803x_set_wol, 0x246d542e, "_gpl");
SYMBOL_CRC(at803x_get_wol, 0x80781f0f, "_gpl");
SYMBOL_CRC(at803x_ack_interrupt, 0xc6efcb9e, "_gpl");
SYMBOL_CRC(at803x_config_intr, 0x77944b4c, "_gpl");
SYMBOL_CRC(at803x_handle_interrupt, 0xc858535b, "_gpl");
SYMBOL_CRC(at803x_read_specific_status, 0xdb556fef, "_gpl");
SYMBOL_CRC(at803x_config_mdix, 0x4cc551a9, "_gpl");
SYMBOL_CRC(at803x_prepare_config_aneg, 0x8ad8c32b, "_gpl");
SYMBOL_CRC(at803x_read_status, 0x67df849d, "_gpl");
SYMBOL_CRC(at803x_get_tunable, 0xfcef7a93, "_gpl");
SYMBOL_CRC(at803x_set_tunable, 0x53cd8597, "_gpl");
SYMBOL_CRC(at803x_cdt_fault_length, 0xede3878a, "_gpl");
SYMBOL_CRC(at803x_cdt_start, 0x34a0e485, "_gpl");
SYMBOL_CRC(at803x_cdt_wait_for_completion, 0x9de989a0, "_gpl");
SYMBOL_CRC(qca808x_cable_test_get_status, 0x50f90fca, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_enable, 0xbf3d579a, "_gpl");
SYMBOL_CRC(qca808x_led_reg_hw_control_status, 0x8cdf1966, "_gpl");
SYMBOL_CRC(qca808x_led_reg_brightness_set, 0xa4f647a9, "_gpl");
SYMBOL_CRC(qca808x_led_reg_blink_set, 0x7ce7e0a5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9ecf712b, "mdiobus_write" },
	{ 0x630fa795, "mdiobus_read" },
	{ 0x683ae6e0, "phy_write_mmd" },
	{ 0x5a2f87ce, "phy_modify" },
	{ 0x85e6bcd3, "phy_trigger_machine" },
	{ 0xb24e8f13, "phy_error" },
	{ 0x5ea0d267, "phy_modify_changed" },
	{ 0xa25dea41, "genphy_update_link" },
	{ 0x117ab766, "genphy_read_lpa" },
	{ 0x6eb172da, "phy_resolve_aneg_pause" },
	{ 0x4405296b, "phy_init_hw" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x162b3315, "_dev_err" },
	{ 0x78c48fc5, "phy_read_mmd" },
	{ 0x9a32601b, "ethnl_cable_test_result" },
	{ 0xb0b8d315, "ethnl_cable_test_fault_length" },
	{ 0x1bca6c2d, "phy_modify_mmd" },
	{ 0xfd6f2419, "genphy_soft_reset" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "libphy");


MODULE_INFO(srcversion, "7713A75A3D1ED6CE6391A77");
