#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smsc_phy_config_intr, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_handle_interrupt, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_config_init, "_gpl", "");
KSYMTAB_FUNC(lan87xx_read_status, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_get_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_set_tunable, "_gpl", "");
KSYMTAB_FUNC(smsc_phy_probe, "_gpl", "");

SYMBOL_CRC(smsc_phy_config_intr, 0x7f172861, "_gpl");
SYMBOL_CRC(smsc_phy_handle_interrupt, 0x9a10cfa0, "_gpl");
SYMBOL_CRC(smsc_phy_config_init, 0x54b1cd16, "_gpl");
SYMBOL_CRC(lan87xx_read_status, 0xe676371c, "_gpl");
SYMBOL_CRC(smsc_phy_get_tunable, 0x0c503b11, "_gpl");
SYMBOL_CRC(smsc_phy_set_tunable, 0xe0eacf62, "_gpl");
SYMBOL_CRC(smsc_phy_probe, 0xf739f46e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xab0e9d82, "genphy_read_status" },
	{ 0x9ecf712b, "mdiobus_write" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x777b4a27, "device_property_present" },
	{ 0x16e33b02, "devm_clk_get_optional_enabled" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xc5b80125, "dev_err_probe" },
	{ 0xd227bca6, "phy_drivers_register" },
	{ 0x78c48fc5, "phy_read_mmd" },
	{ 0xab4c0d0, "__genphy_config_aneg" },
	{ 0x5a2f87ce, "phy_modify" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0xfd6f2419, "genphy_soft_reset" },
	{ 0x610c2913, "phy_drivers_unregister" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x683ae6e0, "phy_write_mmd" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0x7d8cbd7e, "genphy_suspend" },
	{ 0xe101dbe3, "genphy_resume" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x630fa795, "mdiobus_read" },
	{ 0x85e6bcd3, "phy_trigger_machine" },
	{ 0xb24e8f13, "phy_error" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:0000000000000111110000001010????");
MODULE_ALIAS("mdio:0000000000000111110000001011????");
MODULE_ALIAS("mdio:0000000000000111110000001100????");
MODULE_ALIAS("mdio:0000000000000111110000001101????");
MODULE_ALIAS("mdio:0000000000000111110000001111????");
MODULE_ALIAS("mdio:0000000000000111110000010001????");
MODULE_ALIAS("mdio:0000000000000111110000010011??0?");

MODULE_INFO(srcversion, "66F96A3A218F829563119ED");
