#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7bba8347, "usbnet_update_max_qlen" },
	{ 0xc30cd015, "usbnet_suspend" },
	{ 0x6893854d, "mii_ethtool_gset" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa72ea22b, "netif_carrier_on" },
	{ 0xeac79b27, "mii_nway_restart" },
	{ 0x22108307, "eth_platform_get_mac_address" },
	{ 0x420ab7c8, "usbnet_resume" },
	{ 0x52feff2b, "usbnet_get_endpoints" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x90277312, "netif_set_tso_max_size" },
	{ 0xfb8324eb, "usbnet_probe" },
	{ 0xdf356801, "usbnet_open" },
	{ 0xd4c75b26, "usbnet_stop" },
	{ 0xae373db6, "usbnet_start_xmit" },
	{ 0x3f4d9622, "eth_validate_addr" },
	{ 0xb86dab89, "usbnet_tx_timeout" },
	{ 0x2be37aaa, "dev_get_tstats64" },
	{ 0x3417a8f3, "usbnet_get_msglevel" },
	{ 0x9128a8b9, "usbnet_set_msglevel" },
	{ 0xdc2c0fca, "usbnet_nway_reset" },
	{ 0x46d6a43, "ethtool_op_get_link" },
	{ 0x66c47203, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x58bf9e63, "pskb_expand_head" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x5a76205a, "__pskb_pull_tail" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0xe1c5d371, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x71405285, "usbnet_read_cmd" },
	{ 0xe60c8d9e, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7f428c0, "mii_ethtool_set_link_ksettings" },
	{ 0x8e750226, "mii_ethtool_get_link_ksettings" },
	{ 0xb29d5950, "generic_mii_ioctl" },
	{ 0xc5039ed2, "usb_register_driver" },
	{ 0xcdec4f07, "usbnet_disconnect" },
	{ 0x3e94e5fd, "usb_deregister" },
	{ 0x3ce6643f, "usbnet_link_change" },
	{ 0x2c5ae894, "netdev_info" },
	{ 0x2c425f38, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x9bb26380, "skb_trim" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x5d8c0907, "usbnet_skb_return" },
	{ 0x72852818, "skb_pull" },
	{ 0x76d9311a, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xfa63645a, "usbnet_write_cmd" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0xec0d943f, "__dynamic_netdev_dbg" },
	{ 0x415f0054, "netdev_err" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "E4BEF6D15D44F81FF22E01D");
