#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cdc_ncm_change_mtu, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_bind_common, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_unbind, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_select_altsetting, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_fill_tx_frame, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_tx_fixup, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_nth32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp16, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_verify_ndp32, "_gpl", "");
KSYMTAB_FUNC(cdc_ncm_rx_fixup, "_gpl", "");

SYMBOL_CRC(cdc_ncm_change_mtu, 0xf49ad26e, "_gpl");
SYMBOL_CRC(cdc_ncm_bind_common, 0x42f6cb38, "_gpl");
SYMBOL_CRC(cdc_ncm_unbind, 0x041e96af, "_gpl");
SYMBOL_CRC(cdc_ncm_select_altsetting, 0xf32a0980, "_gpl");
SYMBOL_CRC(cdc_ncm_fill_tx_frame, 0x5c654def, "_gpl");
SYMBOL_CRC(cdc_ncm_tx_fixup, 0x61055fd2, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth16, 0xa29e5f0f, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_nth32, 0xc4aa3472, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp16, 0xca29545b, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_verify_ndp32, 0xa3dc9130, "_gpl");
SYMBOL_CRC(cdc_ncm_rx_fixup, 0x41fab75c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xfab53876, "netif_tx_lock" },
	{ 0xae373db6, "usbnet_start_xmit" },
	{ 0xd0a76138, "netif_tx_unlock" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0xfa63645a, "usbnet_write_cmd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3c96fa2f, "hrtimer_active" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x71405285, "usbnet_read_cmd" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5d8c0907, "usbnet_skb_return" },
	{ 0xfb578fc5, "memset" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xfde0a96e, "cdc_parse_cdc_header" },
	{ 0xea3dc083, "usb_ifnum_to_if" },
	{ 0x5c4dd7b3, "usb_driver_claim_interface" },
	{ 0x85bd5bd2, "usb_set_interface" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x4812845, "usbnet_get_ethernet_addr" },
	{ 0x162b3315, "_dev_err" },
	{ 0x96fdda6d, "__alloc_skb" },
	{ 0x2aa8275c, "usbnet_manage_power" },
	{ 0x75f5ce48, "usbnet_cdc_update_filter" },
	{ 0xdf356801, "usbnet_open" },
	{ 0xd4c75b26, "usbnet_stop" },
	{ 0x8a059d76, "usbnet_set_rx_mode" },
	{ 0xb2980ba9, "eth_mac_addr" },
	{ 0x3f4d9622, "eth_validate_addr" },
	{ 0xb86dab89, "usbnet_tx_timeout" },
	{ 0x2be37aaa, "dev_get_tstats64" },
	{ 0xb34a0102, "usbnet_get_drvinfo" },
	{ 0x3417a8f3, "usbnet_get_msglevel" },
	{ 0x9128a8b9, "usbnet_set_msglevel" },
	{ 0xdc2c0fca, "usbnet_nway_reset" },
	{ 0xe6b990c2, "usbnet_get_link" },
	{ 0x66c47203, "ethtool_op_get_ts_info" },
	{ 0xbbd2d7a7, "usbnet_get_link_ksettings_internal" },
	{ 0xfb8324eb, "usbnet_probe" },
	{ 0xcdec4f07, "usbnet_disconnect" },
	{ 0xc30cd015, "usbnet_suspend" },
	{ 0x420ab7c8, "usbnet_resume" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0x8539e389, "_dev_warn" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0x37a0cba, "kfree" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x2cca1bf7, "usb_driver_release_interface" },
	{ 0x9fccc62e, "usb_altnum_to_altsetting" },
	{ 0xec0d943f, "__dynamic_netdev_dbg" },
	{ 0xc5039ed2, "usb_register_driver" },
	{ 0x3e94e5fd, "usb_deregister" },
	{ 0x3ce6643f, "usbnet_link_change" },
	{ 0x7bba8347, "usbnet_update_max_qlen" },
	{ 0xbf0530bc, "usbnet_unlink_rx_urbs" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "usbnet,usbcore,cdc_ether");

MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12A8d*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in02*");
MODULE_ALIAS("usb:v05ACp12ABd*dc*dsc*dp*ic*isc*ip*in04*");
MODULE_ALIAS("usb:v0BDBp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1BC7p0036d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BBd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp81BCd*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v413Cp*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v0930p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v12D1p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1519p0443d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v1546p1010d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v17E9p*d*dc*dsc*dp*ic02isc0Dip00in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc0Dip00in*");

MODULE_INFO(srcversion, "D3DE83AE5D5E875CFE14D00");
