#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf622b10c, "mii_check_media" },
	{ 0x6893854d, "mii_ethtool_gset" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xeac79b27, "mii_nway_restart" },
	{ 0x92997ed8, "_printk" },
	{ 0x52feff2b, "usbnet_get_endpoints" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x5961d35a, "platform_get_ethdev_address" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x420ab7c8, "usbnet_resume" },
	{ 0x2c5ae894, "netdev_info" },
	{ 0xc30cd015, "usbnet_suspend" },
	{ 0xfb8324eb, "usbnet_probe" },
	{ 0xcdec4f07, "usbnet_disconnect" },
	{ 0xdf356801, "usbnet_open" },
	{ 0xd4c75b26, "usbnet_stop" },
	{ 0xae373db6, "usbnet_start_xmit" },
	{ 0xb2980ba9, "eth_mac_addr" },
	{ 0x3f4d9622, "eth_validate_addr" },
	{ 0xb86dab89, "usbnet_tx_timeout" },
	{ 0x2be37aaa, "dev_get_tstats64" },
	{ 0xb34a0102, "usbnet_get_drvinfo" },
	{ 0x3417a8f3, "usbnet_get_msglevel" },
	{ 0x9128a8b9, "usbnet_set_msglevel" },
	{ 0xdc2c0fca, "usbnet_nway_reset" },
	{ 0xe6b990c2, "usbnet_get_link" },
	{ 0xe6df95b1, "usbnet_get_link_ksettings_mii" },
	{ 0x326ab76a, "usbnet_set_link_ksettings_mii" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x76d9311a, "usbnet_write_cmd_nopm" },
	{ 0xfa63645a, "usbnet_write_cmd" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe60c8d9e, "netdev_warn" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe1c5d371, "usbnet_read_cmd_nopm" },
	{ 0x71405285, "usbnet_read_cmd" },
	{ 0xd70d6ea9, "usbnet_defer_kevent" },
	{ 0xec0d943f, "__dynamic_netdev_dbg" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7df210e, "device_set_wakeup_enable" },
	{ 0x3cc5d1c7, "usbnet_change_mtu" },
	{ 0xb29d5950, "generic_mii_ioctl" },
	{ 0xc5039ed2, "usb_register_driver" },
	{ 0xbd6841d4, "crc16" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x3e94e5fd, "usb_deregister" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x58bf9e63, "pskb_expand_head" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x72852818, "skb_pull" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5d8c0907, "usbnet_skb_return" },
	{ 0x9bb26380, "skb_trim" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mii,usbnet,usbcore");

MODULE_ALIAS("usb:v0424p7500d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p7505d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "68C8C6BEE099BCF8629E751");
