#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7615_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7615_ops, "_gpl", "");
KSYMTAB_FUNC(mt7615_thermal_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_wait_for_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_work, "_gpl", "");
KSYMTAB_FUNC(mt7615_reg_map, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_blink, "_gpl", "");
KSYMTAB_FUNC(mt7615_led_set_brightness, "_gpl", "");
KSYMTAB_FUNC(mt7615_register_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_unregister_ext_phy, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_device, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_fill_msg, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7622_trigger_hif_int, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_restart, "_gpl", "");
KSYMTAB_FUNC(__mt7663_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mcu_exit, "_gpl", "");
KSYMTAB_FUNC(mt7615_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_sta_poll, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_set_rates, "_gpl", "");
KSYMTAB_FUNC(mt7615_mac_enable_rtscts, "_gpl", "");
KSYMTAB_FUNC(mt7615_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7615_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7615_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt7615_tx_token_put, "_gpl", "");
KSYMTAB_FUNC(mt7615_init_debugfs, "_gpl", "");

SYMBOL_CRC(mt7615_mac_sta_add, 0xf3cd52d5, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_remove, 0x83905d07, "_gpl");
SYMBOL_CRC(mt7615_ops, 0xbe517890, "_gpl");
SYMBOL_CRC(mt7615_thermal_init, 0xc20457b7, "_gpl");
SYMBOL_CRC(mt7615_wait_for_mcu_init, 0x27907427, "_gpl");
SYMBOL_CRC(mt7615_init_txpower, 0x294cd1c6, "_gpl");
SYMBOL_CRC(mt7615_init_work, 0xd205afd1, "_gpl");
SYMBOL_CRC(mt7615_reg_map, 0x520feba0, "_gpl");
SYMBOL_CRC(mt7615_led_set_blink, 0xbd3ba05a, "_gpl");
SYMBOL_CRC(mt7615_led_set_brightness, 0x383e513b, "_gpl");
SYMBOL_CRC(mt7615_register_ext_phy, 0x39c82fbc, "_gpl");
SYMBOL_CRC(mt7615_unregister_ext_phy, 0x2ea3f45a, "_gpl");
SYMBOL_CRC(mt7615_init_device, 0xbcb17d02, "_gpl");
SYMBOL_CRC(mt7615_mcu_fill_msg, 0x7135f967, "_gpl");
SYMBOL_CRC(mt7615_mcu_parse_response, 0x3592a00a, "_gpl");
SYMBOL_CRC(mt7622_trigger_hif_int, 0xeea5b1c9, "_gpl");
SYMBOL_CRC(mt7615_mcu_restart, 0xb193ef9f, "_gpl");
SYMBOL_CRC(__mt7663_load_firmware, 0x822d35fc, "_gpl");
SYMBOL_CRC(mt7615_mcu_init, 0xadc86fce, "_gpl");
SYMBOL_CRC(mt7615_mcu_exit, 0x0e0544b9, "_gpl");
SYMBOL_CRC(mt7615_eeprom_init, 0xa74ef0f4, "_gpl");
SYMBOL_CRC(mt7615_mac_write_txwi, 0xac67efaf, "_gpl");
SYMBOL_CRC(mt7615_mac_sta_poll, 0xd2d8e5b4, "_gpl");
SYMBOL_CRC(mt7615_mac_set_rates, 0x11abb015, "_gpl");
SYMBOL_CRC(mt7615_mac_enable_rtscts, 0x9bf177d4, "_gpl");
SYMBOL_CRC(mt7615_rx_check, 0xd4a9e87d, "_gpl");
SYMBOL_CRC(mt7615_queue_rx_skb, 0xab844be2, "_gpl");
SYMBOL_CRC(mt7615_update_channel, 0xfd8cf805, "_gpl");
SYMBOL_CRC(mt7615_tx_token_put, 0x453f1cdd, "_gpl");
SYMBOL_CRC(mt7615_init_debugfs, 0x24059c2f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1c1083a3, "mt76_wcid_key_setup" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0x5d4584ba, "mt76_connac_mcu_set_p2p_oppps" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x1bce5a93, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x72839aed, "mt76_connac_mcu_sched_scan_req" },
	{ 0x248f728d, "mt76_connac_mcu_alloc_wtbl_req" },
	{ 0xe864b84, "mt76_connac_mcu_uni_add_bss" },
	{ 0x6221c8a2, "mt76_phy_dfs_state" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x516b0a3e, "wiphy_to_ieee80211_hw" },
	{ 0xeb484c95, "debugfs_attr_read" },
	{ 0x568b20a, "mt76_connac_mcu_hw_scan" },
	{ 0x160f2d71, "mt76_tx_status_skb_done" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc03dc765, "ieee80211_queue_delayed_work" },
	{ 0x22944a40, "mt76_eeprom_init" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x162b3315, "_dev_err" },
	{ 0xfac2a799, "simple_open" },
	{ 0x72852818, "skb_pull" },
	{ 0xa23bcd9, "debugfs_create_file_unsafe" },
	{ 0x11b50b30, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x3ddcbff0, "simple_attr_release" },
	{ 0x2a4b6634, "mt76_update_survey_active_time" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xea9c3418, "mt76_connac_mcu_beacon_loss_iter" },
	{ 0x652032cb, "mac_pton" },
	{ 0xdf0e2e2c, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x72dff620, "mt76_set_channel" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xc89bcf27, "ieee80211_wake_queues" },
	{ 0xf7944de0, "mt76_mcu_send_and_get_msg" },
	{ 0x5e7903b4, "ieee80211_beacon_get_template" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x8c38c301, "mt76_eeprom_override" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x73afb6fc, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xabeb4880, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xac2ef31a, "mt76_connac_pm_dequeue_skbs" },
	{ 0xd23ad830, "mt76_connac_mcu_set_pm" },
	{ 0x509b9c65, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x6fe5dcfb, "devm_hwmon_device_register_with_groups" },
	{ 0x12f56314, "ieee80211_emulate_add_chanctx" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x72b45a84, "__mt76_mcu_send_firmware" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e4634e2, "debugfs_create_u32" },
	{ 0xebfb256a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xa1117276, "mt76_connac_mcu_start_patch" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1e8a47bf, "__SCK__tp_func_mac_txdone" },
	{ 0x4199d0b5, "mt76_sta_state" },
	{ 0x2a1a89e1, "ieee80211_ready_on_channel" },
	{ 0x60d526e2, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb68534db, "mt76_connac_mcu_init_download" },
	{ 0x1eee15a4, "devm_kasprintf" },
	{ 0x63f1d80a, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xe047bf56, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x15dad697, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0xb69634d1, "debugfs_create_file" },
	{ 0xd8ad9472, "mt76_get_rate_power_limits" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0x695ff874, "ieee80211_sched_scan_results" },
	{ 0xb2140ff, "ieee80211_scan_completed" },
	{ 0xc6fbe409, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x85de5916, "mt76_insert_ccmp_hdr" },
	{ 0x3ad16969, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4333164d, "mt76_sw_scan_complete" },
	{ 0x7fb02fb0, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x642cad8e, "seq_write" },
	{ 0x283e8691, "mt76_connac_mcu_start_firmware" },
	{ 0xe73e0191, "____mt76_poll_msec" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x33fef587, "mt76_connac_mcu_wtbl_ht_tlv" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x299f2156, "mt76_connac_mcu_rdd_cmd" },
	{ 0xc682a9d, "seq_printf" },
	{ 0xc69c04ae, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x63083ee4, "mt76_get_sar_power" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3bdbc85f, "mt76_unregister_phy" },
	{ 0xa33ed27b, "mt76_register_phy" },
	{ 0x525c326a, "mt76_connac_mcu_wtbl_hdr_trans_tlv" },
	{ 0x429be02b, "mt76_put_txwi" },
	{ 0xc4cd064, "mt76_wcid_cleanup" },
	{ 0x167b1d96, "ieee80211_radar_detected" },
	{ 0x4c85da29, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xfce6e578, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0x26da8228, "single_release" },
	{ 0xa7feba51, "mt76_sw_scan" },
	{ 0xacfb8f50, "mt76_queues_read" },
	{ 0xbd116bc, "mt76_connac_mcu_set_hif_suspend" },
	{ 0x36df7bc6, "mt76_sta_pre_rcu_remove" },
	{ 0xf127f9ad, "mt76_register_debugfs_fops" },
	{ 0x515a03db, "mt76_connac_mcu_wtbl_generic_tlv" },
	{ 0x52fad1f8, "mt76_connac_mcu_bss_omac_tlv" },
	{ 0xcae91343, "mt76_connac_mcu_sta_ba" },
	{ 0x3bd1c2a6, "mt76_connac_mcu_bss_ext_tlv" },
	{ 0xc9c9d4dd, "ieee80211_queue_work" },
	{ 0x83ef7b57, "napi_schedule_prep" },
	{ 0x9f8ec98d, "mt76_connac_mcu_wtbl_ba_tlv" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xfdf0ad96, "mt76_connac_mcu_patch_sem_ctrl" },
	{ 0xca7ecfcf, "__mt76_poll" },
	{ 0x8a2ad181, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xabaa0e2e, "debugfs_create_u8" },
	{ 0x36bd243f, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xa02320b, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xda5a9864, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2cab8605, "mt76_get_min_avg_rssi" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xfddd732b, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x3e2de027, "ieee80211_csa_finish" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x38641a94, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xc9be583f, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x35c772e6, "ieee80211_sta_register_airtime" },
	{ 0x234c5b41, "mt76_connac_mcu_bss_basic_tlv" },
	{ 0x7e71bb1f, "mt76_connac_mcu_sta_tlv" },
	{ 0xe7df210e, "device_set_wakeup_enable" },
	{ 0x8c5cd546, "mt76_tx_worker_run" },
	{ 0x9b471b18, "mt76_init_sar_power" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc30b76ed, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x498252d5, "simple_attr_open" },
	{ 0x5c72313e, "ieee80211_iterate_interfaces" },
	{ 0x5eee46b8, "debugfs_attr_write" },
	{ 0x660736c6, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x9aa72856, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6d471d7e, "firmware_request_nowarn" },
	{ 0x273b0273, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xefbba815, "mt76_tx_status_skb_get" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0x17818535, "mt76_tx_status_lock" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0xb0a12530, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x8405484e, "debugfs_create_u16" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1f62ca01, "ieee80211_free_hw" },
	{ 0x8886644e, "mt76_connac_mcu_set_channel_domain" },
	{ 0x4102ed31, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x6881dfdd, "mt76_release_buffered_frames" },
	{ 0x697a555b, "request_firmware" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0x326ff87d, "mt76_get_txpower" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc978252d, "__tracepoint_mac_txdone" },
	{ 0xd8bb6259, "mt76_connac_pm_wake" },
	{ 0x4a68997d, "mt76_get_rate" },
	{ 0x77a768d, "mt76_wake_tx_queue" },
	{ 0x56f0c57d, "ieee80211_tx_status_ext" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2be404f1, "mt76_connac_mcu_chip_config" },
	{ 0xecf8faea, "mt76_get_antenna" },
	{ 0x37a0cba, "kfree" },
	{ 0x4203965f, "mt76_connac_mcu_sta_ba_tlv" },
	{ 0x4eed4dd5, "__mt76_tx_complete_skb" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0x6de8eb51, "mt76_set_stream_caps" },
	{ 0x5c4a0362, "ieee80211_emulate_change_chanctx" },
	{ 0xe2e27858, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe843073e, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0x207d0e52, "mt76_connac_mcu_update_arp_filter" },
	{ 0xc6db60ab, "mt76_connac_mcu_set_vif_ps" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0xfe107dce, "mt76_mcu_rx_event" },
	{ 0xb784bb89, "mt76_alloc_phy" },
	{ 0x2c441b60, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3fd6610, "mt76_wcid_init" },
	{ 0xf64e65f8, "mt76_tx_status_check" },
	{ 0xba873db3, "wake_up_process" },
	{ 0xef54cf47, "mt76_connac_free_pending_tx_skbs" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0x39db9918, "mt76_connac_power_save_sched" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x55af3cd7, "cfg80211_reg_check_beaconing" },
	{ 0x7587801f, "ieee80211_send_bar" },
	{ 0xcf1f7f1, "mt76_connac_mcu_wtbl_update_hdr_trans" },
	{ 0x3d9ad92, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5493c08f, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc64d1b46, "mt76_tx" },
	{ 0xf5a299bf, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0x96fdda6d, "__alloc_skb" },
	{ 0x4396ebf3, "mt76_connac_mcu_set_mac_enable" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "6D5044FB92C1FE3C2CCB644");
