#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6881dfdd, "mt76_release_buffered_frames" },
	{ 0x697a555b, "request_firmware" },
	{ 0x326ff87d, "mt76_get_txpower" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0x9738dbce, "mt76x02_dma_disable" },
	{ 0x77a768d, "mt76_wake_tx_queue" },
	{ 0xdacb29e6, "mt76x02e_init_beacon_config" },
	{ 0xecf8faea, "mt76_get_antenna" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x5c4a0362, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x15d8a222, "pci_set_power_state" },
	{ 0x5aafd4ef, "mt76x02_sta_ps" },
	{ 0x8678e16, "mt76x02_sta_rate_tbl_update" },
	{ 0xbc926448, "kthread_park" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0xd74aa7cf, "mt76_dma_cleanup" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x550fbe8c, "mt76x02_reconfig_complete" },
	{ 0x7c5bb757, "mt76_alloc_device" },
	{ 0xba873db3, "wake_up_process" },
	{ 0x542dc7a7, "mt76x02_set_coverage_class" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34a0711e, "mt76x02_update_channel" },
	{ 0xf5a299bf, "__napi_schedule" },
	{ 0x8a5646a3, "mt76_pci_disable_aspm" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0x6fbfaec3, "mt76x02_configure_filter" },
	{ 0x91d71ef3, "mt76_free_device" },
	{ 0x54096a59, "mt76x0_chip_onoff" },
	{ 0x6f3d16a4, "mt76x02_queue_rx_skb" },
	{ 0x90253017, "kthread_unpark" },
	{ 0x4a5c7918, "pcim_iomap_regions" },
	{ 0xc03dc765, "ieee80211_queue_delayed_work" },
	{ 0x740a4e67, "mt76x0_config" },
	{ 0x2eca3555, "mt76x0_register_device" },
	{ 0x162b3315, "_dev_err" },
	{ 0xdb1b69ba, "mt76x02_rx_poll_complete" },
	{ 0xa19f42b7, "mt76x0_phy_calibrate" },
	{ 0x8275b053, "mt76_set_tim" },
	{ 0x84f78d7c, "mt76x02_sw_scan_complete" },
	{ 0x91d5b9ee, "mt76x02_irq_handler" },
	{ 0x16c12657, "napi_enable" },
	{ 0x4587d45e, "mt76x02_tx" },
	{ 0x80e624df, "mt76_mmio_init" },
	{ 0x62e3ae8, "mt76x02_sta_remove" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xbabab9eb, "mt76x02_sta_add" },
	{ 0x8da67db1, "mt76_unregister_device" },
	{ 0xe7757740, "pci_restore_state" },
	{ 0x3fa9fb99, "mt76x0_mac_stop" },
	{ 0x509b9c65, "mt76_get_survey" },
	{ 0x8539e389, "_dev_warn" },
	{ 0x12f56314, "ieee80211_emulate_add_chanctx" },
	{ 0x4a39657c, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xebfb256a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xc0c8b9, "mt76x02_set_rts_threshold" },
	{ 0x44634225, "mt76x02_tx_complete_skb" },
	{ 0x4199d0b5, "mt76_sta_state" },
	{ 0x3cb8638, "mt76x02_mcu_msg_send" },
	{ 0x43cbef8e, "mt76x0_init_hardware" },
	{ 0x7474956, "mt76x02_bss_info_changed" },
	{ 0xff52817d, "pci_enable_wake" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x6bc2dd3e, "mt76x02_add_interface" },
	{ 0xe73e0191, "____mt76_poll_msec" },
	{ 0x767971e, "mt76x02_tx_prepare_skb" },
	{ 0xcd86fa23, "mt76x02_mcu_cleanup" },
	{ 0xa1ff8def, "mt76x02_ampdu_action" },
	{ 0xd06a3959, "mt76x02_conf_tx" },
	{ 0xcbab69bb, "dma_set_mask" },
	{ 0xa7feba51, "mt76_sw_scan" },
	{ 0x36df7bc6, "mt76_sta_pre_rcu_remove" },
	{ 0xee92b7be, "pcim_iomap_table" },
	{ 0x83ef7b57, "napi_schedule_prep" },
	{ 0xf36a93b8, "napi_disable" },
	{ 0xca7ecfcf, "__mt76_poll" },
	{ 0x6d43dc0a, "pcim_enable_device" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xda5a9864, "ieee80211_emulate_remove_chanctx" },
	{ 0x4056ea01, "mt76x02_mac_start" },
	{ 0xbc83c711, "mt76x02_remove_interface" },
	{ 0x14ab063c, "mt76x02_dma_init" },
	{ 0x69860765, "pci_save_state" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x5c0c50c1, "devm_request_threaded_irq" },
	{ 0x2922f6e9, "mt76x0_set_sar_specs" },
	{ 0x8516c91, "pci_choose_state" },
	{ 0x7d563cbf, "mt76x02_set_ethtool_fwver" },
	{ 0xd5bc314d, "mt76x02_set_key" },
	{ 0x542d469f, "mt76x02_mcu_parse_response" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76x02-lib,mac80211,mt76x0-common");

MODULE_ALIAS("pci:v000014C3d00007610sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007630sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014C3d00007650sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "078B3D2A79D5D2249CB9E7B");
