#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0xdf8186fb, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0x6fbfaec3, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xbabab9eb, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x062e3ae8, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0x6bc2dd3e, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0xbc83c711, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0xa1ff8def, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xd5bc314d, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0xd06a3959, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0xf02f0367, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0x542dc7a7, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0x00c0c8b9, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x08678e16, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x112175cd, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0x84f78d7c, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x5aafd4ef, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x07474956, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x863d845b, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0x6a704883, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0x7de77205, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x9441560a, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x459c236b, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xb92585f6, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x44634225, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0x34a0711e, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xf78008e6, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0xe81a96b1, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0x542d469f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x03cb8638, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0x16d5b4a2, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0xd3cbc57e, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x75f09ea7, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0xcd86fa23, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0x7d563cbf, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0xcc075edb, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xc9f8f927, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x849e11e6, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xf9a8bb7c, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x5f39e928, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0x1e3fd9f0, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0xd5ce6855, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0xa9fe54c9, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x5924e77c, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x61b1f63b, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0xd738e9b2, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0xc20174c7, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0xaaa4459a, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xdacb29e6, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x14ab063c, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xdb1b69ba, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x9738dbce, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0x4056ea01, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x550fbe8c, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x4587d45e, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x6f3d16a4, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x8ca2b780, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x8cf670a4, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x0767971e, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xf1d91f12, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xe8af13b9, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xde7b981b, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x42d4ad47, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0x7760eafb, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0x22066888, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x8c6e6b47, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xee7e28d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x58444026, "mt76_csa_check" },
	{ 0x1fcf28fe, "mt76_tx_status_skb_add" },
	{ 0xc978252d, "__tracepoint_mac_txdone" },
	{ 0x3c3be51a, "mt76_tx_check_agg_ssn" },
	{ 0x56f0c57d, "ieee80211_tx_status_ext" },
	{ 0x7373b5b5, "mt76_stop_tx_queues" },
	{ 0x31244a2a, "___pskb_trim" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4eed4dd5, "__mt76_tx_complete_skb" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0xb7b4ec8e, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x90d58c81, "ieee80211_restart_hw" },
	{ 0xe2e27858, "bpf_trace_run2" },
	{ 0xe843073e, "ieee80211_get_hdrlen_from_skb" },
	{ 0xbc926448, "kthread_park" },
	{ 0xfe107dce, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc3fd6610, "mt76_wcid_init" },
	{ 0xf64e65f8, "mt76_tx_status_check" },
	{ 0xba873db3, "wake_up_process" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0x957bd674, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd15d144b, "napi_complete_done" },
	{ 0xf8f5e40b, "ieee80211_get_tx_rates" },
	{ 0x7587801f, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5493c08f, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc64d1b46, "mt76_tx" },
	{ 0xf5a299bf, "__napi_schedule" },
	{ 0xe6bfdc3, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1c1083a3, "mt76_wcid_key_setup" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x1bce5a93, "mt76_rx" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x90253017, "kthread_unpark" },
	{ 0x6221c8a2, "mt76_phy_dfs_state" },
	{ 0x516b0a3e, "wiphy_to_ieee80211_hw" },
	{ 0x1cb4878a, "mt76_init_queue" },
	{ 0xeb484c95, "debugfs_attr_read" },
	{ 0xab580002, "__mt76_sta_remove" },
	{ 0x160f2d71, "mt76_tx_status_skb_done" },
	{ 0xc03dc765, "ieee80211_queue_delayed_work" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x162b3315, "_dev_err" },
	{ 0x69b03ef5, "debugfs_create_bool" },
	{ 0x72852818, "skb_pull" },
	{ 0x3ddcbff0, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2e7fdb4e, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x16c12657, "napi_enable" },
	{ 0xc8a1fe7e, "seq_putc" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0xd507b5ae, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0xc89bcf27, "ieee80211_wake_queues" },
	{ 0xf7944de0, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x7385fb9, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xabeb4880, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1d7a9526, "mt76_set_irq_mask" },
	{ 0x2e39c3c1, "bpf_trace_run1" },
	{ 0x87450cdc, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7e4634e2, "debugfs_create_u32" },
	{ 0x1e8a47bf, "__SCK__tp_func_mac_txdone" },
	{ 0xb6d992fa, "mt76_seq_puts_array" },
	{ 0x60d526e2, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe88f147d, "__tracepoint_dev_irq" },
	{ 0x63f1d80a, "seq_read" },
	{ 0x1bc0bb85, "mt76_mcu_get_response" },
	{ 0xb69634d1, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0xc6fbe409, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x51d25bb3, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x7fb02fb0, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x642cad8e, "seq_write" },
	{ 0xe73e0191, "____mt76_poll_msec" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x916eb1ed, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc4cd064, "mt76_wcid_cleanup" },
	{ 0x167b1d96, "ieee80211_radar_detected" },
	{ 0x26da8228, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xacfb8f50, "mt76_queues_read" },
	{ 0xf127f9ad, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x83ef7b57, "napi_schedule_prep" },
	{ 0xf36a93b8, "napi_disable" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0xca7ecfcf, "__mt76_poll" },
	{ 0x8a2ad181, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xabaa0e2e, "debugfs_create_u8" },
	{ 0x36bd243f, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x40847e6f, "mt76_dma_attach" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x35c772e6, "ieee80211_sta_register_airtime" },
	{ 0x54b0ea, "mt76_dma_rx_poll" },
	{ 0xc30b76ed, "mt76_tx_status_unlock" },
	{ 0x498252d5, "simple_attr_open" },
	{ 0x5eee46b8, "debugfs_attr_write" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x273b0273, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xcf1498a3, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xefbba815, "mt76_tx_status_skb_get" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0x17818535, "mt76_tx_status_lock" },
	{ 0xedc46a0f, "skb_dequeue" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "B773B00FC05F55337E6216B");
