#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xae987b33, "rt2x00usb_disconnect" },
	{ 0x1c414869, "rt2x00usb_suspend" },
	{ 0xf0baf7d4, "rt2x00usb_resume" },
	{ 0x2b5f59b5, "rt2x00usb_initialize" },
	{ 0xf6ee297c, "rt2x00usb_uninitialize" },
	{ 0x6f1d584, "rt2x00usb_clear_entry" },
	{ 0x2d7392f7, "rt2x00usb_watchdog" },
	{ 0x8dfbab4a, "rt2x00usb_kick_queue" },
	{ 0x18d8bf61, "rt2x00usb_flush_queue" },
	{ 0xd53b18a5, "rt2x00mac_tx" },
	{ 0x29c5e54a, "rt2x00mac_start" },
	{ 0xb9c7e49d, "rt2x00mac_stop" },
	{ 0x5fb604e8, "rt2x00mac_add_interface" },
	{ 0xc18c09fa, "rt2x00mac_remove_interface" },
	{ 0xbc825127, "rt2x00mac_config" },
	{ 0xc80ca6f0, "rt2x00mac_bss_info_changed" },
	{ 0x7ba76aa8, "rt2x00mac_configure_filter" },
	{ 0xc28fdbdd, "rt2x00mac_set_tim" },
	{ 0xc5bbc760, "rt2x00mac_set_key" },
	{ 0x5cdfa969, "rt2x00mac_sw_scan_start" },
	{ 0x5eb4b5a4, "rt2x00mac_sw_scan_complete" },
	{ 0x3e60134c, "rt2x00mac_get_stats" },
	{ 0xe5bbb28c, "rt2x00mac_conf_tx" },
	{ 0x7a882aee, "rt2x00mac_rfkill_poll" },
	{ 0xd664fd4, "rt2x00mac_flush" },
	{ 0xc58abace, "rt2x00mac_set_antenna" },
	{ 0x2465f980, "rt2x00mac_get_antenna" },
	{ 0xc546931, "rt2x00mac_get_ringparam" },
	{ 0xabd62f90, "rt2x00mac_tx_frames_pending" },
	{ 0x12f56314, "ieee80211_emulate_add_chanctx" },
	{ 0xda5a9864, "ieee80211_emulate_remove_chanctx" },
	{ 0x5c4a0362, "ieee80211_emulate_change_chanctx" },
	{ 0xebfb256a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x9aeb25f, "ieee80211_handle_wake_tx_queue" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc5039ed2, "usb_register_driver" },
	{ 0xc8e05e3f, "rt2x00usb_probe" },
	{ 0x9bb26380, "skb_trim" },
	{ 0x273b0273, "consume_skb" },
	{ 0xdc98f4a3, "usb_submit_urb" },
	{ 0x3e94e5fd, "usb_deregister" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x9a5084c8, "rt2x00usb_vendor_req_buff_lock" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x162b3315, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4bf23c63, "rt2x00usb_vendor_request_buff" },
	{ 0x6213484a, "rt2x00usb_vendor_request" },
	{ 0x6888894b, "rt2x00lib_set_mac_address" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0x6640a491, "__dynamic_dev_dbg" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf9a482f9, "msleep" },
	{ 0xd38ebb28, "rt2x00usb_disable_radio" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "rt2x00usb,rt2x00lib,mac80211,usbcore");

MODULE_ALIAS("usb:v0B05p1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p1707d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7050d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp7051d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0011d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p001Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14B2p3C02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8001d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1044p8007d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v06F8pE000d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p005Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0066d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0067d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p008Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p0097d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6861d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6865d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0p6869d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp1706d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp2570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v148Fp9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v079Bp004Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0681p3C06d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0707pEE13d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F3d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0EB0p9020d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0F88p3012d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0260d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "0234C22C669DF15F609D12B");
