#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34a252b0, "rtl92d_phy_reset_iqk_result" },
	{ 0x63b0f448, "rtl_cam_reset_all_entry" },
	{ 0x76ea793a, "rtl92d_phy_rf6052_set_bandwidth" },
	{ 0xa35af516, "rtl92d_dm_dig" },
	{ 0x224b779d, "__pci_register_driver" },
	{ 0xddd6f3dc, "rtl92d_phy_restore_rf_env" },
	{ 0xfbc34eba, "rtl92d_rx_query_desc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x64f079b7, "rtl92d_phy_save_mac_registers" },
	{ 0xab6c0eca, "rtl92d_dm_initialize_txpower_tracking" },
	{ 0x3ce26dc6, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0xf58e38bf, "rtl92d_dm_init_rate_adaptive_mask" },
	{ 0x957f1faa, "dev_driver_string" },
	{ 0x7709859d, "rtl92d_update_hal_rate_tbl" },
	{ 0x5f809940, "rtl92d_dm_init_edca_turbo" },
	{ 0x3db3562d, "_rtl_dbg_print" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b568ac6, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe07e779d, "rtl92d_dm_check_edca_turbo" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd61f39, "rtl92d_phy_path_adda_on" },
	{ 0x2a9854a3, "rtl92d_phy_enable_rf_env" },
	{ 0xc251096b, "rtl_rfreg_delay" },
	{ 0x396805f2, "rtl_pci_disconnect" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x5fb2a76d, "rtl_pci_suspend" },
	{ 0xdaab1b5e, "rtl92d_set_hw_reg" },
	{ 0xbb61567, "rtl92d_set_fw_joinbss_report_cmd" },
	{ 0x29987791, "rtl92d_is_fw_downloaded" },
	{ 0xa26bb634, "request_firmware_nowait" },
	{ 0xecf5ab44, "_rtl_dbg_print_data" },
	{ 0xf09acc2f, "rtl92d_get_desc" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0xd5766d5d, "rtl92d_update_channel_access_setting" },
	{ 0x8d0959f4, "skb_push" },
	{ 0xe2c37783, "rtl92d_phy_set_txpower_level" },
	{ 0x40e28bea, "rtl92d_read_eeprom_info" },
	{ 0x5f76dd42, "rtl92d_phy_config_maccoexist_rfpage" },
	{ 0x807f11c2, "rtl92d_phy_mac_setting_calibration" },
	{ 0x2921a4d4, "rtl_btc_status_false" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x205fce65, "rtl92d_dm_find_minimum_rssi" },
	{ 0x1f4cd328, "rtl92d_phy_save_adda_registers" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe0ff26e7, "rtl_ps_enable_nic" },
	{ 0xddb82256, "rtl92d_set_desc" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x1ae084b6, "rtl_pci_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7aca543, "rtl92d_firmware_selfreset" },
	{ 0xa14ae493, "rtl92d_fill_h2c_cmd" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0x9a051407, "rtl92d_get_rightchnlplace_for_iqk" },
	{ 0xf0a8e6fa, "rtl_phy_scan_operation_backup" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35454cf3, "rtl92d_resume_tx_beacon" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x6a6ac4bb, "rtl92d_set_qos" },
	{ 0x999e8297, "vfree" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0x6baa9698, "rtl92d_stop_tx_beacon" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x848a5196, "rtl92d_enable_hw_security_config" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xfef72620, "rtl_get_tcb_desc" },
	{ 0x56ef4944, "rtl92d_store_pwrindex_diffrate_offset" },
	{ 0xa17035b6, "rtl92d_phy_init_bb_rf_register_definition" },
	{ 0x81a6c8ba, "rtl_ps_disable_nic" },
	{ 0xba48165a, "rtl_dm_diginit" },
	{ 0x1882a028, "rtl92d_enable_fw_download" },
	{ 0xb70efb7a, "rtl92d_fw_init" },
	{ 0x16890f88, "param_ops_int" },
	{ 0x7da64b9a, "rtl92d_phy_get_hw_reg_originalvalue" },
	{ 0x96044777, "rtl92d_phy_query_rf_reg" },
	{ 0xd82eb9a0, "rtl92d_gpio_radio_on_off_checking" },
	{ 0x6e9cf1a7, "rtl92d_write_fw" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd1a1b78, "rtl92d_phy_set_rf_reg" },
	{ 0x93ba5795, "rtl_pci_probe" },
	{ 0xb17a6420, "rtl92d_get_hw_reg" },
	{ 0x8ea60059, "rtl_fw_cb" },
	{ 0x9d415a84, "rtl92d_llt_write" },
	{ 0x8bd085f1, "rtl92d_dm_false_alarm_counter_statistics" },
	{ 0x2e514c6c, "param_ops_ullong" },
	{ 0x1b945315, "rtl_addr_delay" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xd27c59f7, "rtl92d_phy_calc_curvindex" },
	{ 0xf8c5c291, "skb_put" },
	{ 0xbebc2da3, "rtl92d_set_key" },
	{ 0x572ff627, "rtl92d_fw_free_to_go" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "rtl8192d-common,rtlwifi,rtl_pci");

MODULE_ALIAS("pci:v000010ECd00008193sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010ECd0000002Bsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "DEE7CC565D866E50C6EA9E8");
