#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(rtw_disable_lps_deep_mode, "", "");
KSYMTAB_DATA(rtw_debug_mask, "", "");
KSYMTAB_FUNC(rtw_dump_fw, "", "");
KSYMTAB_FUNC(rtw_dump_reg, "", "");
KSYMTAB_FUNC(rtw_set_rx_freq_band, "", "");
KSYMTAB_FUNC(rtw_chip_info_setup, "", "");
KSYMTAB_FUNC(rtw_core_init, "", "");
KSYMTAB_FUNC(rtw_core_deinit, "", "");
KSYMTAB_FUNC(rtw_register_hw, "", "");
KSYMTAB_FUNC(rtw_unregister_hw, "", "");
KSYMTAB_DATA(rtw_ops, "", "");
KSYMTAB_FUNC(check_hw_ready, "", "");
KSYMTAB_FUNC(rtw_restore_reg, "", "");
KSYMTAB_FUNC(rtw_tx_fill_tx_desc, "", "");
KSYMTAB_FUNC(rtw_tx_report_enqueue, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_rsvd_page_get, "", "");
KSYMTAB_FUNC(rtw_tx_write_data_h2c_get, "", "");
KSYMTAB_FUNC(rtw_tx_ac_to_hwq, "", "");
KSYMTAB_FUNC(rtw_tx_queue_mapping, "", "");
KSYMTAB_FUNC(rtw_rx_stats, "", "");
KSYMTAB_FUNC(rtw_rx_fill_rx_status, "", "");
KSYMTAB_FUNC(rtw_set_channel_mac, "", "");
KSYMTAB_DATA(rtw_rate_section, "", "");
KSYMTAB_DATA(rtw_rate_size, "", "");
KSYMTAB_FUNC(rtw_phy_set_edcca_th, "", "");
KSYMTAB_FUNC(rtw_phy_init, "", "");
KSYMTAB_FUNC(rtw_phy_parsing_cfo, "", "");
KSYMTAB_FUNC(rtw_phy_rf_power_2_rssi, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf, "", "");
KSYMTAB_FUNC(rtw_phy_read_rf_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_sipi, "", "");
KSYMTAB_FUNC(rtw_phy_write_rf_reg_mix, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_phy_cond, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_bb_pg, "", "");
KSYMTAB_FUNC(rtw_parse_tbl_txpwr_lmt, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_mac, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_agc, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_bb, "", "");
KSYMTAB_FUNC(rtw_phy_cfg_rf, "", "");
KSYMTAB_FUNC(rtw_phy_load_tables, "", "");
KSYMTAB_FUNC(rtw_phy_get_tx_power_index, "", "");
KSYMTAB_FUNC(rtw_phy_set_tx_power_level, "", "");
KSYMTAB_FUNC(rtw_phy_config_swing_table, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_avg, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_thermal_changed, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_delta, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_get_pwridx, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_lck, "", "");
KSYMTAB_FUNC(rtw_phy_pwrtrack_need_iqk, "", "");
KSYMTAB_FUNC(rtw_coex_write_scbd, "", "");
KSYMTAB_FUNC(rtw_coex_read_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_coex_write_indirect_reg, "", "");
KSYMTAB_FUNC(rtw_read8_physical_efuse, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_rx_irqsafe, "", "");
KSYMTAB_FUNC(rtw_fw_c2h_cmd_isr, "", "");
KSYMTAB_FUNC(rtw_fw_do_iqk, "", "");
KSYMTAB_FUNC(rtw_fw_inform_rfk_status, "", "");
KSYMTAB_FUNC(rtw_power_mode_change, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_enable_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_su, "", "");
KSYMTAB_FUNC(rtw_bf_remove_bfee_mu, "", "");
KSYMTAB_FUNC(rtw_bf_set_gid_table, "", "");
KSYMTAB_FUNC(rtw_bf_phy_init, "", "");
KSYMTAB_FUNC(rtw_bf_cfg_csi_rate, "", "");
KSYMTAB_FUNC(rtw_regd_get, "", "");
KSYMTAB_FUNC(rtw_regd_srrc, "", "");

SYMBOL_CRC(rtw_disable_lps_deep_mode, 0x36c5bfca, "");
SYMBOL_CRC(rtw_debug_mask, 0x33b3f3c0, "");
SYMBOL_CRC(rtw_dump_fw, 0xe7b59be2, "");
SYMBOL_CRC(rtw_dump_reg, 0xc38dfcad, "");
SYMBOL_CRC(rtw_set_rx_freq_band, 0x855bcbea, "");
SYMBOL_CRC(rtw_chip_info_setup, 0xe19ff433, "");
SYMBOL_CRC(rtw_core_init, 0x4541fef7, "");
SYMBOL_CRC(rtw_core_deinit, 0xc11f12f2, "");
SYMBOL_CRC(rtw_register_hw, 0x32500d12, "");
SYMBOL_CRC(rtw_unregister_hw, 0x5f516fc2, "");
SYMBOL_CRC(rtw_ops, 0x1cce5b4b, "");
SYMBOL_CRC(check_hw_ready, 0x5f1200da, "");
SYMBOL_CRC(rtw_restore_reg, 0xde315971, "");
SYMBOL_CRC(rtw_tx_fill_tx_desc, 0x4e0321cc, "");
SYMBOL_CRC(rtw_tx_report_enqueue, 0x1724ef46, "");
SYMBOL_CRC(rtw_tx_write_data_rsvd_page_get, 0xaa2aa394, "");
SYMBOL_CRC(rtw_tx_write_data_h2c_get, 0x449d2351, "");
SYMBOL_CRC(rtw_tx_ac_to_hwq, 0x1dc2d072, "");
SYMBOL_CRC(rtw_tx_queue_mapping, 0x50c76f17, "");
SYMBOL_CRC(rtw_rx_stats, 0xcd343b30, "");
SYMBOL_CRC(rtw_rx_fill_rx_status, 0xbc8e5de9, "");
SYMBOL_CRC(rtw_set_channel_mac, 0xa55b6f94, "");
SYMBOL_CRC(rtw_rate_section, 0x58210e60, "");
SYMBOL_CRC(rtw_rate_size, 0x519c8ba9, "");
SYMBOL_CRC(rtw_phy_set_edcca_th, 0x0067666f, "");
SYMBOL_CRC(rtw_phy_init, 0x12bcaa07, "");
SYMBOL_CRC(rtw_phy_parsing_cfo, 0x4b404928, "");
SYMBOL_CRC(rtw_phy_rf_power_2_rssi, 0x440b7589, "");
SYMBOL_CRC(rtw_phy_read_rf, 0x33bb2f54, "");
SYMBOL_CRC(rtw_phy_read_rf_sipi, 0x978fc34c, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_sipi, 0x5bd3732c, "");
SYMBOL_CRC(rtw_phy_write_rf_reg_mix, 0x62a43a4f, "");
SYMBOL_CRC(rtw_parse_tbl_phy_cond, 0x7cebf730, "");
SYMBOL_CRC(rtw_parse_tbl_bb_pg, 0x444f89ea, "");
SYMBOL_CRC(rtw_parse_tbl_txpwr_lmt, 0x7ffa90a8, "");
SYMBOL_CRC(rtw_phy_cfg_mac, 0xbe00c0e4, "");
SYMBOL_CRC(rtw_phy_cfg_agc, 0x90054ede, "");
SYMBOL_CRC(rtw_phy_cfg_bb, 0x72326c6b, "");
SYMBOL_CRC(rtw_phy_cfg_rf, 0xee537c32, "");
SYMBOL_CRC(rtw_phy_load_tables, 0x37ddee17, "");
SYMBOL_CRC(rtw_phy_get_tx_power_index, 0x8ddd9893, "");
SYMBOL_CRC(rtw_phy_set_tx_power_level, 0x24a860c3, "");
SYMBOL_CRC(rtw_phy_config_swing_table, 0xbe07ab3f, "");
SYMBOL_CRC(rtw_phy_pwrtrack_avg, 0xf41157d8, "");
SYMBOL_CRC(rtw_phy_pwrtrack_thermal_changed, 0x4f4b7b98, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_delta, 0xabb434bf, "");
SYMBOL_CRC(rtw_phy_pwrtrack_get_pwridx, 0x257366bc, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_lck, 0x18ea6c8b, "");
SYMBOL_CRC(rtw_phy_pwrtrack_need_iqk, 0xb51cf6a4, "");
SYMBOL_CRC(rtw_coex_write_scbd, 0x1f2a5180, "");
SYMBOL_CRC(rtw_coex_read_indirect_reg, 0x284f5896, "");
SYMBOL_CRC(rtw_coex_write_indirect_reg, 0xafad0190, "");
SYMBOL_CRC(rtw_read8_physical_efuse, 0x5a5b42b2, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_rx_irqsafe, 0xc8e35232, "");
SYMBOL_CRC(rtw_fw_c2h_cmd_isr, 0x5d65e857, "");
SYMBOL_CRC(rtw_fw_do_iqk, 0x6b75bb01, "");
SYMBOL_CRC(rtw_fw_inform_rfk_status, 0xf0bc73c2, "");
SYMBOL_CRC(rtw_power_mode_change, 0xc5281dc6, "");
SYMBOL_CRC(rtw_bf_enable_bfee_su, 0x6d702ef4, "");
SYMBOL_CRC(rtw_bf_enable_bfee_mu, 0xa42fdec8, "");
SYMBOL_CRC(rtw_bf_remove_bfee_su, 0x381f7260, "");
SYMBOL_CRC(rtw_bf_remove_bfee_mu, 0x7667b8ae, "");
SYMBOL_CRC(rtw_bf_set_gid_table, 0xd214b4c1, "");
SYMBOL_CRC(rtw_bf_phy_init, 0x853ac629, "");
SYMBOL_CRC(rtw_bf_cfg_csi_rate, 0x4327feef, "");
SYMBOL_CRC(rtw_regd_get, 0x9643c2b3, "");
SYMBOL_CRC(rtw_regd_srrc, 0x199b0f67, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96fdda6d, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4a6e5bed, "_dev_info" },
	{ 0xf48aeb26, "skb_queue_tail" },
	{ 0xeffe38b, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xb6936ffe, "_bcd2bin" },
	{ 0x516b0a3e, "wiphy_to_ieee80211_hw" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc03dc765, "ieee80211_queue_delayed_work" },
	{ 0x4e60bb14, "ieee80211_proberesp_get" },
	{ 0x162b3315, "_dev_err" },
	{ 0xa26bb634, "request_firmware_nowait" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf1f1c9dc, "ieee80211_find_sta_by_ifaddr" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0xc89bcf27, "ieee80211_wake_queues" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7385fb9, "ieee80211_iter_keys_rcu" },
	{ 0xac5dd92c, "ieee80211_free_txskb" },
	{ 0x73afb6fc, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7b23c42b, "ieee80211_tx_dequeue" },
	{ 0xfb578fc5, "memset" },
	{ 0x8539e389, "_dev_warn" },
	{ 0x12f56314, "ieee80211_emulate_add_chanctx" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xebfb256a, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x60d526e2, "ieee80211_stop_queues" },
	{ 0xcf06c2cf, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x999e8297, "vfree" },
	{ 0xb2140ff, "ieee80211_scan_completed" },
	{ 0xc6fbe409, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x89ca57b4, "param_ops_bool" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x87310b85, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x916eb1ed, "ieee80211_beacon_get_tim" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x4f44c68d, "skb_copy" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8a9d278d, "ieee80211_cqm_rssi_notify" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5abf40c4, "ieee80211_request_smps" },
	{ 0xc9c9d4dd, "ieee80211_queue_work" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0xda5a9864, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xe7df210e, "device_set_wakeup_enable" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xa48c64cc, "ieee80211_connection_loss" },
	{ 0xb1f8c3c1, "ieee80211_report_wowlan_wakeup" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6e9e60f2, "ieee80211_txq_get_depth" },
	{ 0xfdb8b194, "param_ops_uint" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x273b0273, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xedc46a0f, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xff086fe, "ieee80211_probereq_get" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc374e117, "ieee80211_iterate_stations_atomic" },
	{ 0x52d5148, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0xcb4eb143, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0x1eb9516e, "round_jiffies_relative" },
	{ 0xc96d9ad9, "ieee80211_nullfunc_get" },
	{ 0x4088ba4c, "ieee80211_pspoll_get" },
	{ 0xcbf97f2d, "ieee80211_register_hw" },
	{ 0x5c4a0362, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x90d58c81, "ieee80211_restart_hw" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0x3c744e95, "cfg80211_calculate_bitrate" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x41d7cafa, "ieee80211_find_sta" },
	{ 0x836bd8a7, "ieee80211_iter_keys" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdb867a03, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "D6E56AA1C5F04ED3E7538F8");
