#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x5812687f, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xe37adc2d, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x09ef9d45, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xcb7ba36a, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0xab845fc3, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x1d6ee851, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0x95e07685, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0xba698405, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x54a45ca5, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x1551a9d8, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x1d826de9, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xaafc9dd7, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xa29e81b3, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x09e90b74, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x450e56d7, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x99103ed8, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x0970940f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3d76ac6d, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9779f1d8, "_dev_printk" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x8403e64f, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x91f9d400, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e28f9a, "iscsi_prep_data_out_pdu" },
	{ 0xb97b6279, "iscsi_put_task" },
	{ 0x9f149fa3, "iscsi_conn_failure" },
	{ 0xbec28f48, "iscsi_conn_setup" },
	{ 0x1b9f4471, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x6feef249, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3e2db88f, "crypto_ahash_update" },
	{ 0x67471186, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbe560628, "skb_prepare_seq_read" },
	{ 0x4375fb80, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd4f5a3f4, "skb_abort_seq_read" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x39e40d00, "iscsi_complete_pdu" },
	{ 0xe65e05c5, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd6fccc3d, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xacd1fd44, "iscsi_get_task" },
	{ 0x88e4569e, "iscsi_update_cmdsn" },
	{ 0x5904faa2, "__iscsi_complete_pdu" },
	{ 0xc4e3ea1d, "iscsi_requeue_task" },
	{ 0x16890f88, "param_ops_int" },
	{ 0xbe102707, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");
