#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xbf556d56, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x2b988d0d, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x2c660538, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x6c11d7fe, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x4f08a3d2, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0xc742941b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x96fdda6d, "__alloc_skb" },
	{ 0x618911fc, "numa_node" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x778ccb22, "skb_mpls_pop" },
	{ 0x3eba434c, "skb_vlan_pop" },
	{ 0xde8ee96, "dst_init" },
	{ 0x592e4424, "module_put" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ea5d10, "ksize" },
	{ 0xc4abd5b3, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xfbdfd51f, "rtnl_link_unregister" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x17844415, "init_net" },
	{ 0xb7c0f443, "sort" },
	{ 0xe7f733f8, "ipv6_stub" },
	{ 0x5862e321, "skb_mpls_update_lse" },
	{ 0x72852818, "skb_pull" },
	{ 0xbb8395ee, "__skb_get_hash_symmetric_net" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0x4b235147, "netlink_unicast" },
	{ 0x6fcfe491, "bpf_trace_run5" },
	{ 0x65ec5c2d, "dev_get_by_index_rcu" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8d0959f4, "skb_push" },
	{ 0x41db049f, "kmem_cache_free" },
	{ 0xc57bb546, "netdev_upper_dev_unlink" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0x97f69564, "skb_ensure_writable" },
	{ 0x3750adc0, "free_netdev" },
	{ 0xc2a76dd3, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xb76eab4, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x46d6a43, "ethtool_op_get_link" },
	{ 0xa0eee18d, "__nf_conntrack_confirm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x460ec0f, "nf_ct_invert_tuple" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x7533389a, "nf_nat_helper_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xb917e850, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x5a76205a, "__pskb_pull_tail" },
	{ 0xb18f8de8, "nf_ct_delete" },
	{ 0x14dfb4f1, "nf_conncount_init" },
	{ 0x63cc0a55, "skb_vlan_push" },
	{ 0x64062c21, "netif_rx" },
	{ 0x7ddf0462, "__netdev_alloc_skb" },
	{ 0xbee561fc, "netdev_master_upper_dev_link" },
	{ 0xce328036, "skb_zerocopy_headlen" },
	{ 0x78cc75d2, "drop_reasons_register_subsys" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xdf12f393, "inet_proto_csum_replace16" },
	{ 0x9bb26380, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb985e8ab, "skb_scrub_packet" },
	{ 0x6c7ccabe, "nf_ct_deliver_cached_events" },
	{ 0x7b2e50f8, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x3fe3a14a, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3ccb56ef, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0xfe360a5e, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x39efd181, "inet_proto_csum_replace4" },
	{ 0xc30157ea, "nf_conncount_destroy" },
	{ 0xbdb605ef, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xc6a72055, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xad9f40a4, "dev_get_by_name" },
	{ 0xd6842c0d, "skb_clone" },
	{ 0x71f42651, "metadata_dst_alloc" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x8d771523, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xbb117e69, "peernet2id_alloc" },
	{ 0x55d897f7, "nf_ct_get_tuplepr" },
	{ 0x7bcebdf4, "netdev_rx_handler_register" },
	{ 0x50708b86, "ip_do_fragment" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x71dd1ba5, "genl_unregister_family" },
	{ 0xe0de4150, "dev_disable_lro" },
	{ 0x2f5bc601, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xcb0d86bb, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x4e4c30ec, "genl_register_family" },
	{ 0x858b92c2, "nf_ct_tmpl_free" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9973b54f, "netlink_has_listeners" },
	{ 0xcc392eea, "kmalloc_size_roundup" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x52cf7e1f, "__skb_gso_segment" },
	{ 0x53b954a2, "up_read" },
	{ 0x76cb5788, "skb_mpls_push" },
	{ 0xa9075483, "register_pernet_device" },
	{ 0x4fbda92, "nf_conntrack_in" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9d06e1b9, "kmem_cache_destroy" },
	{ 0x64acd5f9, "__skb_vlan_pop" },
	{ 0x8e6a0d1e, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x43a21d8d, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x86f8eafd, "nf_ct_ext_add" },
	{ 0x642b402a, "nsh_pop" },
	{ 0x55ec97b3, "nf_conntrack_find_get" },
	{ 0xad9da1fc, "nf_ct_set_timeout" },
	{ 0x1a2f1c28, "dev_get_stats" },
	{ 0xb0568cb7, "__nla_put" },
	{ 0x45d0eb03, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x182a958d, "dev_fill_metadata_dst" },
	{ 0x83deaada, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xf5f90de6, "skb_copy_bits" },
	{ 0x282ba676, "nf_ct_handle_fragments" },
	{ 0xb2980ba9, "eth_mac_addr" },
	{ 0xf8c5c291, "skb_put" },
	{ 0xa7c25039, "genl_notify" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x21fc7c5a, "nsh_push" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x273b0273, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0xdbdc7a1b, "nf_ct_nat" },
	{ 0xf3e970bf, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3e6be05f, "skb_eth_pop" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0xb7412a97, "skb_gso_validate_mac_len" },
	{ 0x60714e08, "nla_put_64bit" },
	{ 0xed99ee74, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0x8a9ad838, "nf_ct_helper" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0x63bd4a67, "__skb_ext_del" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0xae7eb2c7, "rtnl_delete_link" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xa7eb1184, "rtnl_link_register" },
	{ 0xb89fcef5, "nf_connlabels_put" },
	{ 0x47520577, "genlmsg_put" },
	{ 0x31244a2a, "___pskb_trim" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x723781bb, "psample_sample_packet" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8d33ff6, "dev_set_promiscuity" },
	{ 0x75654202, "nf_ct_destroy_timeout" },
	{ 0x12486009, "nf_ct_add_helper" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x3f99e846, "nf_conntrack_helper_put" },
	{ 0xa0e27f3c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x6564e85, "nf_ct_skb_network_trim" },
	{ 0x22e558cc, "unregister_netdevice_queue" },
	{ 0xb53d3a2a, "kmem_cache_create" },
	{ 0xdb3771b1, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xc4facc40, "ether_setup" },
	{ 0x7a7b8c8f, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58bf9e63, "pskb_expand_head" },
	{ 0x724b6145, "skb_csum_hwoffload_help" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0x2950ba13, "dev_addr_mod" },
	{ 0x9ece04e1, "nf_connlabels_replace" },
	{ 0xec122677, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2f131dff, "alloc_netdev_mqs" },
	{ 0x2d86ebff, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x867aa64e, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x5aeada3b, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x17d61c40, "skb_eth_push" },
	{ 0x98485f02, "nf_conncount_count" },
	{ 0xa916b694, "strnlen" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_conncount,libcrc32c,nsh,nf_nat,psample");


MODULE_INFO(srcversion, "E33A50B587626FB5841DCCF");
