#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(fanout_mutex, "_gpl", "");

SYMBOL_CRC(fanout_mutex, 0xdf448d1c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x9561adc, "nf_hook_slow" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8d0959f4, "skb_push" },
	{ 0xf5f90de6, "skb_copy_bits" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc4abd5b3, "__skb_get_hash_net" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x10143790, "__dev_remove_pack" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x8e4036d8, "skb_queue_purge_reason" },
	{ 0x92997ed8, "_printk" },
	{ 0x937011e8, "sock_i_ino" },
	{ 0xd4d56c45, "sock_i_uid" },
	{ 0xccbdbfa5, "from_kuid_munged" },
	{ 0xc682a9d, "seq_printf" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x33c3770e, "__dev_direct_xmit" },
	{ 0x3ccb56ef, "__dev_queue_xmit" },
	{ 0x5ad65dad, "netdev_pick_tx" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xa6257a2f, "complete" },
	{ 0xcb91efb9, "sock_wfree" },
	{ 0x4c516bab, "dev_add_pack" },
	{ 0x9e0d977f, "lock_sock_nested" },
	{ 0x2fea630b, "dev_get_by_name_rcu" },
	{ 0x66e46d82, "release_sock" },
	{ 0x116faea5, "sk_error_report" },
	{ 0xb2070a7e, "ns_capable" },
	{ 0xf97fc5bd, "sk_alloc" },
	{ 0x7209bddf, "sock_init_data" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x318b0cc8, "sk_free" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x20dbf27, "bitmap_alloc" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xe5c50116, "bpf_prog_destroy" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0xe9eb0ba1, "__skb_flow_dissect" },
	{ 0x5a76205a, "__pskb_pull_tail" },
	{ 0x562036c0, "sock_queue_rcv_skb_reason" },
	{ 0xd6842c0d, "skb_clone" },
	{ 0x273b0273, "consume_skb" },
	{ 0x8d771523, "dst_release" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb419020a, "skb_partial_csum_set" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0x413a3ee, "sock_rfree" },
	{ 0x391df80a, "netstamp_needed_key" },
	{ 0x31244a2a, "___pskb_trim" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x72852818, "skb_pull" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xa4bcc84a, "sock_wmalloc" },
	{ 0xf8c5c291, "skb_put" },
	{ 0xe424612c, "_copy_from_iter" },
	{ 0x299ba33c, "iov_iter_revert" },
	{ 0x9cc743c, "sock_cmsg_send" },
	{ 0xc6cbbc89, "capable" },
	{ 0x437a0d6d, "__sock_tx_timestamp" },
	{ 0xfb578fc5, "memset" },
	{ 0xc241f33e, "sock_alloc_send_pskb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xa3c0c5e7, "iov_iter_advance" },
	{ 0x582845c, "skb_copy_datagram_from_iter" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x51a9ea18, "skb_store_bits" },
	{ 0xfe45383, "dev_get_by_index" },
	{ 0x7589e1f3, "datagram_poll" },
	{ 0x3d84a971, "skb_recv_datagram" },
	{ 0x2ce03a11, "skb_copy_datagram_iter" },
	{ 0xb0932b68, "__sock_recv_cmsgs" },
	{ 0x2101eb4b, "put_cmsg" },
	{ 0x5ef5a63b, "skb_free_datagram" },
	{ 0xa89c6053, "sock_recv_errqueue" },
	{ 0x31182207, "_copy_to_iter" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x9858f364, "get_random_u8" },
	{ 0xaa3776de, "ip_check_defrag" },
	{ 0xbb8395ee, "__skb_get_hash_symmetric_net" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x7bba5d2a, "bpf_prog_get_type_dev" },
	{ 0x6d09843f, "copy_bpf_fprog_from_user" },
	{ 0x88a7402, "bpf_prog_create_from_user" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xfb950b64, "sock_no_connect" },
	{ 0x67e0f28, "sock_no_socketpair" },
	{ 0xeb3232f4, "sock_no_accept" },
	{ 0x658a54f9, "sock_gettstamp" },
	{ 0x7f85b8c8, "sock_no_listen" },
	{ 0x2c7d8450, "sock_no_shutdown" },
	{ 0x2479c8f4, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa3b39e11, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb4310676, "proto_register" },
	{ 0x8d9bca86, "sock_register" },
	{ 0x78c39bfb, "proto_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1c22026, "unregister_pernet_subsys" },
	{ 0xe106d71f, "inet_dgram_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x65ec5c2d, "dev_get_by_index_rcu" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd8d33ff6, "dev_set_promiscuity" },
	{ 0x4e2a5100, "dev_uc_add" },
	{ 0xa5afba08, "dev_set_allmulti" },
	{ 0x7c306469, "dev_mc_add" },
	{ 0x13083d55, "dev_mc_del" },
	{ 0x2112083c, "dev_uc_del" },
	{ 0x999e8297, "vfree" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8719cade, "vm_insert_page" },
	{ 0xada184ce, "vmalloc_to_page" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x6cb63b0b, "remove_proc_entry" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc7362589, "proc_create_net_data" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf7ac7592, "__dev_get_by_index" },
	{ 0x565f7009, "__ethtool_get_link_ksettings" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E2FFB7AD4E00E470C481138");
