#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x6a7599c9, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0xd235b215, "_gpl");
SYMBOL_CRC(tls_get_record, 0x3b5c0e3c, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x63a254fb, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x6c7f699b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x96fdda6d, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0x644400fd, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x8c7b60dd, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xb182adc, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x47966117, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x8971d711, "crypto_aead_encrypt" },
	{ 0xe9548763, "sk_skb_reason_drop" },
	{ 0xde702ff5, "__SCK__tp_func_sk_data_ready" },
	{ 0x6fcfe491, "bpf_trace_run5" },
	{ 0x318b0cc8, "sk_free" },
	{ 0x51a9ea18, "skb_store_bits" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbc5b67fb, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5291e726, "sk_stream_wait_memory" },
	{ 0xe4d86ce5, "nla_put" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0xcde6aaa5, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xa89c6053, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9e0d977f, "lock_sock_nested" },
	{ 0xf5c2b84, "__put_devmap_managed_folio_refs" },
	{ 0x6f2272de, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2ce03a11, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2e39c3c1, "bpf_trace_run1" },
	{ 0xd4b211a, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1c22026, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xc986a5fd, "sock_efree" },
	{ 0x1924e2ae, "iov_iter_bvec" },
	{ 0x10aa55df, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf5abaef6, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x59acfc37, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0x9bb26380, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x30205b4d, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d499faa, "tcp_register_ulp" },
	{ 0x521a4fa5, "bpf_trace_run3" },
	{ 0xb853bee6, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x73d1f13, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdd41af72, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbf4564e, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6cb63b0b, "remove_proc_entry" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x53693a46, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd6842c0d, "skb_clone" },
	{ 0x8d771523, "dst_release" },
	{ 0xe424612c, "_copy_from_iter" },
	{ 0xbadac420, "skb_copy_header" },
	{ 0xf8575380, "sk_msg_trim" },
	{ 0xc8203e50, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x580ca2d1, "netdev_sk_get_lowest_dev" },
	{ 0x9685b6e0, "sk_msg_alloc" },
	{ 0x90ec0f22, "_copy_from_iter_nocache" },
	{ 0xca6b3e2f, "tcp_rate_check_app_limited" },
	{ 0xd8395959, "tcp_poll" },
	{ 0x299ba33c, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x6229510f, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x2e805762, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0xa550818d, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0x6a00936e, "tcp_read_done" },
	{ 0x66e46d82, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xc3d0d867, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x40c58a5b, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x95ee0537, "tcp_read_sock" },
	{ 0x83deaada, "bpf_trace_run4" },
	{ 0xf5f90de6, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xee8b09fb, "sk_page_frag_refill" },
	{ 0xf8c5c291, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf03f4815, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x273b0273, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x6debaa2a, "sk_psock_msg_verdict" },
	{ 0xbdcd23b3, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xaa45e705, "iov_iter_get_pages2" },
	{ 0x31244a2a, "___pskb_trim" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xc6b65dd6, "clean_acked_data_enable" },
	{ 0xf6fa2e31, "skb_splice_bits" },
	{ 0xe7ec9ab2, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x51b31da7, "__tracepoint_sk_data_ready" },
	{ 0x35ef254e, "crypto_aead_setauthsize" },
	{ 0xfff2de17, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe9d7afe7, "sk_stream_error" },
	{ 0x55ce24d8, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8ac64291, "sk_msg_memcopy_from_iter" },
	{ 0x116faea5, "sk_error_report" },
	{ 0xa3b39e11, "register_pernet_subsys" },
	{ 0x2101eb4b, "put_cmsg" },
	{ 0xdda82293, "__sk_flush_backlog" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0x6926f534, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1a3ad48, "sk_psock_tls_strp_read" },
	{ 0xd5d142e0, "sk_msg_clone" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "853855CAE8AEAAACCA35AF6");
