#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x6f3e4c80, "pcpu_hot" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x6bfb64a4, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe3db0bf8, "amdtp_domain_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x8695c3f8, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x6cd51178, "fw_iso_resources_allocate" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd0b6058f, "fw_core_add_address_handler" },
	{ 0x65f51984, "amdtp_stream_pcm_prepare" },
	{ 0xa6b3201f, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb5478e4c, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x44584efe, "const_pcpu_hot" },
	{ 0xf0d7c680, "snd_pcm_hw_rule_add" },
	{ 0x6676cf3d, "fw_iso_resources_destroy" },
	{ 0x5a954718, "amdtp_domain_stop" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe5a2d328, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x71c2e50b, "perf_trace_run_bpf_submit" },
	{ 0x162b3315, "_dev_err" },
	{ 0x82f4960c, "snd_hwdep_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x28700614, "amdtp_stream_destroy" },
	{ 0xe4d9198, "trace_event_reg" },
	{ 0x3bee7502, "driver_unregister" },
	{ 0x14828dc0, "snd_pcm_set_ops" },
	{ 0x70012c3c, "amdtp_domain_add_stream" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x28dbfed9, "amdtp_stream_get_max_payload" },
	{ 0x20259aca, "snd_pcm_set_managed_buffer_all" },
	{ 0xb9638db4, "snd_pcm_rate_to_rate_bit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc98b7a30, "snd_rawmidi_new" },
	{ 0x521a4fa5, "bpf_trace_run3" },
	{ 0x2202b96b, "snd_rawmidi_set_ops" },
	{ 0x5a2d50b0, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe80e5087, "fw_csr_iterator_init" },
	{ 0x54ada834, "fw_bus_type" },
	{ 0xe4ff1cef, "__kmalloc_cache_noprof" },
	{ 0xc682a9d, "seq_printf" },
	{ 0x1f46320a, "fw_iso_resources_init" },
	{ 0xeb1e6f27, "snd_info_create_card_entry" },
	{ 0x4b5e87dd, "snd_pcm_hw_constraint_msbits" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x74d3efd7, "amdtp_domain_stream_pcm_ack" },
	{ 0x5a54ad51, "amdtp_domain_destroy" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xfdd1dbe3, "driver_register" },
	{ 0xdfe1d5ab, "fw_iso_resources_update" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x2cbb1cd7, "kmalloc_caches" },
	{ 0xc4dc75bf, "amdtp_domain_start" },
	{ 0xe3fde125, "fw_csr_iterator_next" },
	{ 0xe68869b4, "fw_send_response" },
	{ 0x8df82a4c, "trace_print_array_seq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x5be8c48f, "snd_rawmidi_receive" },
	{ 0xb40915f2, "devm_kmalloc" },
	{ 0xbf192b9, "fw_iso_resources_free" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xd88d2d5, "snd_rawmidi_transmit" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x270c2fd1, "snd_fw_transaction" },
	{ 0x251338b0, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x93d4d3df, "trace_raw_output_prep" },
	{ 0x636e8755, "amdtp_stream_add_pcm_hw_constraints" },
	{ 0x96220b25, "snd_card_register" },
	{ 0x68826955, "snd_card_free" },
	{ 0xfdf85e4b, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xef3fec4, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xce81656f, "amdtp_stream_init" },
	{ 0xbd95b7e5, "snd_pcm_hw_constraint_minmax" },
	{ 0xa6fd0e33, "amdtp_stream_set_parameters" },
	{ 0x44e4eb52, "amdtp_domain_stream_pcm_pointer" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x7b4bab0f, "trace_event_raw_init" },
	{ 0x4df8048e, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,firewire-core,snd-firewire-lib,snd,snd-hwdep,snd-rawmidi");

MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000001*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000002*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000003*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000005*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000009*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver0000000D*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver0000000F*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000015*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000017*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000019*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver0000001B*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000030*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000035*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000037*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000033*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000039*");
MODULE_ALIAS("ieee1394:ven000001F2mo*sp000001F2ver00000045*");

MODULE_INFO(srcversion, "F87C106BFCECA97CC6945CE");
